(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     30662,       1159]*)
(*NotebookOutlinePosition[     31372,       1184]*)
(*  CellTagsIndexPosition[     31328,       1180]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " Notebooks for ATLAST\nby Richard Neidinger, Davidson College,  6/1/98."
}], "Subsubtitle"],

Cell[TextData[{
  "Created for ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " 3.0.  To make matrices appear in rectangular arrays, I suggest menu \
choice:  Cell, Default Output Format Type set to TraditionalForm."
}], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["ATLAST 2.2  Projects on Matrix Algebra", "Subtitle"],

Cell[CellGroupData[{

Cell["ATLAST 2.2; 3 -- Graphs and Airline Flight Routes", "Section"],

Cell[CellGroupData[{

Cell["(b)", "Subsection"],

Cell[CellGroupData[{

Cell["\<\
A = {{0,1,0,0,1},{0,0,1,1,0},{1,0,0,0,0},{1,0,0,0,1},{0,1,0,1,0}}\
\>", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"0", "1", "0", "0", "1"},
            {"0", "0", "1", "1", "0"},
            {"1", "0", "0", "0", "0"},
            {"1", "0", "0", "0", "1"},
            {"0", "1", "0", "1", "0"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["(c)", "Subsection"],

Cell[CellGroupData[{

Cell["A.A", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"0", "1", "1", "2", "0"},
            {"2", "0", "0", "0", "1"},
            {"0", "1", "0", "0", "1"},
            {"0", "2", "0", "1", "1"},
            {"1", "0", "1", "1", "1"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell["\<\
(2,1) entry is 2 since {0,0,1,1,0}.{0,0,1,1,0} = 2, since ...\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["(d)", "Subsection"],

Cell[CellGroupData[{

Cell["A + A.A", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"0", "2", "1", "2", "1"},
            {"2", "0", "1", "1", "1"},
            {"1", "1", "0", "0", "1"},
            {"1", "2", "0", "1", "2"},
            {"1", "1", "1", "2", "1"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell["\<\
(i,j) entry is the number of ways to get from city i to city j in one or two \
flights.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["(e)", "Subsection"],

Cell["\<\
Still can't fly from 4 to 3 (or vice versa), let's add a 3rd flight.\
\>", "Text"],

Cell[CellGroupData[{

Cell["A+A.A+A.A.A", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"3", "2", "2", "3", "3"},
            {"2", "3", "1", "2", "3"},
            {"1", "2", "1", "2", "1"},
            {"2", "3", "2", "4", "3"},
            {"3", "3", "1", "3", "3"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell["\<\
The largest number of flight segments necessary to fly between any two cities \
is 3.
Since you can't fly between 3 and 4 in two segments but you can fly between \
any two cities with 3 or fewer.\
\>", "Text"],

Cell["\<\
Alternatively, just notice that A^3 fills the (3,4) and (4,3) holes.\
\>", "Text"],

Cell[CellGroupData[{

Cell["A.A.A", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"3", "0", "1", "1", "2"},
            {"0", "3", "0", "1", "2"},
            {"0", "1", "1", "2", "0"},
            {"1", "1", "2", "3", "1"},
            {"2", "2", "0", "1", "2"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
(f) Remove the Sacramento(5) to San Fran(2) and see why it is crucial.\
\>", "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(R\  = \ A; \nR[\([5, 2]\)]\  = \ 0; \nR\)], "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"0", "1", "0", "0", "1"},
            {"0", "0", "1", "1", "0"},
            {"1", "0", "0", "0", "0"},
            {"1", "0", "0", "0", "1"},
            {"0", "0", "0", "1", "0"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["R+R.R", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"0", "1", "1", "2", "1"},
            {"2", "0", "1", "1", "1"},
            {"1", "1", "0", "0", "1"},
            {"1", "1", "0", "1", "2"},
            {"1", "0", "0", "1", "1"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell["\<\
In two flights, there are now four \"holes\" where you can't travel.\
\>", "Text"],

Cell[CellGroupData[{

Cell["R+R.R+R.R.R", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"3", "1", "1", "2", "3"},
            {"2", "2", "1", "2", "3"},
            {"1", "1", "1", "2", "1"},
            {"2", "1", "1", "3", "3"},
            {"1", "1", "0", "2", "2"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell["Even with three flights, you cant fly from (Sac)5 to (Mon)3.", "Text"],

Cell[CellGroupData[{

Cell["R+R.R+R.R.R+R.R.R.R", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"3", "4", "1", "4", "6"},
            {"3", "2", "3", "6", "4"},
            {"4", "1", "1", "2", "3"},
            {"5", "2", "1", "4", "6"},
            {"2", "1", "1", "4", "3"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell["It takes 4 segments to cover all routes.", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
(g) Optional:  Can you add one flight so that passengers can fly between any \
two cities using at most two segments?\
\>", "Subsection"],

Cell["\<\
The problem is connecting city 4 to 3 and 3 to 4, corresponding to the \
entries of this matrix:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(A + A.A\)], "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"0", "2", "1", "2", "1"},
            {"2", "0", "1", "1", "1"},
            {"1", "1", "0", "0", "1"},
            {"1", "2", "0", "1", "2"},
            {"1", "1", "1", "2", "1"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell["\<\
We could just do trial and error experiments.  One students (Matt Johnston) \
thought to represent all possible flights we could add as parameters.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(P = {{0, 1, a\_13, a\_14, 1}, {a\_21, 0, 1, 1, a\_25}, {1, a\_32, 0, 
          a\_34, a\_35}, {1, a\_42, a\_43, 0, 1}, {a\_51, 1, a\_53, 1, 0}}\)],
   "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"0", "1", \(a\_13\), \(a\_14\), "1"},
            {\(a\_21\), "0", "1", "1", \(a\_25\)},
            {"1", \(a\_32\), "0", \(a\_34\), \(a\_35\)},
            {"1", \(a\_42\), \(a\_43\), "0", "1"},
            {\(a\_51\), "1", \(a\_53\), "1", "0"}
            }], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(reach\  = P + P.P\)], "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
           
             {\(a\_13 + a\_14 + a\_21 + a\_51\), 
              \(a\_13\ a\_32 + a\_14\ a\_42 + 2\), 
              \(a\_13 + a\_14\ a\_43 + a\_53 + 1\), 
              \(a\_14 + a\_13\ a\_34 + 2\), 
              \(a\_14 + a\_25 + a\_13\ a\_35 + 1\)},
           
             {\(a\_21 + a\_25\ a\_51 + 2\), \(a\_21 + a\_25 + a\_32 + a\_42\),
               \(a\_13\ a\_21 + a\_43 + a\_25\ a\_53 + 1\), 
              \(a\_14\ a\_21 + a\_25 + a\_34 + 1\), 
              \(a\_21 + a\_25 + a\_35 + 1\)},
           
             {\(a\_21\ a\_32 + a\_34 + a\_35\ a\_51 + 1\), 
              \(a\_32 + a\_35 + a\_34\ a\_42 + 1\), 
              \(a\_13 + a\_32 + a\_34\ a\_43 + a\_35\ a\_53\), 
              \(a\_14 + a\_32 + a\_34 + a\_35\), 
              \(a\_25\ a\_32 + a\_34 + a\_35 + 1\)},
           
             {\(a\_21\ a\_42 + a\_43 + a\_51 + 1\), 
              \(a\_42 + a\_32\ a\_43 + 2\), \(a\_13 + a\_42 + a\_43 + a\_53\),
               \(a\_14 + a\_42 + a\_34\ a\_43 + 1\), 
              \(a\_25\ a\_42 + a\_35\ a\_43 + 2\)},
           
             {\(a\_21 + a\_51 + a\_53 + 1\), 
              \(a\_42 + a\_51 + a\_32\ a\_53 + 1\), 
              \(a\_43 + a\_13\ a\_51 + a\_53 + 1\), 
              \(a\_14\ a\_51 + a\_34\ a\_53 + 2\), 
              \(a\_25 + a\_51 + a\_35\ a\_53 + 1\)}
            }], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell["Let's see how we could fill the (3,4)-hole:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(reach[\([3, 4]\)]\)], "Input"],

Cell[BoxData[
    \(TraditionalForm\`a\_14 + a\_32 + a\_34 + a\_35\)], "Output"]
}, Open  ]],

Cell["Let's see how we could fill the (4,3)-hole:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(reach[\([4, 3]\)]\)], "Input"],

Cell[BoxData[
    \(TraditionalForm\`a\_13 + a\_42 + a\_43 + a\_53\)], "Output"]
}, Open  ]],

Cell["\<\
Unfortunately, no one flight appears on both lists, so it is impossible to \
fill both holes with one flight!\
\>", "Text"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["ATLAST 2.2; 4 -- Intro to Markov Processes -- Tutorial", "Section"],

Cell["\<\
First do parts (a) through (d) as an exercise (on paper, computer not \
necessary yet).  Then, this tutorial prepares you for further work on Markov \
Processes (also called Markov Chains), in particular, ATLAST 2.2; 7.\
\>", "Text"],

Cell[CellGroupData[{

Cell["(b) multiplying a matrix times a vector", "Subsection"],

Cell["\<\
Transition matrix A: from column state P,S or T to row state P,S or T.\
\>", "Text"],

Cell["A = {{.8,.5,.3},{.05,.3,.1},{.15,.2,.6}}", "Input"],

Cell["\<\
A is a 3\[Times]3 matrix and the initial state vector x0 should be 3\[Times]1 \
to perform proper matrix multiplication:\
\>", "Text"],

Cell["x0 = {{50},{30},{20}}", "Input"],

Cell["A.x0", "Input"],

Cell["\<\
However, Mma also allows a handy flexible notation so that an m\[Times]n \
matrix may be multiplied times a vector of length n (interpreted as a column \
vector) but written as a list.\
\>", "Text"],

Cell["A.{50,30,20}", "Input"],

Cell["\<\
I prefer this vector notation.  To complete this thought, note that {50, 30, \
20} is a vector; it is not really a 1\[Times]3 matrix.\
\>", "Text"],

Cell["{50,30,20}     (* vector *)", "Input"],

Cell["Any 1x3 matrix would be written as below.", "Text"],

Cell["{{50,30,20}}     (* matrix with one row *)", "Input"],

Cell["Of course, multiplying 3\[Times]3 times 1\[Times]3 is impossible.", 
  "Text"],

Cell["A.{{50,30,20}}", "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
(f)  Let's actually compute the sequence of states of this system.\
\>", "Subsection"],

Cell["Formally:", "Text"],

Cell["\<\
x0 = {50,30,20}
x1 = A.x0
x2 = A.x1
x3 = A.x2\
\>", "Input"],

Cell[TextData[{
  "This could also be thought of as repeated application of a linear \
transformation T.  We use the ",
  StyleBox[":=",
    FontFamily->"Courier New"],
  " when defining anything that is an action (verb)."
}], "Text"],

Cell[BoxData[
    \(T[x_]\  := \ A.x\)], "Input"],

Cell[BoxData[
    \(T[x0]\)], "Input"],

Cell[BoxData[
    \(T[T[x0]]\)], "Input"],

Cell[BoxData[
    \(T[T[T[x0]]]\)], "Input"],

Cell["\<\
We want to take T and apply it in the above \"nested\" fashion starting with \
x0 and continuing for 3 applications.  The following is a general Mma \
function that does exactly that.\
\>", "Text"],

Cell["NestList[T, x0, 3]", "Input"],

Cell["\<\
Let's see what will happen to the fast food customers after a semester of 16 \
weeks:\
\>", "Text"],

Cell["NestList[T,x0,16]", "Input"],

Cell["\<\
It's settled down to a \"steady state\" where (rounded off) 
63 students get pizza, 9 get stir-fry and 28 get Tex/Mex.  
People still switch from one week to the next but the totals remain the same!\
\
\>", "Text"],

Cell["T[{63,9,28}]", "Input"],

Cell[TextData[
"Where do next weeks 63 pizza-eaters come from?\nOf last weeks 63 \
pizza-eaters, 0.8(63) = 50.4 \[TildeTilde] 50 return,\nbut next weeks \
pizza-eaters also come from stir-fry-eaters 0.5(9) = 4.5 \[TildeTilde] 5 \n\
and from tex/mex-eaters 0.3(28) = 8.4 \[TildeTilde] 8 \nfor a new total of \
63.  The balance is maintained in the other stores too!"], "Text"],

Cell["\<\
Of course, the exact steady state may be approximated to any number of \
decimal places:\
\>", "Text"],

Cell["T[{63.4146, 8.53658, 28.0488}]", "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["More experiments after a long sequence of states.", "Subsection"],

Cell["\<\
So if we continued the experiment for 100 uninterrupted weeks, the state \
would not change (at least in the first 5 digits).  We don't want to print \
the entire list of 100 weeks results so instead of using NestList, Mma has \
the command Nest that does the same thing but only outputs the very last \
result.\
\>", "Text"],

Cell["Nest[T,x0,16]", "Input"],

Cell["Nest[T,x0,100]", "Input"],

Cell["\<\
We have been using x0 = {50, 30, 20} as the initial distribution of 100 \
customers.  What will happen if we start with a different distribution?\
\>", "Text"],

Cell["x0 = {33,33,34}", "Input"],

Cell["NestList[T,x0,4]", "Input"],

Cell["Nest[T,x0,100]", "Input"],

Cell["\<\
It's the same steady-state!  Let's try an extreme case where everyone eats \
pizza the first week.\
\>", "Text"],

Cell["x0 = {100,0,0}", "Input"],

Cell["NestList[T,x0,4]", "Input"],

Cell["Nest[T,x0,100]", "Input"],

Cell["\<\
It appears that every initial state evolves into the same steady-state.  
Below we will show that there is only one steady-state vector where the \
entries total to 100.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Properties of the steady-state vector.", "Subsection"],

Cell["\<\
The steady-state vector x is a solution of Ax = x.  The steady-state vector \
is also called a fixed point since when you apply A times the vector, the \
result is the same as the input, i.e., it stays fixed.  The equation Ax = x \
is NOT really of the form Ax = b or Ax = 0, since there is an unknown on both \
sides of the equation.  To rewrite using one x, we use algebra, Ax - x = 0.  \
If you factor out the x, what is left behind:  (A - ?)x = 0.  Since A is a \
matrix, the ? needs to be a matrix too.  The identity matrix fills this role, \
(A - I)x = Ax - Ix = Ax - x.  Thus, you can directly find a steady-state \
vector by solving (A - I)x = 0.  Unfortunately, I is reserved for complex \
numbers, so let's call it Id.\
\>", "Text"],

Cell["Id = IdentityMatrix[3]", "Input"],

Cell["A-Id", "Input"],

Cell["LinearSolve[A-Id,{0,0,0}]", "Input"],

Cell["\<\
Well (after the warning), it did return an answer but only the trivial one \
{0,0,0}.  We want a non-zero vector such that (A-Id)x = 0.  The Mma function \
NullSpace will return non-trivial solution(s), one for each free variable.  \
This is a complete list of solutions in the sense that the \"Space\" of all \
infinitely many solutions to the \"Null\" (right-side = 0) problem is given \
by linear combinations of the returned vectors.\
\>", "Text"],

Cell["NullSpace[A-Id]", "Input"],

Cell["\<\
The above answer is really a list of one vector, { {_, _, _} } (interpreted \
by Mma as a matrix of one row).  The are a couple of ways to pull out the \
vector, here is one way that names it z.\
\>", "Text"],

Cell["\<\
{z} = NullSpace[A-Id];
z\
\>", "Input"],

Cell["Indeed, (A-Id)z = 0 (within roundoff error) and Az = z.", "Text"],

Cell["(A-Id).z", "Input"],

Cell["A.z", "Input"],

Cell["\<\
So z is a possible steady-state distribution of fast food customers.  What is \
the difference between this steady-state and the one we found by starting \
with {50, 30, 20} customers?  The difference is that this new vector z only \
has a rediculous total of -1.4 customers.\
\>", "Text"],

Cell["total = Apply[Plus,z]", "Input"],

Cell["\<\
Since any multiple of z also solves (A-Id)z = 0, let's scale z to make 100 \
customers.\
\>", "Text"],

Cell["(100/total)*z", "Input"],

Cell["\<\
Ta Da!  This is an alternative way to find the \"experimental result\" of the \
previous section.\
\>", "Text"],

Cell["\<\
The set {t*z1: t is a scalar} only contains one vector with entries that sum \
to 100.
For multiple vectors, there could be infinitely many such vectors.\
\>", "Text"],

Cell["\<\
If NullSpace[B] outputs multiple vectors then the situation is more \
complicated as described in this table: 
Output of NullSpace[B]\t\tSolution set of Bz = 0
------------------------\t\t\t----------------------
one vector:  z1\t\t\t\t{t*z1: t is a real number (scalar)}
two vectors:  z1, z2\t\t\t{t*z1+s*z2:  s and t are real numbers}
three vectors:  z1, z2, z3\t\t{t*z1+s*z2+r*z3:  r, s and t are real numbers}
etc.
The solution set of Bz = 0 is all linear combinations of vectors in the \
output of NullSpace[B].\
\>", "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["ATLAST 2.2; 7-- A Risky Markov Process -- Instructions Only", "Section"],

Cell["\<\
A = {{1,.4,0,0,0,0},{0,0,.4,0,0,0},{0,.6,0,.4,0,0},
     {0,0,.6,0,.4,0},{0,0,0,.6,0,0},{0,0,0,0,.6,1}}\
\>", "Input"],

Cell["(a)  Compute and answer questions (in text boxes).", "Subsection"],

Cell["(b)  Use Nest.", "Subsection"],

Cell["\<\
(c)  Use Nest.  Compute specific answers for starting with $1 and $3 ($4 not \
required).\
\>", "Subsection"],

Cell["(d)  MATLAB nulbasis is equivalent to Mma NullSpace.", "Subsection"]
}, Closed]],

Cell[CellGroupData[{

Cell["ATLAST 2.2; 7-- A Risky Markov Process -- Solutions", "Section"],

Cell["\<\
A = {{1,.4,0,0,0,0},{0,0,.4,0,0,0},{0,.6,0,.4,0,0},
     {0,0,.6,0,.4,0},{0,0,0,.6,0,0},{0,0,0,0,.6,1}}\
\>", "Input"],

Cell[CellGroupData[{

Cell["(a)  Compute and answer questions (in text boxes).", "Subsection"],

Cell[CellGroupData[{

Cell["x0 = {0,0,1,0,0,0}", "Input"],

Cell[BoxData[
    \(TraditionalForm\`{0, 0, 1, 0, 0, 0}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["x1 = A.x0", "Input"],

Cell[BoxData[
    \(TraditionalForm\`{0.`, 0.4`, 0.`, 0.6`, 0.`, 0.`}\)], "Output"]
}, Open  ]],

Cell["40% chance he now has $1, 60% chance he has $3.", "Text"],

Cell[CellGroupData[{

Cell["x2 = A.x1", "Input"],

Cell[BoxData[
    \(TraditionalForm
    \`{0.160000000000000035`, 0.`, 0.479999999999999982`, 0.`, 
      0.359999999999999964`, 0.`}\)], "Output"]
}, Open  ]],

Cell["\<\
After two games, 16% chance he now has $0, 48% chance he has $2, and 36% \
chance he has $4.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["(b)  Use Nest.", "Subsection"],

Cell[BoxData[
    \(T[x_\ ]\  := \ A.x\)], "Input"],

Cell[CellGroupData[{

Cell["Nest[T,x0,16]", "Input"],

Cell[BoxData[
    \(TraditionalForm
    \`{0.352622026031103974`, 0.`, 0.0175790276739071993`, 0.`, 
      0.0162966502637567955`, 0.613502296031231875`}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Nest[T,x0,100]", "Input"],

Cell[BoxData[
    \(TraditionalForm
    \`{0.360189573434434873`, 0.`, 5.87257738936717466`*^-11, 0.`, 
      5.44417864228955927`*^-11, 0.639810426452397429`}\)], "Output"]
}, Open  ]],

Cell["\<\
After many games, 36% chance he goes broke, 64% chance he has $5.
(Other entries are neglible.)
\"Chances are\" he will have $5 to buy pizza.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
(c)  Use Nest.  Compute specific answers for starting with $1 and $3 ($4 not \
required).\
\>", "Subsection"],

Cell["Starting with $1:", "Text"],

Cell[CellGroupData[{

Cell["Nest[T,{0,1,0,0,0,0},100]", "Input"],

Cell[BoxData[
    \(TraditionalForm
    \`{0.616113744051688261`, 2.24312496117413706`*^-11, 0.`, 
      5.44417864228956283`*^-11, 0.`, 0.383886255871438564`}\)], "Output"]
}, Open  ]],

Cell["\<\
If he starts with $1: he only has 38% of winning $5, (62% chance of going \
broke).\
\>", "Text"],

Cell["Starting with $3:", "Text"],

Cell[CellGroupData[{

Cell["Nest[T,{0,0,0,1,0,0},100]", "Input"],

Cell[BoxData[
    \(TraditionalForm
    \`{0.189573459689599275`, 2.41963495212869617`*^-11, 0.`, 
      5.87257738936718265`*^-11, 0.`, 0.810426540227478575`}\)], "Output"]
}, Open  ]],

Cell["\<\
If he starts with $3: he only has 81% of winning $5, (19% chance of going \
broke).\
\>", "Text"],

Cell["Starting with $4:", "Text"],

Cell[CellGroupData[{

Cell["Nest[T,{0,0,0,0,1,0},100]", "Input"],

Cell[BoxData[
    \(TraditionalForm
    \`{0.0758293838758397509`, 0.`, 2.41963495212869483`*^-11, 0.`, 
      2.24312496117413706`*^-11, 0.924170616077532969`}\)], "Output"]
}, Open  ]],

Cell["\<\
If he starts with $4: he has 92% of winning $5, (8% chance of going broke).\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["(d)  MATLAB nulbasis is equivalent to Mma NullSpace.", "Subsection"],

Cell[CellGroupData[{

Cell["NullSpace[A-IdentityMatrix[6]]", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"1.`", "0.`", "0.`", "0.`", "0.`", "0.`"},
            {"0.`", "0.`", "0.`", "0.`", "0.`", "1.`"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell["\<\
All of the above solutions are linear combinations of these two vectors.
Unlike the other problem, the system attracts to different limits depending \
on where you start.\
\>", "Text"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
ATLAST 2.2; 15 -- How many singular matrices are there? -- Instructions Only
(Suggested after Determinant and area.)\
\>", "Section"],

Cell["\<\
randint[m_,n_,k_:9] :=
   Table[ Random[Integer,{-k,k}], {m},{n}]\
\>", "Input"],

Cell[CellGroupData[{

Cell["(a) The following Mma code that accomplishes 2.2; 15(a).", "Subsection"],

Cell[CellGroupData[{

Cell["\<\
After trying the following two lines, describe, in text, what hundredDets \
does:\
\>", "Subsubsection"],

Cell["hundredDets[k_] := Table[ Det[randint[2,2,k]], {100}]", "Input"],

Cell["trial = hundredDets[5]", "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
After trying Count[trial,0], describe what it does to the list trial and what \
the resulting number means in the context of this problem:\
\>", "Subsubsection"],

Cell["Count[trial,0]", "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
The following fills in the table shown in (a) in the ATLAST book.\
\>", "Subsubsection"],

Cell["\<\
Table[
   Count[hundredDets[k],0],
{k,20}]\
\>", "Input"]
}, Open  ]]
}, Open  ]],

Cell["\<\
(b)  What does this indicate about the percent of singular matrices as k \
increases?\
\>", "Subsection"],

Cell[CellGroupData[{

Cell["(c)  Three questions, two from book, one from me.", "Subsection"],

Cell["\<\
When the matrix is singular, how will it's two column vectors be related \
geometrically?  Comment on the connection between Det and area.\
\>", "Subsubsection"],

Cell["\<\
Use this to give a plausible argument to explain the pattern in (b).\
\>", "Subsubsection"],

Cell["\<\
Explain geometrically what you would expect the % singular to be for k=1.  \
Think about how many chances, out of all possibilities, yield singular \
matrices.  (This is probability.)\
\>", "Subsubsection"]
}, Open  ]],

Cell["\<\
(d)  Repeat the experiment for 3x3 matrices -- just make the table.\
\>", "Subsection"],

Cell["\<\
(e)  What does this indicate about the percent of singular matrices as k \
increases?  How does it compare to the 2x2 case?\
\>", "Subsection"],

Cell[CellGroupData[{

Cell["(f) Hint: think about volume.", "Subsection"],

Cell["\<\
When the matrix is singular, how will it's three column vectors be related \
geometrically?\
\>", "Subsubsection"],

Cell["\<\
What does this say about the likelihood that a matrix will be singular?\
\>", "Subsubsection"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
ATLAST 2.2; 15 -- How many singular matrices are there? -- Solutions
(Suggested after Determinant and area.)\
\>", "Section"],

Cell["\<\
randint[m_,n_,k_:9] :=
   Table[ Random[Integer,{-k,k}], {m},{n}]\
\>", "Input"],

Cell[CellGroupData[{

Cell["(a) The following Mma code that accomplishes 2.2; 15(a).", "Subsection"],

Cell[CellGroupData[{

Cell["\<\
After trying the following two lines, describe, in text, what hundredDets \
does:\
\>", "Subsubsection"],

Cell["hundredDets[k_] := Table[ Det[randint[2,2,k]], {100}]", "Input"],

Cell[CellGroupData[{

Cell["trial = hundredDets[5]", "Input"],

Cell[BoxData[
    \(TraditionalForm
    \`{19, 26, \(-4\), \(-2\), 20, \(-20\), \(-10\), 19, 0, \(-12\), 1, 4, 
      \(-13\), 18, \(-22\), \(-15\), \(-8\), 2, \(-9\), 5, 13, \(-4\), 45, 
      27, \(-16\), 9, 23, \(-9\), \(-21\), 7, 26, 6, \(-18\), 20, 22, 4, 21, 
      \(-10\), \(-23\), 0, \(-10\), 0, \(-6\), 0, 16, \(-12\), \(-20\), 
      \(-20\), 12, 12, \(-24\), 21, \(-2\), 8, 5, 15, \(-23\), 8, 1, 6, 
      \(-10\), \(-24\), 16, 6, 35, \(-16\), 1, \(-10\), \(-6\), \(-8\), 
      \(-5\), \(-5\), \(-19\), \(-9\), 0, 5, 6, \(-10\), 4, 5, \(-11\), 
      \(-12\), 8, \(-3\), \(-5\), 26, 10, 40, \(-2\), 1, 10, \(-14\), 21, 6, 
      0, 12, \(-3\), \(-2\), 13, \(-2\)}\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
After trying Count[trial,0], describe what it does to the list trial and what \
the resulting number means in the context of this problem:\
\>", "Subsubsection"],

Cell[CellGroupData[{

Cell["Count[trial,0]", "Input"],

Cell[BoxData[
    \(TraditionalForm\`6\)], "Output"]
}, Open  ]],

Cell["\<\
This counts the number of zeros in the list trial;
in this problem it means the number of singular matrices that were generated \
in the 100 matrices.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
The following fills in the table shown in (a) in the ATLAST book.\
\>", "Subsubsection"],

Cell[CellGroupData[{

Cell["\<\
Table[
   Count[hundredDets[k],0],
{k,20}]\
\>", "Input"],

Cell[BoxData[
    \(TraditionalForm
    \`{39, 23, 9, 8, 7, 3, 1, 3, 2, 3, 3, 2, 2, 1, 0, 4, 0, 1, 0, 0}\)], 
  "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
(b)  What does this indicate about the percent of singular matrices as k \
increases?\
\>", "Subsection"],

Cell["It goes to zero.", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["(c)  Three questions, two from book, one from me.", "Subsection"],

Cell[CellGroupData[{

Cell["\<\
When the matrix is singular, how will it's two column vectors be related \
geometrically?  Comment on the connection between Det and area.\
\>", "Subsubsection"],

Cell["They will be parallel.", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Use this to give a plausible argument to explain the pattern in (b).\
\>", "Subsubsection"],

Cell["\<\
With many lattice points (as k increases), the chance of randomly choosing \
parallel vectors is small.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Explain geometrically what you would expect the % singular to be for k=1.  \
Think about how many chances, out of all possibilities, yield singular \
matrices.  (This is probability.)\
\>", "Subsubsection"],

Cell["\<\
There are nine lattice points for entries that are either -1,0,1 in both \
coordinates.  If you pick any vector as the first column, then there are 3 \
out of 9 chances that the second column will be parallel -- leading to an \
expectation of 33% singular.  Actually, the result is a little higher since \
if the first vector is (0,0) (a 1/9 chance) then the det will be zero for any \
choice of a second vector.  So the best answer is (1/9) + (8/9)(1/3) = 11/27 \
or about 41%.\
\>", "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
(d)  Repeat the experiment for 3x3 matrices -- just make the table.\
\>", "Subsection"],

Cell["hundredDets[k_] := Table[ Det[randint[3,3,k]], {100}]", "Input"],

Cell[CellGroupData[{

Cell["\<\
Table[
   Count[hundredDets[k],0],
{k,20}]\
\>", "Input"],

Cell[BoxData[
    \(TraditionalForm
    \`{38, 17, 6, 10, 4, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0}\)], 
  "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
(e)  What does this indicate about the percent of singular matrices as k \
increases?  How does it compare to the 2x2 case?\
\>", "Subsection"],

Cell["Still goes to zero, even faster than the 2x2 case.", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["(f) Hint: think about volume.", "Subsection"],

Cell[CellGroupData[{

Cell["\<\
When the matrix is singular, how will it's three column vectors be related \
geometrically?\
\>", "Subsubsection"],

Cell["\<\
They will be in the same plane, so that zero volume is created.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
What does this say about the likelihood that a matrix will be singular?\
\>", "Subsubsection"],

Cell["\<\
For large k, it is very unlikely that 3 random vectors will be in the same \
plane, so the matrix is very unlikely to be singular.\
\>", "Text"]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Open  ]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 800}, {0, 544}},
WindowSize->{638, 383},
WindowMargins->{{2, Automatic}, {Automatic, 2}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 162, 4, 66, "Subsubtitle"],
Cell[1896, 57, 238, 6, 52, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2171, 68, 58, 0, 54, "Subtitle"],

Cell[CellGroupData[{
Cell[2254, 72, 68, 0, 53, "Section"],

Cell[CellGroupData[{
Cell[2347, 76, 25, 0, 47, "Subsection"],

Cell[CellGroupData[{
Cell[2397, 80, 90, 2, 30, "Input"],
Cell[2490, 84, 340, 9, 98, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[2879, 99, 25, 0, 47, "Subsection"],

Cell[CellGroupData[{
Cell[2929, 103, 20, 0, 30, "Input"],
Cell[2952, 105, 340, 9, 98, "Output"]
}, Open  ]],
Cell[3307, 117, 85, 2, 33, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3429, 124, 25, 0, 47, "Subsection"],

Cell[CellGroupData[{
Cell[3479, 128, 24, 0, 30, "Input"],
Cell[3506, 130, 340, 9, 98, "Output"]
}, Open  ]],
Cell[3861, 142, 111, 3, 33, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4009, 150, 25, 0, 47, "Subsection"],
Cell[4037, 152, 92, 2, 33, "Text"],

Cell[CellGroupData[{
Cell[4154, 158, 28, 0, 30, "Input"],
Cell[4185, 160, 340, 9, 98, "Output"]
}, Open  ]],
Cell[4540, 172, 219, 5, 52, "Text"],
Cell[4762, 179, 92, 2, 33, "Text"],

Cell[CellGroupData[{
Cell[4879, 185, 22, 0, 30, "Input"],
Cell[4904, 187, 340, 9, 98, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[5293, 202, 100, 2, 47, "Subsection"],

Cell[CellGroupData[{
Cell[5418, 208, 72, 1, 70, "Input"],
Cell[5493, 211, 340, 9, 98, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5870, 225, 22, 0, 30, "Input"],
Cell[5895, 227, 340, 9, 98, "Output"]
}, Open  ]],
Cell[6250, 239, 92, 2, 33, "Text"],

Cell[CellGroupData[{
Cell[6367, 245, 28, 0, 30, "Input"],
Cell[6398, 247, 340, 9, 98, "Output"]
}, Open  ]],
Cell[6753, 259, 76, 0, 33, "Text"],

Cell[CellGroupData[{
Cell[6854, 263, 36, 0, 30, "Input"],
Cell[6893, 265, 340, 9, 98, "Output"]
}, Open  ]],
Cell[7248, 277, 56, 0, 33, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7341, 282, 147, 3, 66, "Subsection"],
Cell[7491, 287, 120, 3, 33, "Text"],

Cell[CellGroupData[{
Cell[7636, 294, 40, 1, 30, "Input"],
Cell[7679, 297, 340, 9, 98, "Output"]
}, Open  ]],
Cell[8034, 309, 171, 3, 52, "Text"],

Cell[CellGroupData[{
Cell[8230, 316, 180, 3, 50, "Input"],
Cell[8413, 321, 367, 8, 98, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8817, 334, 50, 1, 30, "Input"],
Cell[8870, 337, 1433, 31, 200, "Output"]
}, Open  ]],
Cell[10318, 371, 59, 0, 33, "Text"],

Cell[CellGroupData[{
Cell[10402, 375, 50, 1, 30, "Input"],
Cell[10455, 378, 80, 1, 29, "Output"]
}, Open  ]],
Cell[10550, 382, 59, 0, 33, "Text"],

Cell[CellGroupData[{
Cell[10634, 386, 50, 1, 30, "Input"],
Cell[10687, 389, 80, 1, 29, "Output"]
}, Open  ]],
Cell[10782, 393, 133, 3, 33, "Text"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[10964, 402, 73, 0, 33, "Section"],
Cell[11040, 404, 243, 4, 52, "Text"],

Cell[CellGroupData[{
Cell[11308, 412, 61, 0, 47, "Subsection"],
Cell[11372, 414, 94, 2, 33, "Text"],
Cell[11469, 418, 57, 0, 30, "Input"],
Cell[11529, 420, 144, 3, 33, "Text"],
Cell[11676, 425, 38, 0, 30, "Input"],
Cell[11717, 427, 21, 0, 30, "Input"],
Cell[11741, 429, 208, 4, 52, "Text"],
Cell[11952, 435, 29, 0, 30, "Input"],
Cell[11984, 437, 157, 3, 33, "Text"],
Cell[12144, 442, 44, 0, 30, "Input"],
Cell[12191, 444, 57, 0, 33, "Text"],
Cell[12251, 446, 59, 0, 30, "Input"],
Cell[12313, 448, 84, 1, 33, "Text"],
Cell[12400, 451, 31, 0, 30, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[12468, 456, 96, 2, 31, "Subsection"],
Cell[12567, 460, 25, 0, 33, "Text"],
Cell[12595, 462, 70, 5, 84, "Input"],
Cell[12668, 469, 234, 6, 52, "Text"],
Cell[12905, 477, 49, 1, 30, "Input"],
Cell[12957, 480, 38, 1, 30, "Input"],
Cell[12998, 483, 41, 1, 30, "Input"],
Cell[13042, 486, 44, 1, 30, "Input"],
Cell[13089, 489, 207, 4, 52, "Text"],
Cell[13299, 495, 35, 0, 30, "Input"],
Cell[13337, 497, 109, 3, 33, "Text"],
Cell[13449, 502, 34, 0, 30, "Input"],
Cell[13486, 504, 224, 5, 71, "Text"],
Cell[13713, 511, 29, 0, 30, "Input"],
Cell[13745, 513, 375, 5, 109, "Text"],
Cell[14123, 520, 112, 3, 33, "Text"],
Cell[14238, 525, 47, 0, 30, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[14322, 530, 71, 0, 31, "Subsection"],
Cell[14396, 532, 335, 6, 71, "Text"],
Cell[14734, 540, 30, 0, 30, "Input"],
Cell[14767, 542, 31, 0, 30, "Input"],
Cell[14801, 544, 169, 3, 52, "Text"],
Cell[14973, 549, 32, 0, 30, "Input"],
Cell[15008, 551, 33, 0, 30, "Input"],
Cell[15044, 553, 31, 0, 30, "Input"],
Cell[15078, 555, 122, 3, 33, "Text"],
Cell[15203, 560, 31, 0, 30, "Input"],
Cell[15237, 562, 33, 0, 30, "Input"],
Cell[15273, 564, 31, 0, 30, "Input"],
Cell[15307, 566, 193, 4, 52, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[15537, 575, 60, 0, 31, "Subsection"],
Cell[15600, 577, 752, 11, 109, "Text"],
Cell[16355, 590, 39, 0, 30, "Input"],
Cell[16397, 592, 21, 0, 30, "Input"],
Cell[16421, 594, 42, 0, 30, "Input"],
Cell[16466, 596, 461, 7, 71, "Text"],
Cell[16930, 605, 32, 0, 30, "Input"],
Cell[16965, 607, 218, 4, 52, "Text"],
Cell[17186, 613, 49, 3, 48, "Input"],
Cell[17238, 618, 71, 0, 33, "Text"],
Cell[17312, 620, 25, 0, 30, "Input"],
Cell[17340, 622, 20, 0, 30, "Input"],
Cell[17363, 624, 299, 5, 52, "Text"],
Cell[17665, 631, 38, 0, 30, "Input"],
Cell[17706, 633, 111, 3, 33, "Text"],
Cell[17820, 638, 30, 0, 30, "Input"],
Cell[17853, 640, 121, 3, 33, "Text"],
Cell[17977, 645, 177, 4, 52, "Text"],
Cell[18157, 651, 540, 11, 166, "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[18746, 668, 78, 0, 33, "Section"],
Cell[18827, 670, 128, 3, 48, "Input"],
Cell[18958, 675, 72, 0, 47, "Subsection"],
Cell[19033, 677, 36, 0, 47, "Subsection"],
Cell[19072, 679, 119, 3, 47, "Subsection"],
Cell[19194, 684, 74, 0, 47, "Subsection"]
}, Closed]],

Cell[CellGroupData[{
Cell[19305, 689, 70, 0, 33, "Section"],
Cell[19378, 691, 128, 3, 48, "Input"],

Cell[CellGroupData[{
Cell[19531, 698, 72, 0, 47, "Subsection"],

Cell[CellGroupData[{
Cell[19628, 702, 35, 0, 30, "Input"],
Cell[19666, 704, 69, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19772, 710, 26, 0, 30, "Input"],
Cell[19801, 712, 83, 1, 29, "Output"]
}, Open  ]],
Cell[19899, 716, 63, 0, 33, "Text"],

Cell[CellGroupData[{
Cell[19987, 720, 26, 0, 30, "Input"],
Cell[20016, 722, 147, 3, 29, "Output"]
}, Open  ]],
Cell[20178, 728, 116, 3, 33, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20331, 736, 36, 0, 47, "Subsection"],
Cell[20370, 738, 51, 1, 30, "Input"],

Cell[CellGroupData[{
Cell[20446, 743, 30, 0, 30, "Input"],
Cell[20479, 745, 167, 3, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20683, 753, 31, 0, 30, "Input"],
Cell[20717, 755, 173, 3, 31, "Output"]
}, Open  ]],
Cell[20905, 761, 165, 4, 71, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[21107, 770, 119, 3, 47, "Subsection"],
Cell[21229, 775, 33, 0, 33, "Text"],

Cell[CellGroupData[{
Cell[21287, 779, 42, 0, 30, "Input"],
Cell[21332, 781, 173, 3, 31, "Output"]
}, Open  ]],
Cell[21520, 787, 107, 3, 33, "Text"],
Cell[21630, 792, 33, 0, 33, "Text"],

Cell[CellGroupData[{
Cell[21688, 796, 42, 0, 30, "Input"],
Cell[21733, 798, 173, 3, 31, "Output"]
}, Open  ]],
Cell[21921, 804, 107, 3, 33, "Text"],
Cell[22031, 809, 33, 0, 33, "Text"],

Cell[CellGroupData[{
Cell[22089, 813, 42, 0, 30, "Input"],
Cell[22134, 815, 174, 3, 31, "Output"]
}, Open  ]],
Cell[22323, 821, 99, 2, 33, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[22459, 828, 74, 0, 47, "Subsection"],

Cell[CellGroupData[{
Cell[22558, 832, 47, 0, 30, "Input"],
Cell[22608, 834, 257, 6, 44, "Output"]
}, Open  ]],
Cell[22880, 843, 194, 4, 52, "Text"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[23123, 853, 143, 3, 54, "Section"],
Cell[23269, 858, 90, 3, 48, "Input"],

Cell[CellGroupData[{
Cell[23384, 865, 78, 0, 47, "Subsection"],

Cell[CellGroupData[{
Cell[23487, 869, 114, 3, 43, "Subsubsection"],
Cell[23604, 874, 70, 0, 30, "Input"],
Cell[23677, 876, 39, 0, 30, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[23753, 881, 171, 3, 60, "Subsubsection"],
Cell[23927, 886, 31, 0, 30, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[23995, 891, 98, 2, 43, "Subsubsection"],
Cell[24096, 895, 67, 4, 66, "Input"]
}, Open  ]]
}, Open  ]],
Cell[24190, 903, 115, 3, 47, "Subsection"],

Cell[CellGroupData[{
Cell[24330, 910, 71, 0, 47, "Subsection"],
Cell[24404, 912, 171, 3, 60, "Subsubsection"],
Cell[24578, 917, 101, 2, 43, "Subsubsection"],
Cell[24682, 921, 216, 4, 60, "Subsubsection"]
}, Open  ]],
Cell[24913, 928, 97, 2, 47, "Subsection"],
Cell[25013, 932, 153, 3, 66, "Subsection"],

Cell[CellGroupData[{
Cell[25191, 939, 51, 0, 47, "Subsection"],
Cell[25245, 941, 124, 3, 43, "Subsubsection"],
Cell[25372, 946, 104, 2, 43, "Subsubsection"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[25525, 954, 135, 3, 54, "Section"],
Cell[25663, 959, 90, 3, 48, "Input"],

Cell[CellGroupData[{
Cell[25778, 966, 78, 0, 47, "Subsection"],

Cell[CellGroupData[{
Cell[25881, 970, 114, 3, 43, "Subsubsection"],
Cell[25998, 975, 70, 0, 30, "Input"],

Cell[CellGroupData[{
Cell[26093, 979, 39, 0, 30, "Input"],
Cell[26135, 981, 690, 10, 86, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[26874, 997, 171, 3, 60, "Subsubsection"],

Cell[CellGroupData[{
Cell[27070, 1004, 31, 0, 30, "Input"],
Cell[27104, 1006, 52, 1, 29, "Output"]
}, Open  ]],
Cell[27171, 1010, 174, 4, 52, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[27382, 1019, 98, 2, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[27505, 1025, 67, 4, 66, "Input"],
Cell[27575, 1031, 121, 3, 29, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[27757, 1041, 115, 3, 47, "Subsection"],
Cell[27875, 1046, 32, 0, 33, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[27944, 1051, 71, 0, 47, "Subsection"],

Cell[CellGroupData[{
Cell[28040, 1055, 171, 3, 60, "Subsubsection"],
Cell[28214, 1060, 38, 0, 33, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[28289, 1065, 101, 2, 43, "Subsubsection"],
Cell[28393, 1069, 127, 3, 33, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[28557, 1077, 216, 4, 60, "Subsubsection"],
Cell[28776, 1083, 502, 8, 90, "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[29327, 1097, 97, 2, 47, "Subsection"],
Cell[29427, 1101, 70, 0, 30, "Input"],

Cell[CellGroupData[{
Cell[29522, 1105, 67, 4, 66, "Input"],
Cell[29592, 1111, 122, 3, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[29763, 1120, 153, 3, 66, "Subsection"],
Cell[29919, 1125, 66, 0, 33, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[30022, 1130, 51, 0, 47, "Subsection"],

Cell[CellGroupData[{
Cell[30098, 1134, 124, 3, 43, "Subsubsection"],
Cell[30225, 1139, 87, 2, 33, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[30349, 1146, 104, 2, 43, "Subsubsection"],
Cell[30456, 1150, 154, 3, 52, "Text"]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

