(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      9040,        355]*)
(*NotebookOutlinePosition[      9750,        380]*)
(*  CellTagsIndexPosition[      9706,        376]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[TextData[{
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " Notebooks for ATLAST\nby Richard Neidinger, Davidson College,  6/1/98."
}], "Subsubtitle"],

Cell[CellGroupData[{

Cell["ATLAST 3.2  Projects on Determinants", "Subtitle"],

Cell["See ATLAST 2.2; 15 -- How many singular matrices are there?", "Text"],

Cell[CellGroupData[{

Cell["ATLAST 3.2; 3  Determinant pattern with parameter", "Section"],

Cell["\<\
Clear[c];
CN[n_] := Table[ 
             If[i==j, c^2+1, If[Abs[i-j]==1,c,0]], 
          {i,n},{j,n}]\
\>", "Input"],

Cell[CellGroupData[{

Cell["CN[3]", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {\(c\^2 + 1\), "c", "0"},
            {"c", \(c\^2 + 1\), "c"},
            {"0", "c", \(c\^2 + 1\)}
            }], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Det[CN[2]]", "Input"],

Cell[BoxData[
    \(TraditionalForm\`c\^4 + c\^2 + 1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Det[CN[3]]", "Input"],

Cell[BoxData[
    \(TraditionalForm\`c\^6 + c\^4 + c\^2 + 1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Det[CN[4]]", "Input"],

Cell[BoxData[
    \(TraditionalForm\`c\^8 + c\^6 + c\^4 + c\^2 + 1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Use cofactors to find a formula for CN[n+1] in terms of CN[n] and CN[n-1]. \
\>", "Subsubsection"],

Cell["(c^2+1)det(CN[n])-c(c(det(CN[n-1])))", "Text"],

Cell["By induction the formula follows.", "Text"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
ATLAST 3.2; 5 -- Theory of Interpolation -- Instructions Only\
\>", "Section"],

Cell["Follows instructions in book.", "Text"],

Cell["\<\
Clear[x1,x2,x3,V];
V = {{x1^2,x1,1},{x2^2,x2,1},{x3^2,x3,1}}\
\>", "Input"],

Cell["\<\
Enter y and solve for c.  Use Simplify on top of the solution (don't print \
the unsimplified solution!).\
\>", "Subsubsection"],

Cell["Compute determinant", "Subsubsection"],

Cell["\<\
Answer the question \"How is the determinant related to the coefficients c1, \
c2, c3?\" by referring to the Invertible Matrix Theorem.\
\>", "Subsubsection"],

Cell["Use Factor to simplify the determinant.", "Subsubsection"],

Cell["Answer the last question.", "Subsubsection"]
}, Closed]],

Cell[CellGroupData[{

Cell["ATLAST 3.2; 5  Theory of interpolation -- Solutions", "Section"],

Cell["Follows instructions in book.", "Text"],

Cell[CellGroupData[{

Cell["\<\
Clear[x1,x2,x3,V];
V = {{x1^2,x1,1},{x2^2,x2,1},{x3^2,x3,1}}\
\>", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {\(x1\^2\), "x1", "1"},
            {\(x2\^2\), "x2", "1"},
            {\(x3\^2\), "x3", "1"}
            }], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Enter y and solve for c.  Use Simplify on top of the solution (don't print \
the unsimplified solution!).\
\>", "Subsubsection"],

Cell[CellGroupData[{

Cell["y = {{y1},{y2},{y3}}", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"y1"},
            {"y2"},
            {"y3"}
            }], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Simplify[LinearSolve[V,y]]", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
           
             {\(\(x3\ \((y2 - y1)\) + x2\ \((y1 - y3)\) + 
                    x1\ \((y3 - y2)\)\)\/\(\((x1 - x2)\)\ \((x1 - x3)\)\ 
                    \((x2 - x3)\)\)\)},
           
             {\(\(\((y2 - y3)\)\ x1\^2 + x3\^2\ \((y1 - y2)\) + 
                    x2\^2\ \((y3 - y1)\)\)\/\(\((x1 - x2)\)\ \((x1 - x3)\)\ 
                    \((x2 - x3)\)\)\)},
           
             {\(\(\((x3\ y1 - x1\ y3)\)\ x2\^2 + 
                    \((x1\^2\ y3 - x3\^2\ y1)\)\ x2 + 
                    x1\ x3\ \((x3 - x1)\)\ y2\)\/\(\((x1 - x2)\)\ 
                    \((x1 - x3)\)\ \((x2 - x3)\)\)\)}
            }], ")"}], TraditionalForm]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Compute determinant", "Subsubsection"],

Cell[CellGroupData[{

Cell["Det[V]", "Input"],

Cell[BoxData[
    \(TraditionalForm
    \`x2\ x1\^2 - x3\ x1\^2 - x2\^2\ x1 + x3\^2\ x1 - x2\ x3\^2 + 
      x2\^2\ x3\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Answer the question \"How is the determinant related to the coefficients c1, \
c2, c3?\" by applying the Invertible Matrix Theorem.\
\>", "Subsubsection"],

Cell["\<\
If Det[V] is not 0, then V is nonsingular and Vc=y has a unique solution.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Use Factor to simplify the determinant.", "Subsubsection"],

Cell[CellGroupData[{

Cell["Factor[Det[V]]", "Input"],

Cell[BoxData[
    \(TraditionalForm\`\((x1 - x2)\)\ \((x1 - x3)\)\ \((x2 - x3)\)\)], 
  "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Answer the last question.", "Subsubsection"],

Cell[TextData[
"For a unique solution, must have x1 \[NotEqual] x2, x1 \[NotEqual] x3, and \
x2 \[NotEqual] x3."], "Text"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["ATLAST 3.2; 6  Theory of Interpolation cont.", "Section"],

Cell[CellGroupData[{

Cell["\<\
Follow instructions in the book.  Note that it does not ask you to actually \
solve the system.\
\>", "Subsubsection"],

Cell[CellGroupData[{

Cell["\<\
V = {{x1^3,x1^2,x1,1},{x2^3,x2^2,x2,1},{x3^3,x3^2,x3,1},
     {x4^3,x4^2,x4,1}}\
\>", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {\(x1\^3\), \(x1\^2\), "x1", "1"},
            {\(x2\^3\), \(x2\^2\), "x2", "1"},
            {\(x3\^3\), \(x3\^2\), "x3", "1"},
            {\(x4\^3\), \(x4\^2\), "x4", "1"}
            }], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["y = {{y1},{y2},{y3},{y4}}", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"y1"},
            {"y2"},
            {"y3"},
            {"y4"}
            }], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Det[V]", "Input"],

Cell[BoxData[
    \(TraditionalForm
    \`\(-x2\)\ x3\^2\ x1\^3 + x2\ x4\^2\ x1\^3 - x3\ x4\^2\ x1\^3 + 
      x2\^2\ x3\ x1\^3 - x2\^2\ x4\ x1\^3 + x3\^2\ x4\ x1\^3 + 
      x2\ x3\^3\ x1\^2 - x2\ x4\^3\ x1\^2 + x3\ x4\^3\ x1\^2 - 
      x2\^3\ x3\ x1\^2 + x2\^3\ x4\ x1\^2 - x3\^3\ x4\ x1\^2 - 
      x2\^2\ x3\^3\ x1 + x2\^2\ x4\^3\ x1 - x3\^2\ x4\^3\ x1 + 
      x2\^3\ x3\^2\ x1 - x2\^3\ x4\^2\ x1 + x3\^3\ x4\^2\ x1 + 
      x2\ x3\^2\ x4\^3 - x2\^2\ x3\ x4\^3 - x2\ x3\^3\ x4\^2 + 
      x2\^3\ x3\ x4\^2 + x2\^2\ x3\^3\ x4 - x2\^3\ x3\^2\ x4\)], "Output"]
}, Open  ]],

Cell["\<\
If Det[V] is not 0, then V is nonsingular and Vc=y has a unique solution.\
\>", "Text"],

Cell[CellGroupData[{

Cell["Factor[Det[V]]", "Input"],

Cell[BoxData[
    \(TraditionalForm
    \`\((x1 - x2)\)\ \((x1 - x3)\)\ \((x2 - x3)\)\ \((x1 - x4)\)\ 
      \((x2 - x4)\)\ \((x3 - x4)\)\)], "Output"]
}, Open  ]],

Cell["\<\
For a unique solution, must have x1 != x2, x1 != x3, x1 != x4, x2 != x3, x2 \
!= x4, x3 != x4.
Thus, as long as the x-coordinates are unique, there will exist a unique \
solution.\
\>", "Text"],

Cell["\<\
We conjecture that there will be a unique polynomial of degree n or less that \
interpolates any n+1 points with distinct x-coordinates.\
\>", "Text"]
}, Open  ]]
}, Closed]]
}, Open  ]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 800}, {0, 544}},
WindowSize->{640, 437},
WindowMargins->{{1, Automatic}, {Automatic, 3}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1709, 49, 162, 4, 66, "Subsubtitle"],

Cell[CellGroupData[{
Cell[1896, 57, 56, 0, 54, "Subtitle"],
Cell[1955, 59, 75, 0, 33, "Text"],

Cell[CellGroupData[{
Cell[2055, 63, 68, 0, 53, "Section"],
Cell[2126, 65, 127, 5, 84, "Input"],

Cell[CellGroupData[{
Cell[2278, 74, 22, 0, 30, "Input"],
Cell[2303, 76, 220, 6, 71, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2560, 87, 27, 0, 30, "Input"],
Cell[2590, 89, 66, 1, 30, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2693, 95, 27, 0, 30, "Input"],
Cell[2723, 97, 73, 1, 30, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2833, 103, 27, 0, 30, "Input"],
Cell[2863, 105, 80, 1, 30, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2980, 111, 108, 2, 43, "Subsubsection"],
Cell[3091, 115, 52, 0, 33, "Text"],
Cell[3146, 117, 49, 0, 33, "Text"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[3244, 123, 88, 2, 33, "Section"],
Cell[3335, 127, 45, 0, 33, "Text"],
Cell[3383, 129, 85, 3, 48, "Input"],
Cell[3471, 134, 138, 3, 43, "Subsubsection"],
Cell[3612, 139, 44, 0, 43, "Subsubsection"],
Cell[3659, 141, 168, 3, 43, "Subsubsection"],
Cell[3830, 146, 64, 0, 43, "Subsubsection"],
Cell[3897, 148, 50, 0, 43, "Subsubsection"]
}, Closed]],

Cell[CellGroupData[{
Cell[3984, 153, 70, 0, 33, "Section"],
Cell[4057, 155, 45, 0, 33, "Text"],

Cell[CellGroupData[{
Cell[4127, 159, 85, 3, 48, "Input"],
Cell[4215, 164, 214, 6, 71, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4466, 175, 138, 3, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[4629, 182, 37, 0, 30, "Input"],
Cell[4669, 184, 166, 6, 62, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4872, 195, 43, 0, 30, "Input"],
Cell[4918, 197, 724, 16, 106, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[5691, 219, 44, 0, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[5760, 223, 23, 0, 30, "Input"],
Cell[5786, 225, 132, 3, 30, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[5967, 234, 164, 3, 60, "Subsubsection"],
Cell[6134, 239, 97, 2, 33, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6268, 246, 64, 0, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[6357, 250, 31, 0, 30, "Input"],
Cell[6391, 252, 97, 2, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[6537, 260, 50, 0, 43, "Subsubsection"],
Cell[6590, 262, 122, 2, 33, "Text"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[6761, 270, 63, 0, 33, "Section"],

Cell[CellGroupData[{
Cell[6849, 274, 128, 3, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[7002, 281, 104, 3, 48, "Input"],
Cell[7109, 286, 294, 7, 92, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7440, 298, 42, 0, 30, "Input"],
Cell[7485, 300, 186, 7, 80, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7708, 312, 23, 0, 30, "Input"],
Cell[7734, 314, 563, 9, 68, "Output"]
}, Open  ]],
Cell[8312, 326, 97, 2, 33, "Text"],

Cell[CellGroupData[{
Cell[8434, 332, 31, 0, 30, "Input"],
Cell[8468, 334, 151, 3, 29, "Output"]
}, Open  ]],
Cell[8634, 340, 203, 5, 52, "Text"],
Cell[8840, 347, 160, 3, 52, "Text"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

