(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      8902,        359]*)
(*NotebookOutlinePosition[      9551,        382]*)
(*  CellTagsIndexPosition[      9507,        378]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " Notebooks for ATLAST\nby Richard Neidinger, Davidson College,  6/1/98."
}], "Subsubtitle"],

Cell["\<\
ATLASTxx.nb:  an incomplete collection of \"solutions\" to ATLAST exercises \
and projects.
ATLABSxx.nb:  for distribution to students; on a few exercises and projects \
(usually a subset of above).
Either may be supplemented with bonus material, sometimes with reference to \
David C. Lay's text, 2nd Ed.\
\>", "Text"],

Cell[TextData[{
  "Created for ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " 3.0.  To make matrices appear in rectangular arrays, I suggest menu \
choice:  Cell, Default Output Format Type set to TraditionalForm."
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["ATLAST 4.1  Exercises on Vector Space Concepts", "Subtitle"],

Cell[CellGroupData[{

Cell["ATLAST 4.1; 7  four space dimensions", "Section"],

Cell["(a)  r, r, n-r, m-r", "Text"],

Cell[CellGroupData[{

Cell["\<\
A = {{1,2,5,-2,1},{-1,2,3,2,3},{4,-1,2,-1,2},
     {2,-1,0,3,4}}\
\>", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"1", "2", "5", \(-2\), "1"},
            {\(-1\), "2", "3", "2", "3"},
            {"4", \(-1\), "2", \(-1\), "2"},
            {"2", \(-1\), "0", "3", "4"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["RowReduce[A]", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"1", "0", "1", "0", "1"},
            {"0", "1", "2", "0", "1"},
            {"0", "0", "0", "1", "1"},
            {"0", "0", "0", "0", "0"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell["So dim's are 3, 3, 2, 1", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["ATLAST 4.1; 8  four space bases", "Section"],

Cell[CellGroupData[{

Cell["\<\
A = {{1,2,5,-2,1},{-1,2,3,2,3},{4,-1,2,-1,2},
     {2,-1,0,3,4}}\
\>", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"1", "2", "5", \(-2\), "1"},
            {\(-1\), "2", "3", "2", "3"},
            {"4", \(-1\), "2", \(-1\), "2"},
            {"2", \(-1\), "0", "3", "4"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["R = RowReduce[A]", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"1", "0", "1", "0", "1"},
            {"0", "1", "2", "0", "1"},
            {"0", "0", "0", "1", "1"},
            {"0", "0", "0", "0", "0"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["(a) Basis of row space", "Subsection"],

Cell[CellGroupData[{

Cell["R[[{1,2,3}]]", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"1", "0", "1", "0", "1"},
            {"0", "1", "2", "0", "1"},
            {"0", "0", "0", "1", "1"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["(b) Basis of column space", "Subsection"],

Cell[CellGroupData[{

Cell["Transpose[Transpose[A][[{1,2,4}]]]", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"1", "2", \(-2\)},
            {\(-1\), "2", "2"},
            {"4", \(-1\), \(-1\)},
            {"2", \(-1\), "3"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["(c) Basis of null space", "Subsection"],

Cell[CellGroupData[{

Cell["NullSpace[A]", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {\(-1\), \(-1\), "0", \(-1\), "1"},
            {\(-1\), \(-2\), "1", "0", "0"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["(d) Basis of N(At)", "Subsection"],

Cell[CellGroupData[{

Cell["NullSpace[Transpose[A]]", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"1", \(-1\), \(-1\), "1"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["ATLAST 4.1; 16  testing two bases", "Section"],

Cell[CellGroupData[{

Cell["(a)", "Subsection"],

Cell[CellGroupData[{

Cell["V = {{3,-3,4},{4,1,1},{1,-4,2},{3,1,3}}", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"3", \(-3\), "4"},
            {"4", "1", "1"},
            {"1", \(-4\), "2"},
            {"3", "1", "3"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["W = {{-5,-1,2},{2,8,-11},{-3,-4,5},{-3,4,-4}}", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {\(-5\), \(-1\), "2"},
            {"2", "8", \(-11\)},
            {\(-3\), \(-4\), "5"},
            {\(-3\), "4", \(-4\)}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["X = LinearSolve[V,W]", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"1", "2", \(-3\)},
            {"0", "1", \(-1\)},
            {\(-2\), \(-1\), "2"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Y = LinearSolve[W,V]", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {\(-1\), "1", \(-1\)},
            {\(-2\), "4", \(-1\)},
            {\(-2\), "3", \(-1\)}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell["\<\
Yes, they span the same subspace.  
X shows linear combinations of V that yield W.
Y shows linear combinations of W that yeild V.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["(b)", "Subsection"],

Cell[CellGroupData[{

Cell["X.Y", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"1", "0", "0"},
            {"0", "1", "0"},
            {"0", "0", "1"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Y.X", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"1", "0", "0"},
            {"0", "1", "0"},
            {"0", "0", "1"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell["\<\
X and Y are inverse matrices.  This makes sense since V = W X implies W = V \
Xinv.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["(c)", "Subsection"],

Cell["\<\
If V and W have linearly independent columns then they span 3 dimensional \
spaces.
If V = W X so that the vectors in V are in Col(W), then the vectors in V are \
a basis of Col(W) since the number of independent vectors is the dim of \
space.  Thus they span, i.e. Col(V) = Col(W).\
\>", "Text"]
}, Open  ]]
}, Closed]]
}, Open  ]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 800}, {0, 544}},
WindowSize->{588, 362},
WindowMargins->{{14, Automatic}, {Automatic, 8}}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 162, 4, 66, "Subsubtitle"],
Cell[1896, 57, 329, 7, 71, "Text"],
Cell[2228, 66, 238, 6, 52, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[2503, 77, 66, 0, 43, "Subtitle"],

Cell[CellGroupData[{
Cell[2594, 81, 55, 0, 53, "Section"],
Cell[2652, 83, 35, 0, 33, "Text"],

Cell[CellGroupData[{
Cell[2712, 87, 89, 3, 48, "Input"],
Cell[2804, 92, 316, 8, 80, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3157, 105, 29, 0, 30, "Input"],
Cell[3189, 107, 301, 8, 80, "Output"]
}, Open  ]],
Cell[3505, 118, 39, 0, 33, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[3581, 123, 50, 0, 33, "Section"],

Cell[CellGroupData[{
Cell[3656, 127, 89, 3, 48, "Input"],
Cell[3748, 132, 316, 8, 80, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4101, 145, 33, 0, 30, "Input"],
Cell[4137, 147, 301, 8, 80, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4475, 160, 44, 0, 47, "Subsection"],

Cell[CellGroupData[{
Cell[4544, 164, 29, 0, 30, "Input"],
Cell[4576, 166, 262, 7, 62, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[4887, 179, 47, 0, 47, "Subsection"],

Cell[CellGroupData[{
Cell[4959, 183, 51, 0, 30, "Input"],
Cell[5013, 185, 276, 8, 80, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[5338, 199, 45, 0, 47, "Subsection"],

Cell[CellGroupData[{
Cell[5408, 203, 29, 0, 30, "Input"],
Cell[5440, 205, 238, 6, 44, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[5727, 217, 40, 0, 47, "Subsection"],

Cell[CellGroupData[{
Cell[5792, 221, 40, 0, 30, "Input"],
Cell[5835, 223, 185, 5, 29, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[6081, 235, 52, 0, 33, "Section"],

Cell[CellGroupData[{
Cell[6158, 239, 25, 0, 47, "Subsection"],

Cell[CellGroupData[{
Cell[6208, 243, 56, 0, 30, "Input"],
Cell[6267, 245, 267, 8, 80, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6571, 258, 62, 0, 30, "Input"],
Cell[6636, 260, 283, 8, 80, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6956, 273, 37, 0, 30, "Input"],
Cell[6996, 275, 244, 7, 62, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7277, 287, 37, 0, 30, "Input"],
Cell[7317, 289, 250, 7, 62, "Output"]
}, Open  ]],
Cell[7582, 299, 153, 4, 71, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7772, 308, 25, 0, 47, "Subsection"],

Cell[CellGroupData[{
Cell[7822, 312, 20, 0, 30, "Input"],
Cell[7845, 314, 232, 7, 62, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8114, 326, 20, 0, 30, "Input"],
Cell[8137, 328, 232, 7, 62, "Output"]
}, Open  ]],
Cell[8384, 338, 107, 3, 33, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8528, 346, 25, 0, 47, "Subsection"],
Cell[8556, 348, 306, 6, 71, "Text"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

