(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    100048,       2327]*)
(*NotebookOutlinePosition[    100786,       2353]*)
(*  CellTagsIndexPosition[    100742,       2349]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[TextData[{
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " Notebooks for ATLAST\nby Richard Neidinger, Davidson College, 6/1/98."
}], "Subsubtitle"],

Cell[CellGroupData[{

Cell["ATLAST 6.2 Projects on Orthogonality", "Subtitle"],

Cell["\<\
See 4.2; 5 for extension of Concrete Application using orthogonal \
complements.\
\>", "Text"],

Cell[CellGroupData[{

Cell["\<\
 Bonus:  Intersection of Two Vector Spaces -- Instructions
(Idea of ATLAST 4.2; 11 but using orthogonal complements.)\
\>", "Section"],

Cell["\<\
Suppose subspace V is given as the span of vectors that we write as ROWS of \
matrix A.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(A\  = 
      \ {{1, 3, \(-2\), \(-2\)}, {4, 0, 1, 4}, {\(-3\), \(-3\), 1, 2}}\)], 
  "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"1", "3", \(-2\), \(-2\)},
            {"4", "0", "1", "4"},
            {\(-3\), \(-3\), "1", "2"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell["\<\
Suppose subspace W is given as the span of vectors that we write as ROWS of \
matrix B.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(B\  = 
      \ {{4, 3, 0, \(-4\)}, {2, \(-3\), 3, 4}, {1, \(-2\), 2, 0}, {5, 3, 0, 
          4}}\)], "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"4", "3", "0", \(-4\)},
            {"2", \(-3\), "3", "4"},
            {"1", \(-2\), "2", "0"},
            {"5", "3", "0", "4"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell["\<\
Find bases for the complementary subspaces \"V-perp\" and \"W-perp.\"\
\>", "Subsubsection"],

Cell["V and W are ?-dimensional subspaces of R^?", "Subsubsection"],

Cell["Is { 1, 1, -1, 2 } in V?  W?   Why?", "Subsubsection"],

Cell["\<\
We wish to find vectors that are in both.  What equations (using above) must \
such vectors satisfy?\
\>", "Subsubsection"],

Cell[TextData["Find a basis for V\[Intersection]W."], "Subsubsection"]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
 Bonus:  Intersection of Two Vector Spaces -- Solutions
(Idea of ATLAST 4.2; 11 but using orthogonal complements.)\
\>", "Section"],

Cell["\<\
Suppose subspace V is given as the span of vectors that we write as ROWS of \
matrix A.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(A\  = 
      \ {{1, 3, \(-2\), \(-2\)}, {4, 0, 1, 4}, {\(-3\), \(-3\), 1, 2}}\)], 
  "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"1", "3", \(-2\), \(-2\)},
            {"4", "0", "1", "4"},
            {\(-3\), \(-3\), "1", "2"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell["\<\
Suppose subspace W is given as the span of vectors that we write as ROWS of \
matrix B.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(B\  = 
      \ {{4, 3, 0, \(-4\)}, {2, \(-3\), 3, 4}, {1, \(-2\), 2, 0}, {5, 3, 0, 
          4}}\)], "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"4", "3", "0", \(-4\)},
            {"2", \(-3\), "3", "4"},
            {"1", \(-2\), "2", "0"},
            {"5", "3", "0", "4"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["V and W are ?-dimensional subspaces of R^?", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(RowReduce[A]\)], "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"1", "0", "0", "2"},
            {"0", "1", "0", \(-4\)},
            {"0", "0", "1", \(-4\)}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(RowReduce[B]\)], "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"1", "0", "0", "8"},
            {"0", "1", "0", \(-12\)},
            {"0", "0", "1", \(-16\)},
            {"0", "0", "0", "0"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell["Both are 3 dimensional subspaces of R^4.", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Find bases for the complementary subspaces \"V-perp\" and \"W-perp.\"\
\>", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(NullSpace[A]\)], "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {\(-2\), "4", "4", "1"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(NullSpace[B]\)], "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {\(-8\), "12", "16", "1"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Is { 1, 1, -1, 2 } in V?  W?   Why?", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(NullSpace[A].{1, 1, \(-1\), 2}\)], "Input"],

Cell[BoxData[
    \(TraditionalForm\`{0}\)], "Output"]
}, Open  ]],

Cell["\<\
Yes, it's in V since it is perpendicular to the V-perp basis.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(NullSpace[B].{1, 1, \(-1\), 2}\)], "Input"],

Cell[BoxData[
    \(TraditionalForm\`{\(-10\)}\)], "Output"]
}, Open  ]],

Cell["\<\
No, it's in W since it is not perpendicular to the W-perp basis.\
\>", "Text"],

Cell["Check:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(LinearSolve[Transpose[A], {1, 1, \(-1\), 2}]\)], "Input"],

Cell[BoxData[
    \(TraditionalForm\`{4\/3, 2\/3, 1}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(LinearSolve[Transpose[B], {1, 1, \(-1\), 2}]\)], "Input"],

Cell[BoxData[
    \(TraditionalForm
    \`LinearSolve::"nosol" \( : \ \) 
      "Linear equation encountered which has no solution."\)], "Message"],

Cell[BoxData[
    FormBox[
      RowBox[{"LinearSolve", "[", 
        RowBox[{
          RowBox[{"(", GridBox[{
                {"4", "2", "1", "5"},
                {"3", \(-3\), \(-2\), "3"},
                {"0", "3", "2", "0"},
                {\(-4\), "4", "0", "4"}
                },
              ColumnAlignments->{Decimal}], ")"}], ",", 
          \({1, 1, \(-1\), 2}\)}], "]"}], TraditionalForm]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
We wish to find vectors that are in both.  What equations (using above) must \
such vectors satisfy?\
\>", "Subsubsection"],

Cell[BoxData[
    \(Clear[x1, x2, x3, x4]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(NullSpace[A].{x1, x2, x3, x4}\  == \ 0\)], "Input"],

Cell[BoxData[
    \(TraditionalForm\`{\(-2\)\ x1 + 4\ x2 + 4\ x3 + x4} == 0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(NullSpace[B].{x1, x2, x3, x4}\  == \ 0\)], "Input"],

Cell[BoxData[
    \(TraditionalForm\`{\(-8\)\ x1 + 12\ x2 + 16\ x3 + x4} == 0\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData["Find a basis for V\[Intersection]W."], "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(M\  = \ Join[NullSpace[A], NullSpace[B]]\)], "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {\(-2\), "4", "4", "1"},
            {\(-8\), "12", "16", "1"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(NullSpace[M]\)], "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {\(-4\), \(-3\), "0", "4"},
            {"2", "0", "1", "0"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["ATLAST 6.2; 1  Computing Least-Squares Circles -- Tutorial", "Section"],

Cell["by Stephen L. Davis, Davidson College", "Text"],

Cell[BoxData[
    \(\(<< \ Graphics`Colors`; \)\)], "Input",
  InitializationCell->True],

Cell[TextData[{
  "\"Many manufactured parts such as rings, rods, pipes, etc., are circular \
in shape.  Quality control engineers frequently test the parts to see that \
they meet required specifications.  Machines are available to measure \
coordinates of the points on the perimeter of the manufactured part.  The \
problem then is to determine how close the sampled points come to actually \
lying on a circle.  This can be accomplished by finding the equation of a \
circle that \"best fits\" the sampled points and then calculating the \
distances between the sampled points and the perimeter of the circle.\"\n",
  StyleBox["\[LongDash]",
    FontSize->12],
  StyleBox["ATLAST, Computer Exercises for Linear Algebra",
    FontSize->12,
    FontSlant->"Italic"],
  StyleBox[
  ", Prentice-Hall 1996, p 131.  The example/exercise below also comes from \
this source.",
    FontSize->12]
}], "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]],

Cell[TextData[{
  StyleBox["1",
    FontWeight->"Bold"],
  ".  Suppose we are given the following set of data points:\n\n\t",
  Cell[BoxData[
      FormBox[GridBox[{
           
             {"x", ":", "0.7", "3.3", "5.6", "7.1", "6.4", "4.4", "0.3", 
              \(-1.1\)},
           
             {"y", ":", "4.0", "4.7", "4.0", "1.3", \(-1.1\), \(-3.0\), 
              \(-2.5\), "1.3"}
            }], TraditionalForm]]],
  "\n"
}], "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]],

Cell[CellGroupData[{

Cell[TextData[{
  "xs = {0.7, 3.3, 5.6, 7.1, 6.4, 4.4, 0.3,-1.1};\nys = {4.0, 4.7, 4.0, \
1.3,-1.1,-3.0,-2.5, 1.3};\npts = Transpose[{xs,ys}];\n\nShow[\n\tGraphics[{\t\
\n\t\tRed, AbsolutePointSize[5], Map[Point, pts],\n\t\tViolet, Circle[",
  StyleBox["{3,1},3.5",
    FontColor->RGBColor[1, 0, 1]],
  "]\n\t}],\n\tAxes->Automatic, AspectRatio->Automatic\n];"
}], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .93902 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.151568 0.116144 0.37079 0.116144 [
[.38386 .35829 -3 -9 ]
[.38386 .35829 3 0 ]
[.61614 .35829 -3 -9 ]
[.61614 .35829 3 0 ]
[.84843 .35829 -3 -9 ]
[.84843 .35829 3 0 ]
[.13907 .1385 -12 -4.5 ]
[.13907 .1385 0 4.5 ]
[.13907 .60308 -6 -4.5 ]
[.13907 .60308 0 4.5 ]
[.13907 .83537 -6 -4.5 ]
[.13907 .83537 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .93902 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
.38386 .37079 m
.38386 .37704 L
s
[(2)] .38386 .35829 0 1 Mshowa
.61614 .37079 m
.61614 .37704 L
s
[(4)] .61614 .35829 0 1 Mshowa
.84843 .37079 m
.84843 .37704 L
s
[(6)] .84843 .35829 0 1 Mshowa
.125 Mabswid
.20964 .37079 m
.20964 .37454 L
s
.26771 .37079 m
.26771 .37454 L
s
.32578 .37079 m
.32578 .37454 L
s
.44193 .37079 m
.44193 .37454 L
s
.5 .37079 m
.5 .37454 L
s
.55807 .37079 m
.55807 .37454 L
s
.67422 .37079 m
.67422 .37454 L
s
.73229 .37079 m
.73229 .37454 L
s
.79036 .37079 m
.79036 .37454 L
s
.0935 .37079 m
.0935 .37454 L
s
.03542 .37079 m
.03542 .37454 L
s
.9065 .37079 m
.9065 .37454 L
s
.96458 .37079 m
.96458 .37454 L
s
.25 Mabswid
0 .37079 m
1 .37079 L
s
.15157 .1385 m
.15782 .1385 L
s
[(-2)] .13907 .1385 1 0 Mshowa
.15157 .60308 m
.15782 .60308 L
s
[(2)] .13907 .60308 1 0 Mshowa
.15157 .83537 m
.15782 .83537 L
s
[(4)] .13907 .83537 1 0 Mshowa
.125 Mabswid
.15157 .19657 m
.15532 .19657 L
s
.15157 .25465 m
.15532 .25465 L
s
.15157 .31272 m
.15532 .31272 L
s
.15157 .42886 m
.15532 .42886 L
s
.15157 .48693 m
.15532 .48693 L
s
.15157 .54501 m
.15532 .54501 L
s
.15157 .66115 m
.15532 .66115 L
s
.15157 .71922 m
.15532 .71922 L
s
.15157 .77729 m
.15532 .77729 L
s
.15157 .08043 m
.15532 .08043 L
s
.15157 .02236 m
.15532 .02236 L
s
.15157 .89344 m
.15532 .89344 L
s
.25 Mabswid
.15157 0 m
.15157 .93902 L
s
0 0 m
1 0 L
1 .93902 L
0 .93902 L
closepath
clip
newpath
1 0 0 r
5 Mabswid
.23287 .83537 Mdot
.53484 .91667 Mdot
.80197 .83537 Mdot
.97619 .52178 Mdot
.89489 .24303 Mdot
.6626 .02236 Mdot
.18641 .08043 Mdot
.02381 .52178 Mdot
.56 .37 .6 r
.5 Mabswid
newpath
.5 .48693 .4065 0 365.73 arc
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{287.813, 270.25},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004O00013R000`400?l00000o`00003o:`3oool0
0`000000oooo0?ooo`3a0?ooo`00:`3oool00`000000oooo0?ooo`3a0?ooo`00:`3oool00`000000
oooo0?ooo`3a0?ooo`00:`3oool00`000000oooo0?ooo`3a0?ooo`00:`3oool00`000000oooo0?oo
o`3a0?ooo`00:`3oool00`000000oooo0?ooo`3a0?ooo`00:`3oool00`000000oooo0?ooo`2?0?oo
o`80o`00H03oool002/0oooo0P00002?0?ooo`@0o`00G`3oool002/0oooo00<000000?ooo`3oool0
SP3oool40?l005l0oooo000[0?ooo`030000003oool0oooo08l0oooo0P3o001P0?ooo`00:`3oool0
0`000000oooo0?ooo`3a0?ooo`00:`3oool00`000000oooo0?ooo`3a0?ooo`00:`3oool00`000000
oooo0?ooo`3a0?ooo`00:`3oool00`000000oooo0?ooo`3a0?ooo`00:`3oool00`000000oooo0?oo
o`3a0?ooo`00:`3oool00`000000oooo0?ooo`3a0?ooo`00:`3oool00`000000oooo0?ooo`3a0?oo
o`00:`3oool00`000000oooo0?ooo`3a0?ooo`00:`3oool00`000000oooo0?ooo`3a0?ooo`00:`3o
ool00`000000oooo0?ooo`3a0?ooo`00:`3oool00`000000oooo0?ooo`3a0?ooo`00:`3oool00`00
0000oooo0?ooo`3a0?ooo`00:`3oool00`000000oooo0?ooo`060?ooo`80o`00j@3oool002/0oooo
0P0000060?ooo`@0o`00D@3oool?08mNVHP0oooo000[0?ooo`030000003oool0oooo00D0oooo103o
00190?ooo`P0SejI3`3oool808mNVH00oooo000[0?ooo`030000003oool0oooo00H0oooo0P3o0014
0?ooo`H0SejI7`3oool608mNVGX0oooo000[0?ooo`030000003oool0oooo04H0oooo1P2?GYT[0?oo
o`H0SejIM03oool002/0oooo00<000000?ooo`3oool0@`3oool308mNVCL0oooo0`2?GYUa0?ooo`00
:`3oool00`000000oooo0?ooo`0n0?ooo`D0SejI?@3oool508mNVF`0oooo000[0?ooo`030000003o
ool0oooo03/0oooo0`2?GYU70?ooo`<0SejIJ@3oool002/0oooo00<000000?ooo`3oool0>03oool3
08mNVDd0oooo0`2?GYUV0?ooo`00:`3oool00`000000oooo0?ooo`0f0?ooo`80SejID`3oool208mN
VF@0oooo000[0?ooo`030000003oool0oooo03@0oooo0P2?GYUG0?ooo`80SejIHP3oool002/0oooo
00<000000?ooo`3oool0<P3oool208mNVE/0oooo0P2?GYUP0?ooo`00:`3oool00`000000oooo0?oo
o`0`0?ooo`80SejIG`3oool208mNVEh0oooo000[0?ooo`030000003oool0oooo02h0oooo0P2?GYUS
0?ooo`80SejIG03oool002/0oooo00<000000?ooo`3oool0:`3oool308mNVFL0oooo0P2?GYUJ0?oo
o`00:`3oool00`000000oooo0?ooo`0Y0?ooo`80SejIK03oool208mNVEP0oooo000S0?ooo`<00000
1@3oool00`000000oooo0?ooo`0X0?ooo`0308mNV@3oool0oooo06h0oooo00<0SejI0?ooo`3oool0
E@3oool002<0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0V0?ooo`80SejILP3o
ool308mNVE@0oooo000N0?ooo`<000000`3oool00`000000oooo0?ooo`040?ooo`<00000903oool2
08mNVGL0oooo0P2?GYUB0?ooo`00903oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
02<0oooo00<0SejI0?ooo`3oool0N@3oool00`2?GYT0oooo0?ooo`1?0?ooo`008`3oool00`000000
oooo000000050?ooo`030000003oool0oooo0280oooo00<0SejI0?ooo`3oool0N`3oool00`2?GYT0
oooo0?ooo`1>0?ooo`00903oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0200oooo
0P2?GYUo0?ooo`80SejICP3oool002/0oooo00<000000?ooo`3oool07`3oool00`2?GYT0oooo0?oo
o`210?ooo`0308mNV@3oool0oooo04/0oooo000[0?ooo`030000003oool0oooo01d0oooo0P2?GYV5
0?ooo`80SejIB`3oool002/0oooo00<000000?ooo`3oool0703oool00`2?GYT0oooo0?ooo`270?oo
o`0308mNV@3oool0oooo04P0oooo000[0?ooo`030000003oool0oooo01/0oooo00<0SejI0?ooo`3o
ool0R@3oool00`2?GYT0oooo0?ooo`170?ooo`00:`3oool00`000000oooo0?ooo`0I0?ooo`80SejI
S@3oool208mNVDL0oooo000[0?ooo`030000003oool0oooo01P0oooo00<0SejI0?ooo`3oool0S`3o
ool00`2?GYT0oooo0?ooo`140?ooo`00:`3oool00`000000oooo0?ooo`0G0?ooo`0308mNV@3oool0
oooo0940oooo00<0SejI0?ooo`3oool0@`3oool002/0oooo00<000000?ooo`3oool05P3oool00`2?
GYT0oooo0?ooo`2C0?ooo`0308mNV@3oool0oooo0480oooo000[0?ooo`030000003oool0oooo01@0
oooo0P2?GYVG0?ooo`80SejI@P3oool002/0oooo00<000000?ooo`3oool04`3oool00`2?GYT0oooo
0?ooo`2I0?ooo`0308mNV@3oool0oooo03l0oooo000[0?ooo`030000003oool0oooo0180oooo00<0
SejI0?ooo`3oool0V`3oool00`2?GYT0oooo0?ooo`0n0?ooo`00:`3oool00`000000oooo0?ooo`0A
0?ooo`0308mNV@3oool0oooo09d0oooo00<0SejI0?ooo`3oool0?@3oool002/0oooo00<000000?oo
o`3oool0403oool00`2?GYT0oooo0?ooo`2O0?ooo`0308mNV@3oool0oooo03`0oooo000[0?ooo`80
00003`3oool208mNVJ<0oooo00<0SejI0?ooo`3oool0>`3oool002/0oooo00<000000?ooo`3oool0
3@3oool00`2?GYT0oooo0?ooo`2S0?ooo`0308mNV@3oool0oooo03/0oooo000[0?ooo`030000003o
ool0oooo00`0oooo00<0SejI0?ooo`3oool0Y@3oool00`2?GYT0oooo0?ooo`0j0?ooo`00:`3oool0
0`000000oooo0?ooo`0<0?ooo`0308mNV@3oool0oooo0:H0oooo00<0SejI0?ooo`3oool0>@3oool0
02/0oooo00<000000?ooo`3oool02`3oool00`2?GYT0oooo0?ooo`2X0?ooo`0308mNV@3oool0oooo
03P0oooo000[0?ooo`030000003oool0oooo00X0oooo00<0SejI0?ooo`3oool0ZP3oool00`2?GYT0
oooo0?ooo`0g0?ooo`00:`3oool00`000000oooo0?ooo`0:0?ooo`0308mNV@3oool0oooo0:/0oooo
00<0SejI0?ooo`3oool0=P3oool002/0oooo00<000000?ooo`3oool02@3oool00`2?GYT0oooo0?oo
o`2]0?ooo`0308mNV@3oool0oooo03D0oooo000[0?ooo`030000003oool0oooo00P0oooo00<0SejI
0?ooo`3oool0[`3oool00`2?GYT0oooo0?ooo`0d0?ooo`00:`3oool00`000000oooo0?ooo`070?oo
o`0308mNV@3oool0oooo0;40oooo00<0SejI0?ooo`3oool0<`3oool002/0oooo00<000000?ooo`3o
ool01P3oool00`2?GYT0oooo0?ooo`2c0?ooo`0308mNV@3oool0oooo0380oooo000[0?ooo`030000
003oool0oooo00D0oooo00<0SejI0?ooo`3oool0]@3oool00`2?GYT0oooo0?ooo`0a0?ooo`00:`3o
ool00`000000oooo0?ooo`040?ooo`0308mNV@3oool0oooo0;H0oooo00<0SejI0?ooo`3oool04@3o
ool20?l001h0oooo000[0?ooo`030000003oool0oooo00<0oooo00<0SejI0?ooo`3oool0^03oool0
0`2?GYT0oooo0?ooo`0?0?ooo`@0o`007@3oool002/0oooo00<000000?ooo`3oool00`3oool00`2?
GYT0oooo0?ooo`2i0?ooo`0308mNV@3oool0oooo00h0oooo103o000M0?ooo`00:`3oool00`000000
oooo0?ooo`020?ooo`0308mNV@3oool0oooo0;/0oooo00<0SejI0?ooo`3oool03P3oool20?l001h0
oooo000[0?ooo`8000000P3oool00`2?GYT0oooo0?ooo`2l0?ooo`0308mNV@3oool0oooo02h0oooo
000[0?ooo`050000003oool0oooo0?ooo`2?GYT0_`3oool00`2?GYT0oooo0?ooo`0]0?ooo`00:`3o
ool010000000oooo0?ooo`2?GYW10?ooo`0308mNV@3oool0oooo02`0oooo000[0?ooo`040000003o
ool0oooo08mNVL40oooo00<0SejI0?ooo`3oool0;03oool002/0oooo00<000000?ooo`2?GYT0``3o
ool00`2?GYT0oooo0?ooo`0[0?ooo`00:`3oool00`000000SejI0?ooo`330?ooo`0308mNV@3oool0
oooo02/0oooo000[0?ooo`0308mNV@3oool0oooo0<@0oooo00<0SejI0?ooo`3oool0:P3oool002/0
oooo00<0SejI0?ooo`3oool0a@3oool00`2?GYT0oooo0?ooo`0Y0?ooo`00:P3oool00`2?GYT00000
0?ooo`360?ooo`0308mNV@3oool0oooo02T0oooo000Z0?ooo`0308mNV@000000oooo0<L0oooo00<0
SejI0?ooo`3oool0:03oool002T0oooo00<0SejI0?ooo`000000b03oool00`2?GYT0oooo0?ooo`0X
0?ooo`00:@3oool00`2?GYT0oooo000000390?ooo`0308mNV@3oool0oooo02L0oooo000X0?ooo`04
08mNV@3oool0oooo00000<X0oooo00<0SejI0?ooo`3oool09P3oool002P0oooo00@0SejI0?ooo`3o
ool00000bP3oool00`2?GYT0oooo0?ooo`0V0?ooo`009`3oool01@2?GYT0oooo0?ooo`3oool00000
0</0oooo00<0SejI0?ooo`3oool09@3oool002H0oooo00<0SejI0?ooo`3oool00P3oool00`000000
oooo0?ooo`390?ooo`0308mNV@3oool0oooo02D0oooo000V0?ooo`0308mNV@3oool0oooo0080oooo
00<000000?ooo`3oool0bP3oool00`2?GYT0oooo0?ooo`0T0?ooo`009P3oool00`2?GYT0oooo0?oo
o`020?ooo`800000b`3oool00`2?GYT0oooo0?ooo`0T0?ooo`009@3oool00`2?GYT0oooo0?ooo`03
0?ooo`030000003oool0oooo0</0oooo00<0SejI0?ooo`3oool08`3oool002D0oooo00<0SejI0?oo
o`3oool00`3oool00`000000oooo0?ooo`3;0?ooo`0308mNV@3oool0oooo02<0oooo000U0?ooo`03
08mNV@3oool0oooo00<0oooo00<000000?ooo`3oool0b`3oool00`2?GYT0oooo0?ooo`0S0?ooo`00
903oool00`2?GYT0oooo0?ooo`040?ooo`030000003oool0oooo0<`0oooo00<0SejI0?ooo`3oool0
8P3oool002@0oooo00<0SejI0?ooo`3oool0103oool00`000000oooo0?ooo`0n0?ooo`<00000@@3o
ool3000003h0oooo0P0000070?ooo`0308mNV@3oool0oooo0280oooo000S0?ooo`0308mNV@3oool0
oooo00D0oooo00<000000?ooo`3oool0?P3oool00`000000oooo0?ooo`120?ooo`030000003oool0
oooo03d0oooo00<000000?ooo`0000001P3oool00`2?GYT0oooo0?ooo`0R0?ooo`008P3oool00`2?
GYT0oooo0?ooo`060?ooo`030000003oool0oooo03l0oooo00<000000?ooo`3oool0?`3oool40000
03h0oooo00<000000?ooo`0000001`3oool00`2?GYT0oooo0?ooo`0Q0?ooo`008P3oool00`2?GYT0
oooo0?ooo`060?ooo`030000003oool0oooo03l0oooo00<000000?ooo`3oool0?`3oool00`000000
oooo0000000o0?ooo`800000203oool00`2?GYT0oooo0?ooo`0Q0?ooo`008@3oool00`2?GYT0oooo
0?ooo`070?ooo`030000003oool0oooo03h0oooo00<000000?ooo`000000@@3oool2000003l0oooo
00<000000?ooo`3oool0203oool00`2?GYT0oooo0?ooo`0P0?ooo`008@3oool00`2?GYT0oooo0?oo
o`070?ooo`030000003oool0oooo03l0oooo00<000000?ooo`3oool0@@3oool00`000000oooo0?oo
o`0n0?ooo`800000203oool00`2?GYT0oooo0?ooo`0P0?ooo`008@3oool00`2?GYT0oooo0?ooo`07
0?ooo`030000003oool0oooo0<h0oooo00<0SejI0?ooo`3oool0803oool00200oooo00<0SejI0?oo
o`3oool0203oool00`000000oooo0?ooo`3?0?ooo`0308mNV@3oool0oooo01l0oooo000P0?ooo`03
08mNV@3oool0oooo00P0oooo00<000000?ooo`3oool0c`3oool00`2?GYT0oooo0?ooo`0O0?ooo`00
803oool00`2?GYT0oooo0?ooo`080?ooo`030000003oool0oooo0<l0oooo00<0SejI0?ooo`3oool0
7`3oool00200oooo00<0SejI0?ooo`3oool0203oool00`000000oooo0?ooo`3@0?ooo`0308mNV@3o
ool0oooo01h0oooo000P0?ooo`0308mNV@3oool0oooo00P0oooo00<000000?ooo`3oool0d03oool0
0`2?GYT0oooo0?ooo`0N0?ooo`007`0000000`2?GYT000000000003L0000000308mNV@0000000000
01h00000000:0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool00P3oool00`2?GYT0
oooo0?ooo`090?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool03@3oool00`000000
oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool03@3oool00`000000
oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool03@3oool00`000000
oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool03@3oool00`000000
oooo0?ooo`0>0?ooo`030000003oool0oooo00T0oooo00D0SejI0?ooo`3oool0oooo0000000@0?oo
o`030000003oool0oooo00P0oooo000O0?ooo`0308mNV@3oool0oooo00T0oooo00<000000?ooo`3o
ool0d@3oool00`2?GYT0oooo0?ooo`0M0?ooo`007P3oool00`2?GYT0oooo0?ooo`0:0?ooo`030000
003oool0oooo0=80oooo00<0SejI0?ooo`3oool0703oool001h0oooo00<0SejI0?ooo`3oool02P3o
ool00`000000oooo0?ooo`3B0?ooo`0308mNV@3oool0oooo01`0oooo000N0?ooo`0308mNV@3oool0
oooo00X0oooo00<000000?ooo`3oool0dP3oool00`2?GYT0oooo0?ooo`0L0?ooo`007@3oool00`2?
GYT0oooo0?ooo`0;0?ooo`030000003oool0oooo0=<0oooo00<0SejI0?ooo`3oool06`3oool001d0
oooo00<0SejI0?ooo`3oool02`3oool00`000000oooo0?ooo`3C0?ooo`0308mNV@3oool0oooo01/0
oooo000M0?ooo`0308mNV@3oool0oooo00/0oooo00<000000?ooo`3oool0d`3oool00`2?GYT0oooo
0?ooo`0K0?ooo`007@3oool00`2?GYT0oooo0?ooo`0;0?ooo`030000003oool0oooo0=<0oooo00<0
SejI0?ooo`3oool06`3oool001d0oooo00<0SejI0?ooo`3oool02`3oool00`000000oooo0?ooo`3C
0?ooo`0308mNV@3oool0oooo01/0oooo000M0?ooo`0308mNV@3oool0oooo00/0oooo00<000000?oo
o`3oool0d`3oool00`2?GYT0oooo0?ooo`0K0?ooo`00703oool00`2?GYT0oooo0?ooo`0<0?ooo`03
0000003oool0oooo0=@0oooo00<0SejI0?ooo`3oool06P3oool001`0oooo00<0SejI0?ooo`3oool0
303oool00`000000oooo0?ooo`3D0?ooo`0308mNV@3oool0oooo01X0oooo000L0?ooo`0308mNV@3o
ool0oooo00`0oooo00<000000?ooo`3oool0e03oool00`2?GYT0oooo0?ooo`0J0?ooo`00703oool0
0`2?GYT0oooo0?ooo`0<0?ooo`030000003oool0oooo0=@0oooo00<0SejI0?ooo`3oool06P3oool0
01`0oooo00<0SejI0?ooo`3oool0303oool200000=D0oooo00<0SejI0?ooo`3oool06P3oool001/0
oooo00<0SejI0?ooo`3oool03@3oool00`000000oooo0?ooo`3D0?ooo`0308mNV@3oool0oooo01X0
oooo000K0?ooo`0308mNV@3oool0oooo00d0oooo00<000000?ooo`3oool0e@3oool00`2?GYT0oooo
0?ooo`0I0?ooo`006`3oool00`2?GYT0oooo0?ooo`0=0?ooo`030000003oool0oooo0=D0oooo00<0
SejI0?ooo`3oool06@3oool001/0oooo00<0SejI0?ooo`3oool03@3oool00`000000oooo0?ooo`3E
0?ooo`0308mNV@3oool0oooo01T0oooo000K0?ooo`0308mNV@3oool0oooo00d0oooo00<000000?oo
o`3oool0e@3oool00`2?GYT0oooo0?ooo`0I0?ooo`006`3oool00`2?GYT0oooo0?ooo`0=0?ooo`03
0000003oool0oooo0=D0oooo00<0SejI0?ooo`3oool06@3oool001/0oooo00<0SejI0?ooo`3oool0
3@3oool00`000000oooo0?ooo`3E0?ooo`0308mNV@3oool0oooo01T0oooo000K0?ooo`0308mNV@3o
ool0oooo00d0oooo00<000000?ooo`3oool0e@3oool00`2?GYT0oooo0?ooo`0I0?ooo`006`3oool0
0`2?GYT0oooo0?ooo`0=0?ooo`030000003oool0oooo0=D0oooo00<0SejI0?ooo`3oool06@3oool0
01X0oooo00<0SejI0?ooo`3oool03P3oool00`000000oooo0?ooo`3E0?ooo`0308mNV@3oool0oooo
01T0oooo000J0?ooo`0308mNV@3oool0oooo00h0oooo00<000000?ooo`3oool0e@3oool00`2?GYT0
oooo0?ooo`0I0?ooo`006P3oool00`2?GYT0oooo0?ooo`0>0?ooo`030000003oool0oooo0=D0oooo
00<0SejI0?ooo`3oool06@3oool001X0oooo00<0SejI0?ooo`3oool03P3oool00`000000oooo0?oo
o`3E0?ooo`0308mNV@3oool0oooo01T0oooo000J0?ooo`0308mNV@3oool0oooo00h0oooo00<00000
0?ooo`3oool0e@3oool00`2?GYT0oooo0?ooo`0I0?ooo`006P3oool00`2?GYT0oooo0?ooo`0>0?oo
o`030000003oool0oooo0=D0oooo00<0SejI0?ooo`3oool06@3oool001X0oooo00<0SejI0?ooo`3o
ool03P3oool00`000000oooo0?ooo`3E0?ooo`0308mNV@3oool0oooo01T0oooo000J0?ooo`0308mN
V@3oool0oooo00h0oooo0P00003F0?ooo`0308mNV@3oool0oooo01T0oooo000J0?ooo`0308mNV@3o
ool0oooo00h0oooo00<000000?ooo`3oool0e@3oool00`2?GYT0oooo0?ooo`0I0?ooo`006P3oool0
0`2?GYT0oooo0?ooo`0>0?ooo`030000003oool0oooo0=D0oooo00<0SejI0?ooo`3oool06@3oool0
01X0oooo00<0SejI0?ooo`3oool03P3oool00`000000oooo0?ooo`3E0?ooo`0308mNV@3oool0oooo
01T0oooo000J0?ooo`0308mNV@3oool0oooo00h0oooo00<000000?ooo`3oool0e@3oool00`2?GYT0
oooo0?ooo`0I0?ooo`006P3oool00`2?GYT0oooo0?ooo`0>0?ooo`030000003oool0oooo0=D0oooo
00<0SejI0?ooo`3oool06@3oool001X0oooo00<0SejI0?ooo`3oool03P3oool00`000000oooo0?oo
o`3E0?ooo`0308mNV@3oool0oooo01T0oooo000J0?ooo`0308mNV@3oool0oooo00h0oooo00<00000
0?ooo`3oool0e@3oool00`2?GYT0oooo0?ooo`0I0?ooo`006`3oool00`2?GYT0oooo0?ooo`0=0?oo
o`030000003oool0oooo0=D0oooo00<0SejI0?ooo`3oool06@3oool000D0oooo0P3o000D0?ooo`03
08mNV@3oool0oooo00d0oooo00<000000?ooo`3oool0e@3oool00`2?GYT0oooo0?ooo`0@0?ooo`80
o`001`3oool000@0oooo103o000C0?ooo`0308mNV@3oool0oooo00d0oooo00<000000?ooo`3oool0
e@3oool00`2?GYT0oooo0?ooo`0?0?ooo`@0o`001P3oool000@0oooo103o000C0?ooo`0308mNV@3o
ool0oooo00d0oooo00<000000?ooo`3oool0e@3oool00`2?GYT0oooo0?ooo`0?0?ooo`@0o`001P3o
ool000D0oooo0P3o000D0?ooo`0308mNV@3oool0oooo00d0oooo00<000000?ooo`3oool0e@3oool0
0`2?GYT0oooo0?ooo`0@0?ooo`80o`001`3oool001/0oooo00<0SejI0?ooo`3oool03@3oool00`00
0000oooo0?ooo`3E0?ooo`0308mNV@3oool0oooo01T0oooo000K0?ooo`0308mNV@3oool0oooo00d0
oooo00<000000?ooo`3oool0e@3oool00`2?GYT0oooo0?ooo`0I0?ooo`006`3oool00`2?GYT0oooo
0?ooo`0=0?ooo`030000003oool0oooo0=D0oooo00<0SejI0?ooo`3oool06@3oool001`0oooo00<0
SejI0?ooo`3oool0303oool00`000000oooo0?ooo`3D0?ooo`0308mNV@3oool0oooo01X0oooo000L
0?ooo`0308mNV@3oool0oooo00`0oooo0P00003E0?ooo`0308mNV@3oool0oooo01X0oooo000L0?oo
o`0308mNV@3oool0oooo00`0oooo00<000000?ooo`3oool0e03oool00`2?GYT0oooo0?ooo`0J0?oo
o`00703oool00`2?GYT0oooo0?ooo`0<0?ooo`030000003oool0oooo0=@0oooo00<0SejI0?ooo`3o
ool06P3oool001`0oooo00<0SejI0?ooo`3oool0303oool00`000000oooo0?ooo`3D0?ooo`0308mN
V@3oool0oooo01X0oooo000L0?ooo`0308mNV@3oool0oooo00`0oooo00<000000?ooo`3oool0e03o
ool00`2?GYT0oooo0?ooo`0J0?ooo`007@3oool00`2?GYT0oooo0?ooo`0;0?ooo`030000003oool0
oooo0=<0oooo00<0SejI0?ooo`3oool06`3oool001d0oooo00<0SejI0?ooo`3oool02`3oool00`00
0000oooo0?ooo`3C0?ooo`0308mNV@3oool0oooo01/0oooo000M0?ooo`0308mNV@3oool0oooo00/0
oooo00<000000?ooo`3oool0d`3oool00`2?GYT0oooo0?ooo`0K0?ooo`007@3oool00`2?GYT0oooo
0?ooo`0;0?ooo`030000003oool0oooo0=<0oooo00<0SejI0?ooo`3oool06`3oool001d0oooo00<0
SejI0?ooo`3oool02`3oool00`000000oooo0?ooo`3C0?ooo`0308mNV@3oool0oooo01/0oooo000M
0?ooo`0308mNV@3oool0oooo00/0oooo00<000000?ooo`3oool0d`3oool00`2?GYT0oooo0?ooo`0K
0?ooo`007P3oool00`2?GYT0oooo0?ooo`0:0?ooo`030000003oool0oooo0=80oooo00<0SejI0?oo
o`3oool0703oool001h0oooo00<0SejI0?ooo`3oool02P3oool00`000000oooo0?ooo`3B0?ooo`03
08mNV@3oool0oooo01`0oooo000N0?ooo`0308mNV@3oool0oooo00X0oooo00<000000?ooo`3oool0
d@3oool00`2?GYT0oooo0?ooo`0M0?ooo`007`3oool0102?GYT0oooo0?ooo`3oool3000000D0oooo
00<000000?ooo`3oool0d@3oool00`2?GYT0oooo0?ooo`0M0?ooo`007`3oool01@2?GYT0oooo0?oo
o`3oool0000000L0oooo00<000000?ooo`3oool0d@3oool00`2?GYT0oooo0?ooo`0M0?ooo`00803o
ool01@2?GYT0oooo0?ooo`3oool0000000H0oooo0`00003@0?ooo`0308mNV@3oool0oooo01h0oooo
000P0?ooo`0508mNV@3oool0oooo0?ooo`0000001P3oool00`000000oooo0?ooo`3@0?ooo`0308mN
V@3oool0oooo01h0oooo000P0?ooo`0608mNV@3oool0oooo0000003oool000001@3oool00`000000
oooo0?ooo`3@0?ooo`0308mNV@3oool0oooo01h0oooo000P0?ooo`0508mNV@3oool0oooo0?ooo`00
00001P3oool00`000000oooo0?ooo`3?0?ooo`0308mNV@3oool0oooo01l0oooo000P0?ooo`0308mN
V@3oool0oooo00P0oooo00<000000?ooo`3oool0c`3oool00`2?GYT0oooo0?ooo`0O0?ooo`00803o
ool00`2?GYT0oooo0?ooo`080?ooo`030000003oool0oooo0<l0oooo00<0SejI0?ooo`3oool07`3o
ool00240oooo00<0SejI0?ooo`3oool01`3oool00`000000oooo0?ooo`3>0?ooo`0308mNV@3oool0
oooo0200oooo000Q0?ooo`0308mNV@3oool0oooo00L0oooo00<000000?ooo`3oool0cP3oool00`2?
GYT0oooo0?ooo`0P0?ooo`008@3oool00`2?GYT0oooo0?ooo`070?ooo`030000003oool0oooo0<d0
oooo00<0SejI0?ooo`3oool08@3oool00280oooo00<0SejI0?ooo`3oool01P3oool00`000000oooo
0?ooo`3=0?ooo`0308mNV@3oool0oooo0240oooo000R0?ooo`0308mNV@3oool0oooo00H0oooo00<0
00000?ooo`3oool0c@3oool00`2?GYT0oooo0?ooo`0Q0?ooo`008`3oool00`2?GYT0oooo0?ooo`05
0?ooo`030000003oool0oooo0<`0oooo00<0SejI0?ooo`3oool08P3oool002<0oooo00<0SejI0?oo
o`3oool01@3oool00`000000oooo0?ooo`3<0?ooo`0308mNV@3oool0oooo0280oooo000T0?ooo`03
08mNV@3oool0oooo00@0oooo00<000000?ooo`3oool0c03oool00`2?GYT0oooo0?ooo`0R0?ooo`00
903oool00`2?GYT0oooo0?ooo`040?ooo`030000003oool0oooo0</0oooo00<0SejI0?ooo`3oool0
8`3oool002D0oooo00<0SejI0?ooo`3oool00`3oool00`000000oooo0?ooo`3;0?ooo`0308mNV@3o
ool0oooo02<0oooo000U0?ooo`0308mNV@3oool0oooo00<0oooo00<000000?ooo`3oool0bP3oool0
0`2?GYT0oooo0?ooo`0T0?ooo`009P3oool00`2?GYT0oooo0?ooo`020?ooo`800000b`3oool00`2?
GYT0oooo0?ooo`0T0?ooo`009P3oool00`2?GYT0oooo0?ooo`020?ooo`030000003oool0oooo0<X0
oooo00<0SejI0?ooo`3oool0903oool002L0oooo00D0SejI0?ooo`3oool0oooo0000003;0?ooo`03
08mNV@3oool0oooo02D0oooo000W0?ooo`0508mNV@3oool0oooo0?ooo`000000b`3oool00`2?GYT0
oooo0?ooo`0U0?ooo`00:03oool0102?GYT0oooo0?ooo`00003:0?ooo`0308mNV@3oool0oooo02H0
oooo000X0?ooo`0408mNV@3oool0oooo00000<X0oooo00<0SejI0?ooo`3oool09P3oool002T0oooo
00<0SejI0?ooo`000000b@3oool00`2?GYT0oooo0?ooo`0W0?ooo`00:@3oool00`2?GYT0oooo0000
00380?ooo`0308mNV@3oool0oooo02P0oooo000Z0?ooo`0308mNV@000000oooo0<L0oooo00<0SejI
0?ooo`3oool0:03oool002X0oooo00<0SejI0000003oool0aP3oool00`2?GYT0oooo0?ooo`0Y0?oo
o`00:`3oool00`2?GYT0oooo0?ooo`350?ooo`0308mNV@3oool0oooo02T0oooo000[0?ooo`0308mN
V@3oool0oooo0<@0oooo00<0SejI0?ooo`3oool0:P3oool002/0oooo00<0000008mNV@3oool0``3o
ool00`2?GYT0oooo0?ooo`0[0?ooo`00:`3oool00`000000oooo08mNV@330?ooo`0308mNV@3oool0
oooo02/0oooo000[0?ooo`040000003oool0oooo08mNVL40oooo00<0SejI0?ooo`3oool0;03oool0
02/0oooo00@000000?ooo`3oool0SejI`@3oool00`2?GYT0oooo0?ooo`0/0?ooo`00:`3oool20000
0080oooo00<0SejI0?ooo`3oool0_@3oool00`2?GYT0oooo0?ooo`0]0?ooo`00:`3oool01@000000
oooo0?ooo`3oool0SejI0;h0oooo00<0SejI0?ooo`3oool0;P3oool002/0oooo00<000000?ooo`3o
ool00P3oool00`2?GYT0oooo0?ooo`2k0?ooo`0308mNV@3oool0oooo02h0oooo000[0?ooo`030000
003oool0oooo00<0oooo00<0SejI0?ooo`3oool0^@3oool00`2?GYT0oooo0?ooo`0_0?ooo`00:`3o
ool00`000000oooo0?ooo`040?ooo`0308mNV@3oool0oooo0;L0oooo00<0SejI0?ooo`3oool0<03o
ool002/0oooo00<000000?ooo`3oool01@3oool00`2?GYT0oooo0?ooo`2e0?ooo`0308mNV@3oool0
oooo0340oooo000[0?ooo`030000003oool0oooo00D0oooo00<0SejI0?ooo`3oool0]@3oool00`2?
GYT0oooo0?ooo`0a0?ooo`00:`3oool00`000000oooo0?ooo`060?ooo`0308mNV@3oool0oooo0;<0
oooo00<0SejI0?ooo`3oool0<P3oool002/0oooo00<000000?ooo`3oool01`3oool00`2?GYT0oooo
0?ooo`2a0?ooo`0308mNV@3oool0oooo03<0oooo000[0?ooo`030000003oool0oooo00P0oooo00<0
SejI0?ooo`3oool0[`3oool00`2?GYT0oooo0?ooo`0d0?ooo`00:`3oool00`000000oooo0?ooo`09
0?ooo`0308mNV@3oool0oooo0:d0oooo00<0SejI0?ooo`3oool0=@3oool002/0oooo00<000000?oo
o`3oool02P3oool00`2?GYT0oooo0?ooo`2[0?ooo`0308mNV@3oool0oooo03H0oooo000[0?ooo`03
0000003oool0oooo00X0oooo00<0SejI0?ooo`3oool0ZP3oool00`2?GYT0oooo0?ooo`0g0?ooo`00
:`3oool00`000000oooo0?ooo`0;0?ooo`0308mNV@3oool0oooo0:P0oooo00<0SejI0?ooo`3oool0
>03oool002/0oooo00<000000?ooo`3oool0303oool00`2?GYT0oooo0?ooo`2V0?ooo`0308mNV@3o
ool0oooo03T0oooo000[0?ooo`030000003oool0oooo00d0oooo00<0SejI0?ooo`3oool0Y03oool0
0`2?GYT0oooo0?ooo`0j0?ooo`00:`3oool00`000000oooo0?ooo`0>0?ooo`80SejIX`3oool00`2?
GYT0oooo0?ooo`0k0?ooo`00:`3oool200000140oooo00<0SejI0?ooo`3oool0W`3oool00`2?GYT0
oooo0?ooo`0l0?ooo`00:`3oool00`000000oooo0?ooo`0A0?ooo`0308mNV@3oool0oooo09d0oooo
00<0SejI0?ooo`3oool0?@3oool002/0oooo00<000000?ooo`3oool04P3oool00`2?GYT0oooo0?oo
o`2K0?ooo`0308mNV@3oool0oooo03h0oooo000[0?ooo`030000003oool0oooo01<0oooo00<0SejI
0?ooo`3oool0V@3oool00`2?GYT0oooo0?ooo`0o0?ooo`00:`3oool00`000000oooo0?ooo`0D0?oo
o`0308mNV@3oool0oooo09L0oooo00<0SejI0?ooo`3oool0@03oool002/0oooo00<000000?ooo`3o
ool05@3oool00`2?GYT0oooo0?ooo`2E0?ooo`0308mNV@3oool0oooo0440oooo000[0?ooo`030000
003oool0oooo01H0oooo00<0SejI0?ooo`3oool0T`3oool00`2?GYT0oooo0?ooo`120?ooo`00:`3o
ool00`000000oooo0?ooo`0G0?ooo`0308mNV@3oool0oooo0940oooo00<0SejI0?ooo`3oool0@`3o
ool002/0oooo00<000000?ooo`3oool0603oool00`2?GYT0oooo0?ooo`2?0?ooo`0308mNV@3oool0
oooo04@0oooo000[0?ooo`030000003oool0oooo01T0oooo0P2?GYV=0?ooo`80SejIA`3oool002/0
oooo00<000000?ooo`3oool06`3oool00`2?GYT0oooo0?ooo`290?ooo`0308mNV@3oool0oooo04L0
oooo000[0?ooo`030000003oool0oooo01`0oooo0P2?GYV80?ooo`0308mNV@3oool0oooo04P0oooo
000[0?ooo`030000003oool0oooo01h0oooo00<0SejI0?ooo`3oool0Q03oool00`2?GYT0oooo0?oo
o`190?ooo`00:`3oool00`000000oooo0?ooo`0O0?ooo`0308mNV@3oool0oooo0840oooo0P2?GYU<
0?ooo`00:`3oool00`000000oooo0?ooo`0P0?ooo`80SejIO`3oool208mNVDh0oooo000T0?ooo`<0
0000103oool00`000000oooo0?ooo`0R0?ooo`0308mNV@3oool0oooo07/0oooo00<0SejI0?ooo`3o
ool0CP3oool002D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0C0?ooo`80o`00
3P3oool208mNVGT0oooo0P2?GYTF0?ooo`80o`00>@3oool002<0oooo100000040?ooo`<000004P3o
ool40?l000l0oooo0P2?GYUe0?ooo`80SejI5`3oool40?l003P0oooo000S0?ooo`030000003oool0
000000D0oooo00<000000?ooo`3oool04P3oool40?l00140oooo00<0SejI0?ooo`3oool0L@3oool0
0`2?GYT0oooo0?ooo`0G0?ooo`@0o`00>03oool002@0oooo0P0000050?ooo`030000003oool0oooo
01<0oooo0P3o000C0?ooo`80SejIK`3oool208mNVA/0oooo0P3o000i0?ooo`009@3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo02X0oooo0P2?GYU[0?ooo`80SejIF03oool002/0oooo
00<000000?ooo`3oool0;03oool00`2?GYT0oooo0?ooo`1V0?ooo`80SejIFP3oool002/0oooo00<0
00000?ooo`3oool0;@3oool308mNVF<0oooo0P2?GYUL0?ooo`00:`3oool00`000000oooo0?ooo`0`
0?ooo`<0SejIG@3oool308mNVEh0oooo000[0?ooo`030000003oool0oooo03<0oooo0P2?GYUH0?oo
o`<0SejIH@3oool002/0oooo00<000000?ooo`3oool0=@3oool308mNVE<0oooo0P2?GYUT0?ooo`00
:`3oool00`000000oooo0?ooo`0h0?ooo`<0SejIC@3oool308mNVFH0oooo000[0?ooo`030000003o
ool0oooo03/0oooo0`2?GYU70?ooo`<0SejIJ@3oool002/0oooo00<000000?ooo`3oool0?P3oool2
08mNVD80oooo0`2?GYU/0?ooo`00:`3oool00`000000oooo0?ooo`100?ooo`<0SejI?@3oool208mN
VFl0oooo000[0?ooo`030000003oool0oooo04<0oooo0`2?GYTg0?ooo`<0SejIL@3oool002/0oooo
00<000000?ooo`3oool0AP3oool608mNVB/0oooo1P2?GYUd0?ooo`00:`3oool00`000000oooo0?oo
o`1<0?ooo`D0SejI803oool608mNVGX0oooo000[0?ooo`800000DP3ooolP08mNVH00oooo000[0?oo
o`030000003oool0oooo0?40oooo000[0?ooo`030000003oool0oooo0?40oooo000[0?ooo`030000
003oool0oooo0?40oooo000[0?ooo`030000003oool0oooo0?40oooo000[0?ooo`030000003oool0
oooo0?40oooo000[0?ooo`030000003oool0oooo06X0oooo0P3o00250?ooo`00:`3oool00`000000
oooo0?ooo`1Y0?ooo`@0o`00Q03oool002/0oooo00<000000?ooo`3oool0J@3oool40?l008@0oooo
000[0?ooo`030000003oool0oooo06X0oooo0P3o00250?ooo`00:`3oool00`000000oooo0?ooo`3a
0?ooo`00:`3oool00`000000oooo0?ooo`3a0?ooo`00:`3oool00`000000oooo0?ooo`3a0?ooo`00
:`3oool00`000000oooo0?ooo`3a0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 286.813}, {269.25, 0}} -> {-1.30621, -3.19254, 
  0.030028, 0.030028}}]
}, Open  ]],

Cell[TextData[{
  "The points appear to lie roughly on a circle.  ",
  StyleBox[
  "(Experiment with an approximating circle by changing the center and radius \
arguments ",
    FontSize->12],
  StyleBox["highlighted",
    FontSize->12,
    FontColor->RGBColor[1, 0, 1]],
  StyleBox[" in the call to the ",
    FontSize->12],
  StyleBox["Circle", "Input",
    FontSize->12],
  StyleBox[" function above.)",
    FontSize->12],
  "  To measure how close to circular they actually are, let us find the \
circle that gives the best least-squares fit to the points."
}], "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]],

Cell[TextData[{
  "If the circle has radius ",
  StyleBox["r",
    FontSlant->"Italic"],
  " and center at ",
  Cell[BoxData[
      \(TraditionalForm\`\((c\_1, c\_2)\)\)]],
  " then its equation is \n\n\t",
  Cell[BoxData[
      \(TraditionalForm\`\((x - c\_1)\)\^2 + \((y - c\_2)\)\^2 = r\^2\)]],
  "\n\nExpanding we get\n\n(\[FivePointedStar])\t",
  Cell[BoxData[
      \(TraditionalForm
      \`2  x\ c\_1 + 2  y\ c\_2 + \((r\^2 - c\_1\^2 - c\_2\^2)\) = 
        x\^2 + y\^2\)]],
  "\n\nBy introducing a new variable ",
  Cell[BoxData[
      \(TraditionalForm\`c\_3 = \ r\^2 - c\_1\^2 - c\_2\^2\)]],
  ", we obtain from (\[FivePointedStar]) a linear equation for the three \
unknowns ",
  Cell[BoxData[
      \(TraditionalForm\`c\_1, c\_2, c\_3\)]],
  ":\n\n\t",
  Cell[BoxData[
      \(TraditionalForm\`2  x\ c\_1 + 2  y\ c\_2 + c\_3 = x\^2 + y\^2\)]],
  "\n\nSubstituting each of the eight data points ",
  Cell[BoxData[
      \(TraditionalForm\`\((x\_i, y\_i)\)\)]],
  " into this equaiton, we obtain a linear system of the form \n\n\t",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{
            RowBox[{"(", GridBox[{
                  {\(2  x\_1\), \(2  y\_1\), "1"},
                  {\(2  x\_2\), \(2  y\_2\), "1"},
                 
                   {"\[VerticalEllipsis]", "\[VerticalEllipsis]", 
                    "\[VerticalEllipsis]"},
                  {\(2  x\_8\), \(2  y\_8\), "1"}
                  }], ")"}], 
            RowBox[{"(", GridBox[{
                  {\(c\_1\)},
                  {\(c\_2\)},
                  {\(c\_3\)}
                  }], ")"}]}], "=", 
          RowBox[{"(", GridBox[{
                {\(x\_1\^2 + y\_1\^2\)},
                {\(x\_2\^2 + y\_2\^2\)},
                {"\[VerticalEllipsis]"},
                {\(x\_8\^2 + y\_8\^2\)}
                }], ")"}]}], TraditionalForm]]]
}], "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]],

Cell[TextData[{
  "Note that this is \"overdetermined\"\[LongDash]there are 8 equations in \
just three unknowns.\n\nSet ",
  StyleBox["A",
    FontSlant->"Italic"],
  " equal to the coefficient matrix on the left and ",
  StyleBox["b",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  " equal to the vector on the right.  The leasts-squares solution to our \
system is a solution to the normal equations are ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          RowBox[{\(A\^T\), "A", 
            OverscriptBox[
              StyleBox["x",
                FontWeight->"Bold"], "\[Wedge]"]}], "=", 
          RowBox[{\(A\^T\), 
            StyleBox["b",
              FontWeight->"Bold"]}]}], TraditionalForm]]],
  "."
}], "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]],

Cell[CellGroupData[{

Cell["\<\
matA = Transpose[{2xs, 2ys, Table[1, {Length[xs]}]}]
vecb = xs^2 + ys^2\
\>", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"1.39999999999999991`", "8.`", "1"},
            {"6.59999999999999964`", "9.40000000000000035`", "1"},
            {"11.1999999999999988`", "8.`", "1"},
            {"14.1999999999999992`", "2.60000000000000008`", "1"},
            {"12.8000000000000003`", \(-2.20000000000000017`\), "1"},
            {"8.80000000000000071`", \(-6.`\), "1"},
            {"0.6`", \(-5.`\), "1"},
            {\(-2.20000000000000017`\), "2.60000000000000008`", "1"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"],

Cell[BoxData[
    \(TraditionalForm
    \`{16.4899999999999984`, 32.9800000000000048`, 47.3599999999999976`, 
      52.0999999999999907`, 42.1700000000000052`, 28.3600000000000029`, 
      6.33999999999999985`, 2.90000000000000035`}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
{c1,c2,c3} = LinearSolve[Transpose[matA].matA, Transpose[matA].vecb]\
\>", "Input"],

Cell[BoxData[
    \(TraditionalForm
    \`{2.95338520915113988`, 0.735502787371794308`, 7.27393516638249604`}\)], 
  "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["r = Sqrt[c3 + c1^2 + c2^2]", "Input"],

Cell[BoxData[
    \(TraditionalForm\`4.06661821545210866`\)], "Output"]
}, Open  ]],

Cell[TextData[{
  "Our least-squares solution produces the circle with center ",
  Cell[BoxData[
      \(TraditionalForm\`\((c\_1, c\_2)\) \[TildeTilde] \((2.95, 0.74)\)\)]],
  " and radius ",
  Cell[BoxData[
      \(TraditionalForm\`r \[TildeTilde] 4.07\)]],
  ".\nLet's check on how this solution looks..."
}], "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]],

Cell[CellGroupData[{

Cell[TextData[{
  "xs = {0.7, 3.3, 5.6, 7.1, 6.4, 4.4, 0.3,-1.1};\nys = {4.0, 4.7, 4.0, \
1.3,-1.1,-3.0,-2.5, 1.3};\npts = Transpose[{xs,ys}];\n\nShow[\n\tGraphics[{\t\
\n\t\tRed, AbsolutePointSize[5], Map[Point, pts],\n\t\tViolet, Circle[",
  StyleBox["{c1,c2},r",
    FontColor->RGBColor[1, 0, 1]],
  "]\n\t}],\n\tAxes->Automatic, AspectRatio->Automatic\n];\n\nPrint[\"center: \
(\",c1,\", \",c2,\");  radius: \",r];"
}], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .99026 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.152897 0.115957 0.409843 0.115957 [
[.38481 .39734 -3 -9 ]
[.38481 .39734 3 0 ]
[.61672 .39734 -3 -9 ]
[.61672 .39734 3 0 ]
[.84864 .39734 -3 -9 ]
[.84864 .39734 3 0 ]
[.1404 .17793 -12 -4.5 ]
[.1404 .17793 0 4.5 ]
[.1404 .64176 -6 -4.5 ]
[.1404 .64176 0 4.5 ]
[.1404 .87367 -6 -4.5 ]
[.1404 .87367 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .99026 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
.38481 .40984 m
.38481 .41609 L
s
[(2)] .38481 .39734 0 1 Mshowa
.61672 .40984 m
.61672 .41609 L
s
[(4)] .61672 .39734 0 1 Mshowa
.84864 .40984 m
.84864 .41609 L
s
[(6)] .84864 .39734 0 1 Mshowa
.125 Mabswid
.21088 .40984 m
.21088 .41359 L
s
.26885 .40984 m
.26885 .41359 L
s
.32683 .40984 m
.32683 .41359 L
s
.44279 .40984 m
.44279 .41359 L
s
.50077 .40984 m
.50077 .41359 L
s
.55875 .40984 m
.55875 .41359 L
s
.6747 .40984 m
.6747 .41359 L
s
.73268 .40984 m
.73268 .41359 L
s
.79066 .40984 m
.79066 .41359 L
s
.09492 .40984 m
.09492 .41359 L
s
.03694 .40984 m
.03694 .41359 L
s
.90662 .40984 m
.90662 .41359 L
s
.96459 .40984 m
.96459 .41359 L
s
.25 Mabswid
0 .40984 m
1 .40984 L
s
.1529 .17793 m
.15915 .17793 L
s
[(-2)] .1404 .17793 1 0 Mshowa
.1529 .64176 m
.15915 .64176 L
s
[(2)] .1404 .64176 1 0 Mshowa
.1529 .87367 m
.15915 .87367 L
s
[(4)] .1404 .87367 1 0 Mshowa
.125 Mabswid
.1529 .23591 m
.15665 .23591 L
s
.1529 .29389 m
.15665 .29389 L
s
.1529 .35186 m
.15665 .35186 L
s
.1529 .46782 m
.15665 .46782 L
s
.1529 .5258 m
.15665 .5258 L
s
.1529 .58378 m
.15665 .58378 L
s
.1529 .69974 m
.15665 .69974 L
s
.1529 .75771 m
.15665 .75771 L
s
.1529 .81569 m
.15665 .81569 L
s
.1529 .11995 m
.15665 .11995 L
s
.1529 .06197 m
.15665 .06197 L
s
.1529 .00399 m
.15665 .00399 L
s
.1529 .93165 m
.15665 .93165 L
s
.1529 .98963 m
.15665 .98963 L
s
.25 Mabswid
.1529 0 m
.1529 .99026 L
s
0 0 m
1 0 L
1 .99026 L
0 .99026 L
closepath
clip
newpath
1 0 0 r
5 Mabswid
.23407 .87367 Mdot
.53555 .95484 Mdot
.80226 .87367 Mdot
.97619 .56059 Mdot
.89502 .28229 Mdot
.66311 .06197 Mdot
.18768 .11995 Mdot
.02534 .56059 Mdot
.56 .37 .6 r
.5 Mabswid
newpath
.49536 .49513 .47155 0 365.73 arc
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{250.375, 247.875},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003j0000mb000`400?l00000o`00003o9P3oool0
0`000000oooo0?ooo`3A0?ooo`009P3oool200000=80oooo000V0?ooo`030000003oool0oooo0=40
oooo000V0?ooo`030000003oool0oooo0=40oooo000V0?ooo`030000003oool0oooo0=40oooo000V
0?ooo`030000003oool0oooo0=40oooo000V0?ooo`030000003oool0oooo04<0oooo802?GYU^0?oo
o`009P3oool00`000000oooo0?ooo`0m0?ooo`H0SejI803oool508mNVFT0oooo000V0?ooo`030000
003oool0oooo03L0oooo1P2?GYT[0?ooo`H0SejIH`3oool002H0oooo00<000000?ooo`3oool0=03o
ool308mNVCL0oooo0`2?GYUP0?ooo`009P3oool00`000000oooo0?ooo`0a0?ooo`<0SejI?@3oool3
08mNVEd0oooo000V0?ooo`030000003oool0oooo02l0oooo0P2?GYU30?ooo`80SejIF`3oool002H0
oooo00<000000?ooo`3oool0;03oool308mNVDL0oooo0`2?GYUH0?ooo`009P3oool00`000000oooo
0?ooo`0Y0?ooo`<0SejIC@3oool308mNVED0oooo000V0?ooo`030000003oool0oooo02H0oooo0`2?
GYUB0?ooo`040?l0002?GYT0SejI08mNVE80oooo000V0?ooo`8000009@3oool208mNVE@0oooo103o
00000`3oool0SejI08mNV@1@0?ooo`009P3oool00`000000oooo0?ooo`0Q0?ooo`<0SejIEP3oool4
0?l000<0oooo0`2?GYU=0?ooo`009P3oool00`000000oooo0?ooo`0N0?ooo`<0SejIFP3oool20?l0
00L0oooo0`2?GYU:0?ooo`009P3oool00`000000oooo0?ooo`0L0?ooo`80SejIJ@3oool208mNVDP0
oooo000V0?ooo`030000003oool0oooo01/0oooo00<0SejI0?ooo`3oool0J`3oool00`2?GYT0oooo
0?ooo`150?ooo`009P3oool00`000000oooo0?ooo`0I0?ooo`80SejIK`3oool208mNVDD0oooo000V
0?ooo`030000003oool0oooo01L0oooo0P2?GYUc0?ooo`80SejI@`3oool002H0oooo00<000000?oo
o`3oool05P3oool00`2?GYT0oooo0?ooo`1e0?ooo`0308mNV@3oool0oooo0400oooo000V0?ooo`03
0000003oool0oooo01@0oooo0P2?GYUi0?ooo`80SejI@03oool002H0oooo00<000000?ooo`3oool0
4P3oool208mNVGd0oooo0P2?GYTn0?ooo`009P3oool00`000000oooo0?ooo`0A0?ooo`0308mNV@3o
ool0oooo07l0oooo00<0SejI0?ooo`3oool0>`3oool002H0oooo00<000000?ooo`3oool0403oool0
0`2?GYT0oooo0?ooo`210?ooo`0308mNV@3oool0oooo03X0oooo000V0?ooo`030000003oool0oooo
00h0oooo0P2?GYV50?ooo`80SejI>P3oool002H0oooo00<000000?ooo`3oool03@3oool00`2?GYT0
oooo0?ooo`270?ooo`0308mNV@3oool0oooo03L0oooo000V0?ooo`030000003oool0oooo00@0oooo
0P3o00050?ooo`80SejIR`3oool208mNVCL0oooo000V0?ooo`800000103oool40?l000<0oooo00<0
SejI0?ooo`3oool0S@3oool00`2?GYT0oooo0?ooo`0d0?ooo`009P3oool00`000000oooo0?ooo`03
0?ooo`@0o`000P3oool00`2?GYT0oooo0?ooo`2?0?ooo`0308mNV@3oool0oooo03<0oooo000V0?oo
o`030000003oool0oooo00@0oooo0P3o00000`3oool0SejI08mNV@2C0?ooo`80SejI<`3oool002H0
oooo00<000000?ooo`3oool01P3oool00`2?GYT0oooo0?ooo`2E0?ooo`0308mNV@3oool0oooo0300
oooo000V0?ooo`030000003oool0oooo00D0oooo00<0SejI0?ooo`3oool0U`3oool00`2?GYT0oooo
0?ooo`0_0?ooo`009P3oool00`000000oooo0?ooo`040?ooo`0308mNV@3oool0oooo09T0oooo00<0
SejI0?ooo`3oool0;P3oool002H0oooo00<000000?ooo`3oool00`3oool00`2?GYT0oooo0?ooo`2K
0?ooo`0308mNV@3oool0oooo02d0oooo000V0?ooo`030000003oool0oooo0080oooo00<0SejI0?oo
o`3oool0W@3oool00`2?GYT0oooo0?ooo`0/0?ooo`009P3oool01@000000oooo0?ooo`3oool0SejI
0:40oooo00<0SejI0?ooo`3oool0:`3oool002H0oooo00@000000?ooo`3oool0SejIX`3oool00`2?
GYT0oooo0?ooo`0Z0?ooo`009P3oool00`000000oooo08mNV@2U0?ooo`0308mNV@3oool0oooo02T0
oooo000V0?ooo`030000002?GYT0oooo0:H0oooo00<0SejI0?ooo`3oool0:03oool001l0oooo0`00
00040?ooo`0308mNV@3oool0oooo0:L0oooo00<0SejI0?ooo`3oool09`3oool001l0oooo00<00000
0?ooo`3oool00`3oool00`2?GYT000000?ooo`2Y0?ooo`0308mNV@3oool0oooo02H0oooo000J0?oo
o`<000000`3oool01P000000oooo0?ooo`3oool0SejI0?ooo`800000ZP3oool00`2?GYT0oooo0?oo
o`0U0?ooo`00803oool010000000oooo0?ooo`2?GYT20?ooo`030000003oool0oooo0:X0oooo00<0
SejI0?ooo`3oool0903oool001l0oooo00@000000?ooo`000000SejI0`3oool00`000000oooo0?oo
o`2[0?ooo`0308mNV@3oool0oooo02<0oooo000P0?ooo`030000002?GYT0oooo00<0oooo00<00000
0?ooo`3oool0Z`3oool00`2?GYT0oooo0?ooo`0S0?ooo`00803oool00`2?GYT0oooo0?ooo`030?oo
o`030000003oool0oooo0:`0oooo00<0SejI0?ooo`3oool08P3oool00200oooo00<0SejI0?ooo`3o
ool00`3oool00`000000oooo0?ooo`2]0?ooo`0308mNV@3oool0oooo0240oooo000O0?ooo`0308mN
V@3oool0oooo00@0oooo00<000000?ooo`3oool0[P3oool00`2?GYT0oooo0?ooo`0P0?ooo`007P3o
ool00`2?GYT0oooo0?ooo`050?ooo`030000003oool0oooo0:l0oooo00<0SejI0?ooo`3oool07`3o
ool001d0oooo00<0SejI0?ooo`3oool01P3oool00`000000oooo0?ooo`2`0?ooo`0308mNV@3oool0
oooo01h0oooo000L0?ooo`0308mNV@3oool0oooo00L0oooo00<000000?ooo`3oool0/03oool00`2?
GYT0oooo0?ooo`0N0?ooo`00703oool00`2?GYT0oooo0?ooo`070?ooo`030000003oool0oooo0;40
oooo00<0SejI0?ooo`3oool07@3oool001/0oooo00<0SejI0?ooo`3oool0203oool00`000000oooo
0?ooo`2b0?ooo`0308mNV@3oool0oooo01`0oooo000K0?ooo`0308mNV@3oool0oooo00P0oooo00<0
00000?ooo`3oool0/P3oool00`2?GYT0oooo0?ooo`0L0?ooo`006P3oool00`2?GYT0oooo0?ooo`09
0?ooo`030000003oool0oooo0;<0oooo00<0SejI0?ooo`3oool06`3oool001T0oooo00<0SejI0?oo
o`3oool02P3oool200000;D0oooo00<0SejI0?ooo`3oool06P3oool001P0oooo00<0SejI0?ooo`3o
ool02`3oool00`000000oooo0?ooo`2e0?ooo`0308mNV@3oool0oooo01T0oooo000H0?ooo`0308mN
V@3oool0oooo00/0oooo00<000000?ooo`3oool0]@3oool00`2?GYT0oooo0?ooo`0I0?ooo`005`3o
ool00`2?GYT0oooo0?ooo`0<0?ooo`030000003oool0oooo0;H0oooo00<0SejI0?ooo`3oool0603o
ool001L0oooo00<0SejI0?ooo`3oool0303oool00`000000oooo0?ooo`2f0?ooo`0308mNV@3oool0
oooo01P0oooo000F0?ooo`0308mNV@3oool0oooo00d0oooo00<000000?ooo`3oool0]`3oool00`2?
GYT0oooo0?ooo`0G0?ooo`005@3oool00`2?GYT0oooo0?ooo`0>0?ooo`030000003oool0oooo0;P0
oooo00<0SejI0?ooo`3oool05P3oool001D0oooo00<0SejI0?ooo`3oool03P3oool00`000000oooo
0?ooo`2h0?ooo`0308mNV@3oool0oooo01H0oooo000D0?ooo`0308mNV@3oool0oooo00l0oooo00<0
00000?ooo`3oool0^@3oool00`2?GYT0oooo0?ooo`0E0?ooo`00503oool00`2?GYT0oooo0?ooo`0?
0?ooo`030000003oool0oooo0;T0oooo00<0SejI0?ooo`3oool05@3oool001<0oooo00<0SejI0?oo
o`3oool0403oool00`000000oooo0?ooo`2j0?ooo`0308mNV@3oool0oooo01@0oooo000B0?ooo`03
08mNV@3oool0oooo0140oooo00<000000?ooo`3oool0]@3oool20?l000@0oooo00<0SejI0?ooo`3o
ool04`3oool00180oooo00<0SejI0?ooo`3oool04@3oool00`000000oooo0?ooo`2d0?ooo`@0o`00
0`3oool00`2?GYT0oooo0?ooo`0C0?ooo`004@3oool00`2?GYT0oooo0?ooo`0B0?ooo`030000003o
ool0oooo0;@0oooo103o00040?ooo`0308mNV@3oool0oooo0180oooo000A0?ooo`0308mNV@3oool0
oooo0180oooo00<000000?ooo`3oool0]@3oool20?l000D0oooo00<0SejI0?ooo`3oool04P3oool0
0140oooo00<0SejI0?ooo`3oool04P3oool200000;d0oooo00<0SejI0?ooo`3oool04P3oool00100
oooo00<0SejI0?ooo`3oool04`3oool00`000000oooo0?ooo`2m0?ooo`0308mNV@3oool0oooo0140
oooo000@0?ooo`0308mNV@3oool0oooo01<0oooo00<000000?ooo`3oool0_@3oool00`2?GYT0oooo
0?ooo`0A0?ooo`003`3oool00`2?GYT0oooo0?ooo`0D0?ooo`030000003oool0oooo0;d0oooo00<0
SejI0?ooo`3oool04@3oool000l0oooo00<0SejI0?ooo`3oool0503oool00`000000oooo0?ooo`2n
0?ooo`0308mNV@3oool0oooo0100oooo000?0?ooo`0308mNV@3oool0oooo01@0oooo00<000000?oo
o`3oool0_P3oool00`2?GYT0oooo0?ooo`0@0?ooo`003P3oool00`2?GYT0oooo0?ooo`0E0?ooo`03
0000003oool0oooo0;l0oooo00<0SejI0?ooo`3oool03`3oool000h0oooo00<0SejI0?ooo`3oool0
5@3oool00`000000oooo0?ooo`2o0?ooo`0308mNV@3oool0oooo00l0oooo000>0?ooo`0308mNV@3o
ool0oooo01D0oooo00<000000?ooo`3oool0`03oool00`2?GYT0oooo0?ooo`0>0?ooo`003@3oool0
0`2?GYT0oooo0?ooo`0F0?ooo`030000003oool0oooo0<00oooo00<0SejI0?ooo`3oool03P3oool0
00d0oooo00<0SejI0?ooo`3oool05P3oool00`000000oooo0?ooo`310?ooo`0308mNV@3oool0oooo
00d0oooo000=0?ooo`0308mNV@3oool0oooo01H0oooo00<000000?ooo`3oool0`@3oool00`2?GYT0
oooo0?ooo`0=0?ooo`00303oool00`2?GYT0oooo0?ooo`0G0?ooo`030000003oool0oooo0<40oooo
00<0SejI0?ooo`3oool03@3oool000`0oooo00<0SejI0?ooo`3oool05`3oool00`000000oooo0?oo
o`310?ooo`0308mNV@3oool0oooo00d0oooo000;0?ooo`0308mNV@3oool0oooo01P0oooo0P000032
0?ooo`0308mNV@3oool0oooo00d0oooo000;0?ooo`0308mNV@3oool0oooo01P0oooo00<000000?oo
o`3oool0`P3oool00`2?GYT0oooo0?ooo`0<0?ooo`002`3oool00`2?GYT0oooo0?ooo`0H0?ooo`03
0000003oool0oooo0<80oooo00<0SejI0?ooo`3oool0303oool000X0oooo00<0SejI0?ooo`3oool0
6@3oool00`000000oooo0?ooo`330?ooo`0308mNV@3oool0oooo00/0oooo000:0?ooo`0308mNV@3o
ool0oooo01T0oooo00<000000?ooo`3oool0=@3oool3000003P0oooo0`00000f0?ooo`800000603o
ool00`2?GYT0oooo0?ooo`0;0?ooo`002P3oool00`2?GYT0oooo0?ooo`0I0?ooo`030000003oool0
oooo03D0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0
000001L0oooo00<0SejI0?ooo`3oool02`3oool000T0oooo00<0SejI0?ooo`3oool06P3oool00`00
0000oooo0?ooo`0f0?ooo`030000003oool0oooo03H0oooo1000000f0?ooo`030000003oool00000
01P0oooo00<0SejI0?ooo`3oool02P3oool000T0oooo00<0SejI0?ooo`3oool06P3oool00`000000
oooo0?ooo`0f0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`000000=`3oool2000001T0
oooo00<0SejI0?ooo`3oool02P3oool000T0oooo00<0SejI0?ooo`3oool06P3oool00`000000oooo
0?ooo`0e0?ooo`030000003oool0000003P0oooo0P00000g0?ooo`030000003oool0oooo01P0oooo
00<0SejI0?ooo`3oool02P3oool000P0oooo00<0SejI0?ooo`3oool06`3oool00`000000oooo0?oo
o`0f0?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3oool0=P3oool2000001T0oooo00<0
SejI0?ooo`3oool02@3oool000P0oooo00<0SejI0?ooo`3oool06`3oool00`000000oooo0?ooo`35
0?ooo`0308mNV@3oool0oooo00T0oooo00080?ooo`0308mNV@3oool0oooo01/0oooo00<000000?oo
o`3oool0a@3oool00`2?GYT0oooo0?ooo`090?ooo`00203oool00`2?GYT0oooo0?ooo`0K0?ooo`03
0000003oool0oooo0<D0oooo00<0SejI0?ooo`3oool02@3oool000P0oooo00<0SejI0?ooo`3oool0
6`3oool00`000000oooo0?ooo`350?ooo`0308mNV@3oool0oooo00T0oooo00080?ooo`0308mNV@3o
ool0oooo01/0oooo00<000000?ooo`3oool0a@3oool00`2?GYT0oooo0?ooo`090?ooo`001`000000
0`2?GYT000000000003U0000000308mNV@000000000000P0000000070?ooo`0308mNV@3oool00000
00d0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
00`0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
00`0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
00`0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo
00X0oooo00<0SejI0000003oool0203oool000L0oooo00<0SejI0?ooo`3oool0703oool00`000000
oooo0?ooo`360?ooo`0308mNV@3oool0oooo00P0oooo00070?ooo`0308mNV@3oool0oooo01`0oooo
00<000000?ooo`3oool0aP3oool00`2?GYT0oooo0?ooo`080?ooo`001`3oool00`2?GYT0oooo0?oo
o`0L0?ooo`030000003oool0oooo0<H0oooo00<0SejI0?ooo`3oool0203oool000H0oooo00<0SejI
0?ooo`3oool07@3oool00`000000oooo0?ooo`360?ooo`0308mNV@3oool0oooo00P0oooo00060?oo
o`0308mNV@3oool0oooo01d0oooo00<000000?ooo`3oool0a`3oool00`2?GYT0oooo0?ooo`070?oo
o`001P3oool00`2?GYT0oooo0?ooo`0M0?ooo`030000003oool0oooo0<L0oooo00<0SejI0?ooo`3o
ool01`3oool000H0oooo00<0SejI0?ooo`3oool07@3oool00`000000oooo0?ooo`370?ooo`0308mN
V@3oool0oooo00L0oooo00060?ooo`0308mNV@3oool0oooo01d0oooo00<000000?ooo`3oool0a`3o
ool00`2?GYT0oooo0?ooo`070?ooo`001P3oool00`2?GYT0oooo0?ooo`0M0?ooo`030000003oool0
oooo0<L0oooo00<0SejI0?ooo`3oool01`3oool000H0oooo00<0SejI0?ooo`3oool07@3oool00`00
0000oooo0?ooo`370?ooo`0308mNV@3oool0oooo00L0oooo00060?ooo`0308mNV@3oool0oooo01d0
oooo00<000000?ooo`3oool0a`3oool00`2?GYT0oooo0?ooo`070?ooo`001P3oool00`2?GYT0oooo
0?ooo`0M0?ooo`030000003oool0oooo0<L0oooo00<0SejI0?ooo`3oool01`3oool000H0oooo00<0
SejI0?ooo`3oool07@3oool200000<P0oooo00<0SejI0?ooo`3oool01`3oool000H0oooo00<0SejI
0?ooo`3oool07@3oool00`000000oooo0?ooo`370?ooo`0308mNV@3oool0oooo00L0oooo00060?oo
o`0308mNV@3oool0oooo01d0oooo00<000000?ooo`3oool0a`3oool00`2?GYT0oooo0?ooo`070?oo
o`001P3oool00`2?GYT0oooo0?ooo`0M0?ooo`030000003oool0oooo0<P0oooo00<0SejI0?ooo`3o
ool01P3oool000H0oooo00<0SejI0?ooo`3oool07@3oool00`000000oooo0?ooo`380?ooo`0308mN
V@3oool0oooo00H0oooo00060?ooo`0308mNV@3oool0oooo01d0oooo00<000000?ooo`3oool0b03o
ool00`2?GYT0oooo0?ooo`060?ooo`001@3oool00`2?GYT0oooo0?ooo`0N0?ooo`030000003oool0
oooo0<P0oooo00<0SejI0?ooo`3oool01P3oool000D0oooo00<0SejI0?ooo`3oool07P3oool00`00
0000oooo0?ooo`380?ooo`0308mNV@3oool0oooo00H0oooo00050?ooo`0308mNV@3oool0oooo01h0
oooo00<000000?ooo`3oool0b03oool00`2?GYT0oooo0?ooo`060?ooo`001P3oool00`2?GYT0oooo
0?ooo`0M0?ooo`030000003oool0oooo0<P0oooo00<0SejI0?ooo`3oool01P3oool000H0oooo00<0
SejI0?ooo`3oool07@3oool00`000000oooo0?ooo`380?ooo`0308mNV@3oool0oooo00H0oooo0006
0?ooo`0308mNV@3oool0oooo01d0oooo00<000000?ooo`3oool0b03oool00`2?GYT0oooo0?ooo`06
0?ooo`001P3oool00`2?GYT0oooo0?ooo`0M0?ooo`030000003oool0oooo0<L0oooo00<0SejI0?oo
o`3oool01`3oool000H0oooo00<0SejI0?ooo`3oool07@3oool00`000000oooo0?ooo`370?ooo`03
08mNV@3oool0oooo00L0oooo00060?ooo`0308mNV@3oool0oooo01d0oooo00<000000?ooo`3oool0
a`3oool00`2?GYT0oooo0?ooo`070?ooo`001P3oool00`2?GYT0oooo0?ooo`0M0?ooo`800000b03o
ool00`2?GYT0oooo0?ooo`070?ooo`001P3oool00`2?GYT0oooo0?ooo`0M0?ooo`030000003oool0
oooo0<L0oooo00<0SejI0?ooo`3oool01`3oool000H0oooo00<0SejI0?ooo`3oool07@3oool00`00
0000oooo0?ooo`370?ooo`0308mNV@3oool0oooo00L0oooo00060?ooo`0308mNV@3oool0oooo01d0
oooo00<000000?ooo`3oool0a`3oool00`2?GYT0oooo0?ooo`070?ooo`001P3oool00`2?GYT0oooo
0?ooo`0M0?ooo`030000003oool0oooo0<L0oooo00<0SejI0?ooo`3oool01`3oool000H0oooo00<0
SejI0?ooo`3oool07@3oool00`000000oooo0?ooo`370?ooo`0308mNV@3oool0oooo00L0oooo0006
0?ooo`0308mNV@3oool0oooo01d0oooo00<000000?ooo`3oool0a`3oool00`2?GYT0oooo0?ooo`07
0?ooo`001@3oool00`3o0000SejI0?ooo`0N0?ooo`030000003oool0oooo0<L0oooo00@0SejI0?oo
o`3o0000o`001P3oool000@0oooo0P3o00000`2?GYT0o`000?ooo`0M0?ooo`030000003oool0oooo
0<L0oooo00<0SejI0?l0003o00000P3o00050?ooo`00103oool30?l0000308mNV@3oool0oooo01`0
oooo00<000000?ooo`3oool0aP3oool00`2?GYT0oooo0?l000030?l000D0oooo00050?ooo`80o`00
00<0SejI0?ooo`3oool0703oool00`000000oooo0?ooo`360?ooo`0308mNV@3oool0oooo0080o`00
1P3oool000L0oooo00<0SejI0?ooo`3oool0703oool00`000000oooo0?ooo`360?ooo`0308mNV@3o
ool0oooo00P0oooo00070?ooo`0308mNV@3oool0oooo01`0oooo00<000000?ooo`3oool0aP3oool0
0`2?GYT0oooo0?ooo`080?ooo`001`3oool00`2?GYT0oooo0?ooo`0L0?ooo`030000003oool0oooo
0<H0oooo00<0SejI0?ooo`3oool0203oool000P0oooo00<0SejI0?ooo`3oool06`3oool200000<H0
oooo00<0SejI0?ooo`3oool02@3oool000P0oooo00<0SejI0?ooo`3oool06`3oool00`000000oooo
0?ooo`350?ooo`0308mNV@3oool0oooo00T0oooo00080?ooo`0308mNV@3oool0oooo01/0oooo00<0
00000?ooo`3oool0a@3oool00`2?GYT0oooo0?ooo`090?ooo`00203oool00`2?GYT0oooo0?ooo`0K
0?ooo`030000003oool0oooo0<D0oooo00<0SejI0?ooo`3oool02@3oool000P0oooo00<0SejI0?oo
o`3oool06`3oool00`000000oooo0?ooo`350?ooo`0308mNV@3oool0oooo00T0oooo00080?ooo`03
08mNV@3oool0oooo01/0oooo00<000000?ooo`3oool0a@3oool00`2?GYT0oooo0?ooo`090?ooo`00
2@3oool00`2?GYT0oooo0?ooo`0J0?ooo`030000003oool0oooo0<@0oooo00<0SejI0?ooo`3oool0
2P3oool000T0oooo00<0SejI0?ooo`3oool06P3oool00`000000oooo0?ooo`340?ooo`0308mNV@3o
ool0oooo00X0oooo00090?ooo`0308mNV@3oool0oooo01X0oooo00<000000?ooo`3oool0a03oool0
0`2?GYT0oooo0?ooo`0:0?ooo`002P3oool00`2?GYT0oooo0?ooo`0I0?ooo`030000003oool0oooo
0<<0oooo00<0SejI0?ooo`3oool02`3oool000X0oooo00<0SejI0?ooo`3oool06@3oool00`000000
oooo0?ooo`330?ooo`0308mNV@3oool0oooo00/0oooo000:0?ooo`0308mNV@3oool0oooo01T0oooo
00<000000?ooo`3oool0``3oool00`2?GYT0oooo0?ooo`0;0?ooo`002`3oool00`2?GYT0oooo0?oo
o`0H0?ooo`030000003oool0oooo0<80oooo00<0SejI0?ooo`3oool0303oool000/0oooo00<0SejI
0?ooo`3oool04@3oool3000000@0oooo00<000000?ooo`3oool0`P3oool00`2?GYT0oooo0?ooo`0<
0?ooo`002`3oool00`2?GYT0oooo0?ooo`0A0?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0`P3oool00`2?GYT0oooo0?ooo`0<0?ooo`00303oool00`2?GYT0oooo0?ooo`0A0?ooo`03
0000003oool0oooo00<0oooo0P0000320?ooo`0308mNV@3oool0oooo00d0oooo000<0?ooo`0308mN
V@3oool0oooo0140oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`310?ooo`0308mN
V@3oool0oooo00d0oooo000=0?ooo`0308mNV@3oool0oooo00l0oooo00<000000?ooo`000000103o
ool00`000000oooo0?ooo`310?ooo`0308mNV@3oool0oooo00d0oooo000=0?ooo`0308mNV@3oool0
oooo0100oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`310?ooo`0308mNV@3oool0
oooo00d0oooo000=0?ooo`0308mNV@3oool0oooo01H0oooo00<000000?ooo`3oool0`03oool00`2?
GYT0oooo0?ooo`0>0?ooo`003P3oool00`2?GYT0oooo0?ooo`0E0?ooo`030000003oool0oooo0<00
oooo00<0SejI0?ooo`3oool03P3oool000h0oooo00<0SejI0?ooo`3oool05@3oool00`000000oooo
0?ooo`2o0?ooo`0308mNV@3oool0oooo00l0oooo000>0?ooo`0308mNV@3oool0oooo01D0oooo00<0
00000?ooo`3oool0_`3oool00`2?GYT0oooo0?ooo`0?0?ooo`003`3oool00`2?GYT0oooo0?ooo`0D
0?ooo`030000003oool0oooo0;h0oooo00<0SejI0?ooo`3oool0403oool000l0oooo00<0SejI0?oo
o`3oool0503oool00`000000oooo0?ooo`2n0?ooo`0308mNV@3oool0oooo0100oooo000?0?ooo`03
08mNV@3oool0oooo01@0oooo00<000000?ooo`3oool0_@3oool00`2?GYT0oooo0?ooo`0A0?ooo`00
403oool00`2?GYT0oooo0?ooo`0C0?ooo`030000003oool0oooo0;d0oooo00<0SejI0?ooo`3oool0
4@3oool00100oooo00<0SejI0?ooo`3oool04`3oool00`000000oooo0?ooo`2m0?ooo`0308mNV@3o
ool0oooo0140oooo000A0?ooo`0308mNV@3oool0oooo0180oooo00<000000?ooo`3oool0_03oool0
0`2?GYT0oooo0?ooo`0B0?ooo`004@3oool00`2?GYT0oooo0?ooo`0B0?ooo`800000_@3oool00`2?
GYT0oooo0?ooo`0B0?ooo`004@3oool00`2?GYT0oooo0?ooo`0B0?ooo`030000003oool0oooo0;`0
oooo00<0SejI0?ooo`3oool04P3oool00180oooo00<0SejI0?ooo`3oool04@3oool00`000000oooo
0?ooo`2k0?ooo`0308mNV@3oool0oooo01<0oooo000B0?ooo`0308mNV@3oool0oooo0140oooo00<0
00000?ooo`3oool0^`3oool00`2?GYT0oooo0?ooo`0C0?ooo`004`3oool00`2?GYT0oooo0?ooo`0@
0?ooo`030000003oool0oooo0;X0oooo00<0SejI0?ooo`3oool0503oool001@0oooo00<0SejI0?oo
o`3oool03`3oool00`000000oooo0?ooo`2i0?ooo`0308mNV@3oool0oooo01D0oooo000D0?ooo`03
08mNV@3oool0oooo00l0oooo00<000000?ooo`3oool0^@3oool00`2?GYT0oooo0?ooo`0E0?ooo`00
5@3oool00`2?GYT0oooo0?ooo`0>0?ooo`030000003oool0oooo0;P0oooo00<0SejI0?ooo`3oool0
5P3oool001D0oooo00<0SejI0?ooo`3oool03P3oool00`000000oooo0?ooo`2h0?ooo`0308mNV@3o
ool0oooo01H0oooo000F0?ooo`0308mNV@3oool0oooo00d0oooo00<000000?ooo`3oool0]`3oool0
0`2?GYT0oooo0?ooo`0G0?ooo`005`3oool00`2?GYT0oooo0?ooo`0<0?ooo`030000003oool0oooo
0;H0oooo00<0SejI0?ooo`3oool0603oool001L0oooo00<0SejI0?ooo`3oool0303oool00`000000
oooo0?ooo`2f0?ooo`0308mNV@3oool0oooo01P0oooo000H0?ooo`0308mNV@3oool0oooo00/0oooo
00<000000?ooo`3oool0]@3oool00`2?GYT0oooo0?ooo`0I0?ooo`00603oool00`2?GYT0oooo0?oo
o`0;0?ooo`030000003oool0oooo0;D0oooo00<0SejI0?ooo`3oool06@3oool001T0oooo00<0SejI
0?ooo`3oool02P3oool00`000000oooo0?ooo`2d0?ooo`0308mNV@3oool0oooo01X0oooo000J0?oo
o`0308mNV@3oool0oooo00T0oooo0P00002d0?ooo`0308mNV@3oool0oooo01/0oooo000K0?ooo`03
08mNV@3oool0oooo00P0oooo00<000000?ooo`3oool0/P3oool00`2?GYT0oooo0?ooo`0L0?ooo`00
6`3oool00`2?GYT0oooo0?ooo`080?ooo`030000003oool0oooo0;80oooo00<0SejI0?ooo`3oool0
703oool001`0oooo00<0SejI0?ooo`3oool01`3oool00`000000oooo0?ooo`2a0?ooo`0308mNV@3o
ool0oooo01d0oooo000L0?ooo`0308mNV@3oool0oooo00L0oooo00<000000?ooo`3oool0/03oool0
0`2?GYT0oooo0?ooo`0N0?ooo`007@3oool00`2?GYT0oooo0?ooo`060?ooo`030000003oool0oooo
0;00oooo00<0SejI0?ooo`3oool07P3oool001h0oooo00<0SejI0?ooo`3oool01@3oool00`000000
oooo0?ooo`2_0?ooo`0308mNV@3oool0oooo01l0oooo000O0?ooo`0308mNV@3oool0oooo00@0oooo
00<000000?ooo`3oool0[P3oool00`2?GYT0oooo0?ooo`0P0?ooo`00803oool00`2?GYT0oooo0?oo
o`030?ooo`030000003oool0oooo0:d0oooo00<0SejI0?ooo`3oool08@3oool00200oooo00<0SejI
0?ooo`3oool00`3oool00`000000oooo0?ooo`2]0?ooo`0308mNV@3oool0oooo0240oooo000Q0?oo
o`0308mNV@3oool0oooo0080oooo00<000000?ooo`3oool0[03oool00`2?GYT0oooo0?ooo`0R0?oo
o`008P3oool01@2?GYT0oooo0?ooo`3oool000000:d0oooo00<0SejI0?ooo`3oool08`3oool002<0
oooo00@0SejI0?ooo`3oool00000[03oool00`2?GYT0oooo0?ooo`0T0?ooo`00903oool00`2?GYT0
oooo0000002[0?ooo`0308mNV@3oool0oooo02D0oooo000U0?ooo`0308mNV@00000000000:T0oooo
00<0SejI0?ooo`3oool09P3oool002H0oooo00<0SejI0?ooo`3oool0Y`3oool00`2?GYT0oooo0?oo
o`0W0?ooo`009P3oool00`000000SejI0?ooo`2V0?ooo`0308mNV@3oool0oooo02P0oooo000V0?oo
o`030000003oool0SejI0:D0oooo00<0SejI0?ooo`3oool0:@3oool002H0oooo00@000000?ooo`3o
ool0SejIX`3oool00`2?GYT0oooo0?ooo`0Z0?ooo`009P3oool01@000000oooo0?ooo`3oool0SejI
0:40oooo00<0SejI0?ooo`3oool0:`3oool002H0oooo00<000000?ooo`3oool00P3oool00`2?GYT0
oooo0?ooo`2M0?ooo`0308mNV@3oool0oooo02`0oooo000V0?ooo`030000003oool0oooo00<0oooo
00<0SejI0?ooo`3oool0V`3oool00`2?GYT0oooo0?ooo`0]0?ooo`009P3oool00`000000oooo0?oo
o`040?ooo`0308mNV@3oool0oooo09T0oooo00<0SejI0?ooo`3oool0;P3oool002H0oooo00<00000
0?ooo`3oool01@3oool00`2?GYT0oooo0?ooo`2G0?ooo`0308mNV@3oool0oooo02l0oooo000V0?oo
o`030000003oool0oooo00H0oooo00<0SejI0?ooo`3oool0U@3oool00`2?GYT0oooo0?ooo`0`0?oo
o`009P3oool00`000000oooo0?ooo`070?ooo`80SejIT`3oool208mNVC<0oooo000P0?ooo`<00000
0`3oool00`000000oooo0?ooo`090?ooo`0308mNV@3oool0oooo08l0oooo00<0SejI0?ooo`3oool0
<`3oool00240oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`0308mNV@3o
ool0oooo00<0oooo0P3o00280?ooo`0408mNV@3oool0oooo0?ooo`80o`00<@3oool001l0oooo1000
00030?ooo`800000303oool0102?GYT0oooo0?ooo`3oool40?l008H0oooo00@0SejI0?ooo`3oool0
oooo103o000`0?ooo`007`3oool00`000000oooo000000040?ooo`030000003oool0oooo00`0oooo
00<0SejI0?ooo`3oool0103o00250?ooo`0308mNV@3oool0oooo0080oooo103o000`0?ooo`00803o
ool2000000@0oooo00<000000?ooo`3oool03@3oool208mNV@030?ooo`3o0000o`0008@0oooo0P2?
GYT60?ooo`80o`00<@3oool00240oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0?
0?ooo`80SejIP`3oool208mNVC/0oooo000V0?ooo`030000003oool0oooo0140oooo00<0SejI0?oo
o`3oool0O`3oool00`2?GYT0oooo0?ooo`0k0?ooo`009P3oool00`000000oooo0?ooo`0B0?ooo`80
SejIO@3oool208mNVCh0oooo000V0?ooo`030000003oool0oooo01@0oooo0P2?GYUi0?ooo`80SejI
@03oool002H0oooo00<000000?ooo`3oool05P3oool00`2?GYT0oooo0?ooo`1e0?ooo`0308mNV@3o
ool0oooo0400oooo000V0?ooo`030000003oool0oooo01L0oooo0P2?GYUc0?ooo`80SejI@`3oool0
02H0oooo00<000000?ooo`3oool06@3oool208mNVFl0oooo0P2?GYU50?ooo`009P3oool00`000000
oooo0?ooo`0K0?ooo`0308mNV@3oool0oooo06/0oooo00<0SejI0?ooo`3oool0A@3oool002H0oooo
00<000000?ooo`3oool0703oool208mNVFT0oooo0P2?GYU80?ooo`009P3oool00`000000oooo0?oo
o`0N0?ooo`<0SejIH`3oool308mNVDX0oooo000V0?ooo`030000003oool0oooo0240oooo0P2?GYUO
0?ooo`80SejIC@3oool002H0oooo00<000000?ooo`3oool08`3oool308mNVET0oooo0`2?GYU?0?oo
o`009P3oool2000002L0oooo0P2?GYUE0?ooo`80SejIDP3oool002H0oooo00<000000?ooo`3oool0
:03oool208mNVE40oooo0P2?GYUD0?ooo`009P3oool00`000000oooo0?ooo`0Z0?ooo`@0SejIB@3o
ool408mNVEH0oooo000V0?ooo`030000003oool0oooo02h0oooo0`2?GYU30?ooo`<0SejIFP3oool0
02H0oooo00<000000?ooo`3oool0<@3oool308mNVCd0oooo0`2?GYUM0?ooo`009P3oool00`000000
oooo0?ooo`0d0?ooo`<0SejI903oool20?l00140oooo0`2?GYUP0?ooo`009P3oool00`000000oooo
0?ooo`0g0?ooo`H0SejI7@3oool40?l000X0oooo1P2?GYUS0?ooo`009P3oool00`000000oooo0?oo
o`0m0?ooo`D0SejI603oool40?l000D0oooo1@2?GYUY0?ooo`009P3oool00`000000oooo0?ooo`12
0?ooo``0SejI2@3oool<08mNVFh0oooo000V0?ooo`030000003oool0oooo04h0oooo2@2?GYUj0?oo
o`009P3oool00`000000oooo0?ooo`3A0?ooo`009P3oool00`000000oooo0?ooo`3A0?ooo`009P3o
ool00`000000oooo0?ooo`3A0?ooo`009P3oool00`000000oooo0?ooo`3A0?ooo`009P3oool20000
0=80oooo0000\
\>"],
  ImageRangeCache->{{{0, 249.375}, {246.875, 0}} -> {-1.31985, -3.53448, 
  0.0345923, 0.0345923}}],

Cell[BoxData[
    FormBox[
      InterpretationBox[
        \("center: ("\[InvisibleSpace]2.95338520915113988`
          \[InvisibleSpace]", "\[InvisibleSpace]0.735502787371794308`
          \[InvisibleSpace]");  radius: "\[InvisibleSpace]4.06661821545210866`
          \),
        SequenceForm[ 
        "center: (", 2.9533852091511399, ", ", .73550278737179431, 
          ");  radius: ", 4.0666182154521087],
        Editable->False], TraditionalForm]], "Print"]
}, Open  ]],

Cell["\<\
Not bad!
We can measure how close each of the data points is to the center of the \
circle by setting\
\>", "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]],

Cell[CellGroupData[{

Cell["s = Sqrt[(xs - c1)^2 + (ys - c2)^2]", "Input"],

Cell[BoxData[
    \(TraditionalForm
    \`{3.96669723473804438`, 3.97962058017746365`, 4.20256016047328895`, 
      4.18486216341130479`, 3.90489743769894204`, 4.0058301795714124`, 
      4.18436749763123572`, 4.0925039715106255`}\)], "Output"]
}, Open  ]],

Cell["\<\
To measure numerically how much the data points deviate from the least \
squares circle, set \
\>", "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]],

Cell[CellGroupData[{

Cell["e = s - r", "Input"],

Cell[BoxData[
    \(TraditionalForm
    \`{\(-0.0999209807140641892`\), \(-0.086997635274645102`\), 
      0.135941945021180288`, 0.118243947959196127`, 
      \(-0.161720777753166622`\), \(-0.0607880358806962561`\), 
      0.117749282179127057`, 0.02588575605851684`}\)], "Output"]
}, Open  ]],

Cell[TextData[{
  "The coordinates of ",
  StyleBox["e",
    FontWeight->"Bold",
    FontSlant->"Italic"],
  " show the deviations for each point.  Alternatively, to compute a single \
measure of the overall deviations, set "
}], "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]],

Cell[CellGroupData[{

Cell["d = Sqrt[e.e]", "Input"],

Cell[BoxData[
    \(TraditionalForm\`0.307243219061221761`\)], "Output"]
}, Open  ]],

Cell[TextData[{
  "For a general circle estimate we could calculate ",
  StyleBox["d",
    FontSlant->"Italic"],
  " in terms of the estimated center and radius by"
}], "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]],

Cell["\<\
deviation[{a_,b_}, rad_] := 
\tModule[{e},
\t\te = Sqrt[(xs - a)^2 + (ys - b)^2] - rad;
\t\tSqrt[e.e]
\t]\
\>", "Input"],

Cell[TextData[{
  "Check this with the computed center and radius, and your \"guess\" from \
playing with the picture previously.  ",
  StyleBox[
  "(The computer center and radius is supposed to give the minimum value for \
the deviations function.)",
    FontSize->12]
}], "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]],

Cell[CellGroupData[{

Cell[TextData[{
  "deviation[{c1,c2},r]\ndeviation[",
  StyleBox["{3,1},3.5",
    FontColor->RGBColor[1, 0, 1]],
  "]"
}], "Input"],

Cell[BoxData[
    \(TraditionalForm\`0.307243219061221761`\)], "Output"],

Cell[BoxData[
    \(TraditionalForm\`1.65190997478311079`\)], "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
ATLAST 6.2; 2  Computing Least-Squares Circles -- Instructions\
\>", "Section"],

Cell[TextData[{
  StyleBox["2",
    FontWeight->"Bold"],
  ".  For each of the following data sets, use the method given above to \
determine the center and radius of the circle that gives the best \
least-squares fit to the data.  Assume that you are a quality control \
engineer and that if any of the data points is more than 0.1 units from the \
circle, then the part fails to meet specifications.  In each case, determine \
whether or not the sampled points meet the required specifications."
}], "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]],

Cell[TextData[{
  "(a)\n\t",
  Cell[BoxData[
      FormBox[GridBox[{
            {"x", ":", "1.2", "2.3", "3.4"},
            {"y", ":", "5.2", "6.4", \(-1.2\)}
            }], TraditionalForm]]],
  "\n\n\tStart by taking a guess at the circle and checking on the overall \
deviation of your guess."
}], "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]],

Cell["\<\
xs = { 1.2, 2.3, 3.4};
ys = { 5.2, 6.4,-1.2};
Clear[deviation];  (* Must be redefined for new points. *)
deviation[{a_,b_}, rad_] := 
\tModule[{e},
\t\te = Sqrt[(xs - a)^2 + (ys - b)^2] - rad;
\t\tSqrt[e.e]
\t]\
\>", "Input"],

Cell[CellGroupData[{

Cell[TextData[{
  "pts = Transpose[{xs,ys}];\n\nShow[\n\tGraphics[{\t\n\t\tRed, \
AbsolutePointSize[5], Map[Point, pts],\n\t\tViolet, Circle[",
  StyleBox["{4,3},5",
    FontColor->RGBColor[1, 0, 1]],
  "]\n\t}],\n\tAxes->Automatic, AspectRatio->Automatic\n];\n\ndeviation[",
  StyleBox["{4,3},5",
    FontColor->RGBColor[1, 0, 1]],
  "]"
}], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.119048 0.0952381 0.214286 0.0952381 [
[.30952 .20179 -3 -9 ]
[.30952 .20179 3 0 ]
[.5 .20179 -3 -9 ]
[.5 .20179 3 0 ]
[.69048 .20179 -3 -9 ]
[.69048 .20179 3 0 ]
[.88095 .20179 -3 -9 ]
[.88095 .20179 3 0 ]
[.10655 .02381 -12 -4.5 ]
[.10655 .02381 0 4.5 ]
[.10655 .40476 -6 -4.5 ]
[.10655 .40476 0 4.5 ]
[.10655 .59524 -6 -4.5 ]
[.10655 .59524 0 4.5 ]
[.10655 .78571 -6 -4.5 ]
[.10655 .78571 0 4.5 ]
[.10655 .97619 -6 -4.5 ]
[.10655 .97619 0 4.5 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
.30952 .21429 m
.30952 .22054 L
s
[(2)] .30952 .20179 0 1 Mshowa
.5 .21429 m
.5 .22054 L
s
[(4)] .5 .20179 0 1 Mshowa
.69048 .21429 m
.69048 .22054 L
s
[(6)] .69048 .20179 0 1 Mshowa
.88095 .21429 m
.88095 .22054 L
s
[(8)] .88095 .20179 0 1 Mshowa
.125 Mabswid
.16667 .21429 m
.16667 .21804 L
s
.21429 .21429 m
.21429 .21804 L
s
.2619 .21429 m
.2619 .21804 L
s
.35714 .21429 m
.35714 .21804 L
s
.40476 .21429 m
.40476 .21804 L
s
.45238 .21429 m
.45238 .21804 L
s
.54762 .21429 m
.54762 .21804 L
s
.59524 .21429 m
.59524 .21804 L
s
.64286 .21429 m
.64286 .21804 L
s
.7381 .21429 m
.7381 .21804 L
s
.78571 .21429 m
.78571 .21804 L
s
.83333 .21429 m
.83333 .21804 L
s
.07143 .21429 m
.07143 .21804 L
s
.02381 .21429 m
.02381 .21804 L
s
.92857 .21429 m
.92857 .21804 L
s
.97619 .21429 m
.97619 .21804 L
s
.25 Mabswid
0 .21429 m
1 .21429 L
s
.11905 .02381 m
.1253 .02381 L
s
[(-2)] .10655 .02381 1 0 Mshowa
.11905 .40476 m
.1253 .40476 L
s
[(2)] .10655 .40476 1 0 Mshowa
.11905 .59524 m
.1253 .59524 L
s
[(4)] .10655 .59524 1 0 Mshowa
.11905 .78571 m
.1253 .78571 L
s
[(6)] .10655 .78571 1 0 Mshowa
.11905 .97619 m
.1253 .97619 L
s
[(8)] .10655 .97619 1 0 Mshowa
.125 Mabswid
.11905 .07143 m
.1228 .07143 L
s
.11905 .11905 m
.1228 .11905 L
s
.11905 .16667 m
.1228 .16667 L
s
.11905 .2619 m
.1228 .2619 L
s
.11905 .30952 m
.1228 .30952 L
s
.11905 .35714 m
.1228 .35714 L
s
.11905 .45238 m
.1228 .45238 L
s
.11905 .5 m
.1228 .5 L
s
.11905 .54762 m
.1228 .54762 L
s
.11905 .64286 m
.1228 .64286 L
s
.11905 .69048 m
.1228 .69048 L
s
.11905 .7381 m
.1228 .7381 L
s
.11905 .83333 m
.1228 .83333 L
s
.11905 .88095 m
.1228 .88095 L
s
.11905 .92857 m
.1228 .92857 L
s
.25 Mabswid
.11905 0 m
.11905 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
1 0 0 r
5 Mabswid
.23333 .70952 Mdot
.3381 .82381 Mdot
.44286 .1 Mdot
.56 .37 .6 r
.5 Mabswid
newpath
.5 .5 .47619 0 365.73 arc
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{255.25, 255.25},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003o0000ob000`400?l00000o`00003o7P3oool0
0`000000oooo0?ooo`3N0?ooo`007P3oool00`000000oooo0?ooo`3N0?ooo`007P3oool00`000000
oooo0?ooo`3N0?ooo`007P3oool00`000000oooo0?ooo`3N0?ooo`005`3oool3000000@0oooo00<0
00000?ooo`3oool0gP3oool001L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`3N
0?ooo`004P3oool3000000<0oooo00<000000?ooo`3oool00`3oool2000005P0oooo3`2?GYUh0?oo
o`00603oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo04h0oooo2@2?GYT?0?ooo`T0
SejIK`3oool001L0oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`180?ooo`H0SejI
8@3oool608mNVFT0oooo000H0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0@P3o
ool608mNVBd0oooo1P2?GYUS0?ooo`007P3oool00`000000oooo0?ooo`0o0?ooo`<0SejI>@3oool2
08mNVF40oooo000N0?ooo`030000003oool0oooo03`0oooo0`2?GYTn0?ooo`<0SejIGP3oool001h0
oooo00<000000?ooo`3oool0>@3oool308mNVD@0oooo0`2?GYUK0?ooo`007P3oool00`000000oooo
0?ooo`0f0?ooo`<0SejIBP3oool308mNVEP0oooo000N0?ooo`030000003oool0oooo03<0oooo0`2?
GYU@0?ooo`<0SejIE@3oool001h0oooo00<000000?ooo`3oool0<@3oool208mNVEH0oooo0`2?GYUB
0?ooo`007P3oool00`000000oooo0?ooo`0^0?ooo`<0SejIF`3oool208mNVE00oooo000N0?ooo`03
0000003oool0oooo02/0oooo0`2?GYUP0?ooo`<0SejIC@3oool001h0oooo0P00000Z0?ooo`80SejI
IP3oool208mNVD/0oooo000N0?ooo`030000003oool0oooo02L0oooo0P2?GYUZ0?ooo`80SejIB@3o
ool001h0oooo00<000000?ooo`3oool09P3oool00`2?GYT0oooo0?ooo`1/0?ooo`80SejIA`3oool0
01h0oooo00<000000?ooo`3oool0903oool208mNVG40oooo0P2?GYU50?ooo`007P3oool00`000000
oooo0?ooo`0R0?ooo`80SejIM@3oool00`2?GYT0oooo0?ooo`120?ooo`007P3oool00`000000oooo
0?ooo`0Q0?ooo`0308mNV@3oool0oooo07H0oooo0P2?GYU20?ooo`007P3oool00`000000oooo0?oo
o`0O0?ooo`80SejIN`3oool208mNVD00oooo000N0?ooo`030000003oool0oooo01d0oooo0P2?GYT_
0?ooo`80o`00CP3oool00`2?GYT0oooo0?ooo`0m0?ooo`007P3oool00`000000oooo0?ooo`0K0?oo
o`80SejI<03oool40?l004h0oooo0P2?GYTm0?ooo`007P3oool00`000000oooo0?ooo`0I0?ooo`80
SejI<P3oool40?l00500oooo0P2?GYTk0?ooo`007P3oool00`000000oooo0?ooo`0H0?ooo`0308mN
V@3oool0oooo03<0oooo0P3o001C0?ooo`0308mNV@3oool0oooo03P0oooo000N0?ooo`030000003o
ool0oooo01L0oooo00<0SejI0?ooo`3oool0RP3oool00`2?GYT0oooo0?ooo`0g0?ooo`007P3oool0
0`000000oooo0?ooo`0F0?ooo`0308mNV@3oool0oooo08`0oooo0P2?GYTg0?ooo`007P3oool20000
01H0oooo00<0SejI0?ooo`3oool0S`3oool00`2?GYT0oooo0?ooo`0d0?ooo`007P3oool00`000000
oooo0?ooo`0C0?ooo`80SejIT`3oool00`2?GYT0oooo0?ooo`0c0?ooo`007P3oool00`000000oooo
0?ooo`0B0?ooo`0308mNV@3oool0oooo09@0oooo00<0SejI0?ooo`3oool0<P3oool001h0oooo00<0
00000?ooo`3oool04@3oool00`2?GYT0oooo0?ooo`2F0?ooo`0308mNV@3oool0oooo0340oooo000N
0?ooo`030000003oool0oooo0100oooo00<0SejI0?ooo`3oool0V03oool00`2?GYT0oooo0?ooo`0`
0?ooo`007P3oool00`000000oooo0?ooo`0?0?ooo`0308mNV@3oool0oooo09X0oooo0P2?GYT`0?oo
o`007P3oool00`000000oooo0?ooo`0>0?ooo`0308mNV@3oool0oooo09d0oooo00<0SejI0?ooo`3o
ool0;@3oool001h0oooo00<000000?ooo`3oool0303oool208mNVJ40oooo00<0SejI0?ooo`3oool0
;03oool001h0oooo00<000000?ooo`3oool02`3oool00`2?GYT0oooo0?ooo`2R0?ooo`0308mNV@3o
ool0oooo02/0oooo000N0?ooo`030000003oool0oooo00X0oooo00<0SejI0?ooo`3oool0Y03oool0
0`2?GYT0oooo0?ooo`0Z0?ooo`007P3oool00`000000oooo0?ooo`090?ooo`0308mNV@3oool0oooo
0:H0oooo00<0SejI0?ooo`3oool0:@3oool001h0oooo00<000000?ooo`3oool0203oool00`2?GYT0
oooo0?ooo`2X0?ooo`0308mNV@3oool0oooo02P0oooo000N0?ooo`800000203oool00`2?GYT0oooo
0?ooo`2Z0?ooo`0308mNV@3oool0oooo02L0oooo000N0?ooo`030000003oool0oooo00H0oooo00<0
SejI0?ooo`3oool08`3oool3000002h0oooo0`00000]0?ooo`8000009P3oool00`2?GYT0oooo0?oo
o`060?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo00D0oooo00<0SejI
0?ooo`3oool0903oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo02`0oooo00<00000
0?ooo`0000009P3oool00`2?GYT0oooo0?ooo`040?ooo`030000003oool0000001h0oooo000N0?oo
o`030000003oool0oooo00@0oooo00<0SejI0?ooo`3oool09P3oool00`000000oooo0?ooo`0/0?oo
o`@00000;@3oool00`000000oooo0000000W0?ooo`0308mNV@3oool0oooo00<0oooo00<000000?oo
o`0000007P3oool001h0oooo00<000000?ooo`3oool00`3oool00`2?GYT0oooo0?ooo`0W0?ooo`03
0000003oool0oooo02`0oooo00<000000?ooo`000000;P3oool2000002T0oooo00<0SejI0?ooo`3o
ool00`3oool00`000000oooo0?ooo`0M0?ooo`007P3oool00`000000oooo0?ooo`020?ooo`0308mN
V@3oool0oooo02L0oooo00<000000?ooo`000000;P3oool2000002h0oooo00<000000?ooo`3oool0
:@3oool01`2?GYT0oooo0?ooo`3oool000000?ooo`0000007P3oool001h0oooo00<000000?ooo`3o
ool00P3oool00`2?GYT0oooo0?ooo`0X0?ooo`030000003oool0oooo02h0oooo00<000000?ooo`3o
ool0;@3oool2000002T0oooo00<0SejI0?ooo`3oool00P3oool00`000000oooo0?ooo`0M0?ooo`00
7P3oool01@000000oooo0?ooo`3oool0SejI0;P0oooo00<0SejI0?ooo`3oool08@3oool001h0oooo
00@000000?ooo`3oool0SejI^P3oool00`2?GYT0oooo0?ooo`0P0?ooo`007P3oool00`000000oooo
08mNV@2l0?ooo`0308mNV@3oool0oooo01l0oooo000N0?ooo`030000002?GYT0oooo0;d0oooo00<0
SejI0?ooo`3oool07P3oool001h0oooo00<0SejI0?ooo`3oool0_P3oool00`2?GYT0oooo0?ooo`0M
0?ooo`007@0000000`2?GYT00000000000300000000308mNV@000000000001`0000000060?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool0203oool00`2?GYT000000?ooo`0:0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0:0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`03
0000002?GYT0oooo00X0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`040?ooo`00
703oool00`2?GYT0oooo000000320?ooo`0308mNV@3oool0oooo01/0oooo000K0?ooo`0408mNV@3o
ool0oooo00000<<0oooo00<0SejI0?ooo`3oool06P3oool001/0oooo00@0SejI0?ooo`3oool00000
a03oool00`2?GYT0oooo0?ooo`0I0?ooo`006P3oool01@2?GYT0oooo0?ooo`3oool000000<@0oooo
00<0SejI0?ooo`3oool06@3oool001X0oooo00D0SejI0?ooo`3oool0oooo000000350?ooo`0308mN
V@3oool0oooo01P0oooo000I0?ooo`0308mNV@3oool0oooo0080oooo00<000000?ooo`3oool0``3o
ool00`2?GYT0oooo0?ooo`0H0?ooo`00603oool00`2?GYT0oooo0?ooo`030?ooo`030000003oool0
oooo0<@0oooo00<0SejI0?ooo`3oool05`3oool001L0oooo00<0SejI0?ooo`3oool0103oool00`00
0000oooo0?ooo`350?ooo`0308mNV@3oool0oooo01H0oooo000G0?ooo`0308mNV@3oool0oooo00@0
oooo00<000000?ooo`3oool0a@3oool00`2?GYT0oooo0?ooo`0F0?ooo`005P3oool00`2?GYT0oooo
0?ooo`050?ooo`030000003oool0oooo0<H0oooo00<0SejI0?ooo`3oool05@3oool001H0oooo00<0
SejI0?ooo`3oool01@3oool200000<L0oooo00<0SejI0?ooo`3oool05@3oool001D0oooo00<0SejI
0?ooo`3oool01P3oool00`000000oooo0?ooo`370?ooo`0308mNV@3oool0oooo01@0oooo000D0?oo
o`0308mNV@3oool0oooo00L0oooo00<000000?ooo`3oool0b03oool00`2?GYT0oooo0?ooo`0C0?oo
o`00503oool00`2?GYT0oooo0?ooo`070?ooo`030000003oool0oooo0<P0oooo00<0SejI0?ooo`3o
ool04`3oool001<0oooo00<0SejI0?ooo`3oool0203oool00`000000oooo0?ooo`390?ooo`0308mN
V@3oool0oooo0180oooo000C0?ooo`0308mNV@3oool0oooo00P0oooo00<000000?ooo`3oool0b@3o
ool00`2?GYT0oooo0?ooo`0B0?ooo`004`3oool00`2?GYT0oooo0?ooo`080?ooo`030000003oool0
oooo0<X0oooo00<0SejI0?ooo`3oool04@3oool00180oooo00<0SejI0?ooo`3oool02@3oool00`00
0000oooo0?ooo`3:0?ooo`0308mNV@3oool0oooo0140oooo000B0?ooo`0308mNV@3oool0oooo00T0
oooo00<000000?ooo`3oool0b`3oool00`2?GYT0oooo0?ooo`0@0?ooo`004@3oool00`2?GYT0oooo
0?ooo`0:0?ooo`030000003oool0oooo0</0oooo00<0SejI0?ooo`3oool0403oool00140oooo00<0
SejI0?ooo`3oool02P3oool00`000000oooo0?ooo`3<0?ooo`0308mNV@3oool0oooo00l0oooo000@
0?ooo`0308mNV@3oool0oooo00/0oooo00<000000?ooo`3oool0c03oool00`2?GYT0oooo0?ooo`0?
0?ooo`003`3oool00`2?GYT0oooo0?ooo`0<0?ooo`800000c@3oool00`2?GYT0oooo0?ooo`0?0?oo
o`003`3oool00`2?GYT0oooo0?ooo`0<0?ooo`030000003oool0oooo0<d0oooo00<0SejI0?ooo`3o
ool03P3oool000l0oooo00<0SejI0?ooo`3oool0303oool00`000000oooo0?ooo`3=0?ooo`0308mN
V@3oool0oooo00h0oooo000>0?ooo`0308mNV@3oool0oooo00d0oooo00<000000?ooo`3oool0cP3o
ool00`2?GYT0oooo0?ooo`0=0?ooo`003P3oool00`2?GYT0oooo0?ooo`0=0?ooo`030000003oool0
oooo0<h0oooo00<0SejI0?ooo`3oool03@3oool000h0oooo00<0SejI0?ooo`3oool03@3oool00`00
0000oooo0?ooo`3>0?ooo`0308mNV@3oool0oooo00d0oooo000=0?ooo`0308mNV@3oool0oooo00h0
oooo00<000000?ooo`3oool0c`3oool00`2?GYT0oooo0?ooo`0<0?ooo`003@3oool00`2?GYT0oooo
0?ooo`0>0?ooo`030000003oool0oooo0<l0oooo00<0SejI0?ooo`3oool0303oool000d0oooo00<0
SejI0?ooo`3oool03P3oool00`000000oooo0?ooo`3?0?ooo`0308mNV@3oool0oooo00`0oooo000<
0?ooo`0308mNV@3oool0oooo00l0oooo00<000000?ooo`3oool0d03oool00`2?GYT0oooo0?ooo`0;
0?ooo`00303oool00`2?GYT0oooo0?ooo`0?0?ooo`030000003oool0oooo0=00oooo00<0SejI0?oo
o`3oool02`3oool000`0oooo00<0SejI0?ooo`3oool03`3oool00`000000oooo0?ooo`3@0?ooo`03
08mNV@3oool0oooo00/0oooo000;0?ooo`0308mNV@3oool0oooo0100oooo0P00003B0?ooo`0308mN
V@3oool0oooo00X0oooo000;0?ooo`0308mNV@3oool0oooo0100oooo00<000000?ooo`3oool0d@3o
ool00`2?GYT0oooo0?ooo`0:0?ooo`002`3oool00`2?GYT0oooo0?ooo`0@0?ooo`030000003oool0
oooo0=40oooo00<0SejI0?ooo`3oool02P3oool000X0oooo00<0SejI0?ooo`3oool04@3oool00`00
0000oooo0?ooo`3B0?ooo`0308mNV@3oool0oooo00T0oooo000:0?ooo`0308mNV@3oool0oooo0140
oooo00<000000?ooo`3oool0dP3oool00`2?GYT0oooo0?ooo`090?ooo`002@3oool00`2?GYT0oooo
0?ooo`0B0?ooo`030000003oool0oooo0=80oooo00<0SejI0?ooo`3oool02@3oool000T0oooo00<0
SejI0?ooo`3oool04P3oool00`000000oooo0?ooo`3C0?ooo`0308mNV@3oool0oooo00P0oooo0009
0?ooo`0308mNV@3oool0oooo0180oooo00<000000?ooo`3oool0d`3oool00`2?GYT0oooo0?ooo`08
0?ooo`002@3oool00`2?GYT0oooo0?ooo`0B0?ooo`030000003oool0oooo0=<0oooo00<0SejI0?oo
o`3oool0203oool000T0oooo00<0SejI0?ooo`3oool04P3oool00`000000oooo0?ooo`3D0?ooo`03
08mNV@3oool0oooo00L0oooo00090?ooo`0308mNV@3oool0oooo00/0oooo0`0000040?ooo`030000
003oool0oooo0=@0oooo00<0SejI0?ooo`3oool01`3oool000P0oooo00<0SejI0?ooo`3oool0303o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0=@0oooo00<0SejI0?ooo`3oool01`3o
ool000P0oooo00<0SejI0?ooo`3oool03@3oool00`000000oooo0?ooo`030?ooo`800000e@3oool0
0`2?GYT0oooo0?ooo`070?ooo`00203oool00`2?GYT0oooo0?ooo`0=0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool0e03oool00`2?GYT0oooo0?ooo`070?ooo`001`3oool00`2?GYT0
oooo0?ooo`0=0?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool0e@3oool00`2?GYT0
oooo0?ooo`060?ooo`001`3oool00`2?GYT0oooo0?ooo`0>0?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool0e@3oool00`2?GYT0oooo0?ooo`060?ooo`001`3oool00`2?GYT0oooo0?oo
o`0D0?ooo`030000003oool0oooo0=D0oooo00<0SejI0?ooo`3oool01P3oool000L0oooo00<0SejI
0?ooo`3oool0503oool00`000000oooo0?ooo`3E0?ooo`0308mNV@3oool0oooo00H0oooo00070?oo
o`0308mNV@3oool0oooo01@0oooo00<000000?ooo`3oool0e@3oool00`2?GYT0oooo0?ooo`060?oo
o`001`3oool00`2?GYT0oooo0?ooo`0D0?ooo`030000003oool0oooo0=D0oooo00<0SejI0?ooo`3o
ool01P3oool000H0oooo00<0SejI0?ooo`3oool05@3oool00`000000oooo0?ooo`3F0?ooo`0308mN
V@3oool0oooo00D0oooo00060?ooo`0308mNV@3oool0oooo01D0oooo00<000000?ooo`3oool0eP3o
ool00`2?GYT0oooo0?ooo`050?ooo`001P3oool00`2?GYT0oooo0?ooo`0E0?ooo`030000003oool0
oooo0=H0oooo00<0SejI0?ooo`3oool01@3oool000H0oooo00<0SejI0?ooo`3oool05@3oool00`00
0000oooo0?ooo`3F0?ooo`0308mNV@3oool0oooo00D0oooo00060?ooo`0308mNV@3oool0oooo01D0
oooo0P00003G0?ooo`0308mNV@3oool0oooo00D0oooo00060?ooo`0308mNV@3oool0oooo01D0oooo
00<000000?ooo`3oool0eP3oool00`2?GYT0oooo0?ooo`050?ooo`001P3oool00`2?GYT0oooo0?oo
o`0E0?ooo`030000003oool0oooo0=H0oooo00<0SejI0?ooo`3oool01@3oool000H0oooo00<0SejI
0?ooo`3oool05@3oool00`000000oooo0?ooo`3F0?ooo`0308mNV@3oool0oooo00D0oooo00060?oo
o`0308mNV@3oool0oooo01D0oooo00<000000?ooo`3oool0eP3oool00`2?GYT0oooo0?ooo`050?oo
o`001P3oool00`2?GYT0oooo0?ooo`0E0?ooo`030000003oool0oooo0=L0oooo00<0SejI0?ooo`3o
ool0103oool000H0oooo00<0SejI0?ooo`3oool05@3oool00`000000oooo0?ooo`3G0?ooo`0308mN
V@3oool0oooo00@0oooo00060?ooo`0308mNV@3oool0oooo01D0oooo00<000000?ooo`3oool0e`3o
ool00`2?GYT0oooo0?ooo`040?ooo`001P3oool00`2?GYT0oooo0?ooo`0E0?ooo`030000003oool0
oooo0=L0oooo00<0SejI0?ooo`3oool0103oool000H0oooo00<0SejI0?ooo`3oool05@3oool00`00
0000oooo0?ooo`3G0?ooo`0308mNV@3oool0oooo00@0oooo00060?ooo`0308mNV@3oool0oooo01D0
oooo00<000000?ooo`3oool0e`3oool00`2?GYT0oooo0?ooo`040?ooo`001P3oool00`2?GYT0oooo
0?ooo`0E0?ooo`030000003oool0oooo0=L0oooo00<0SejI0?ooo`3oool0103oool000H0oooo00<0
SejI0?ooo`3oool05@3oool200000=P0oooo00<0SejI0?ooo`3oool0103oool000H0oooo00<0SejI
0?ooo`3oool05@3oool00`000000oooo0?ooo`3G0?ooo`0308mNV@3oool0oooo00@0oooo00060?oo
o`0308mNV@3oool0oooo01D0oooo00<000000?ooo`3oool0e`3oool00`2?GYT0oooo0?ooo`040?oo
o`001P3oool00`2?GYT0oooo0?ooo`0E0?ooo`030000003oool0oooo0=L0oooo00<0SejI0?ooo`3o
ool0103oool000H0oooo00<0SejI0?ooo`3oool05@3oool00`000000oooo0?ooo`3G0?ooo`0308mN
V@3oool0oooo00@0oooo00060?ooo`0308mNV@3oool0oooo01D0oooo00<000000?ooo`3oool0e`3o
ool00`2?GYT0oooo0?ooo`040?ooo`001P3oool00`2?GYT0oooo0?ooo`0E0?ooo`030000003oool0
oooo0=L0oooo00<0SejI0?ooo`3oool0103oool000H0oooo00<0SejI0?ooo`3oool05@3oool00`00
0000oooo0?ooo`3G0?ooo`0308mNV@3oool0oooo00@0oooo00060?ooo`0308mNV@3oool0oooo01D0
oooo00<000000?ooo`3oool0eP3oool00`2?GYT0oooo0?ooo`050?ooo`001P3oool00`2?GYT0oooo
0?ooo`0E0?ooo`030000003oool0oooo0=H0oooo00<0SejI0?ooo`3oool01@3oool000H0oooo00<0
SejI0?ooo`3oool05@3oool00`000000oooo0?ooo`3F0?ooo`0308mNV@3oool0oooo00D0oooo0006
0?ooo`0308mNV@3oool0oooo01D0oooo00<000000?ooo`3oool0eP3oool00`2?GYT0oooo0?ooo`05
0?ooo`001P3oool00`2?GYT0oooo0?ooo`0E0?ooo`800000e`3oool00`2?GYT0oooo0?ooo`050?oo
o`001P3oool00`2?GYT0oooo0?ooo`0E0?ooo`030000003oool0oooo0=H0oooo00<0SejI0?ooo`3o
ool01@3oool000H0oooo00<0SejI0?ooo`3oool05@3oool00`000000oooo0?ooo`3F0?ooo`0308mN
V@3oool0oooo00D0oooo00060?ooo`0308mNV@3oool0oooo01D0oooo00<000000?ooo`3oool0eP3o
ool00`2?GYT0oooo0?ooo`050?ooo`001P3oool00`2?GYT0oooo0?ooo`0E0?ooo`030000003oool0
oooo0=H0oooo00<0SejI0?ooo`3oool01@3oool000L0oooo00<0SejI0?ooo`3oool0503oool00`00
0000oooo0?ooo`3E0?ooo`0308mNV@3oool0oooo00H0oooo00070?ooo`0308mNV@3oool0oooo01@0
oooo00<000000?ooo`3oool0e@3oool00`2?GYT0oooo0?ooo`060?ooo`001`3oool00`2?GYT0oooo
0?ooo`0D0?ooo`030000003oool0oooo0=D0oooo00<0SejI0?ooo`3oool01P3oool000L0oooo00<0
SejI0?ooo`3oool0503oool00`000000oooo0?ooo`3E0?ooo`0308mNV@3oool0oooo00H0oooo0007
0?ooo`0308mNV@3oool0oooo01@0oooo00<000000?ooo`3oool0e@3oool00`2?GYT0oooo0?ooo`06
0?ooo`001`3oool00`2?GYT0oooo0?ooo`0D0?ooo`030000003oool0oooo0=D0oooo00<0SejI0?oo
o`3oool01P3oool000P0oooo00<0SejI0?ooo`3oool03@3oool3000000<0oooo00<000000?ooo`3o
ool0e03oool00`2?GYT0oooo0?ooo`070?ooo`00203oool00`2?GYT0oooo0?ooo`0>0?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool0e03oool00`2?GYT0oooo0?ooo`070?ooo`00203o
ool00`2?GYT0oooo0?ooo`0<0?ooo`@000000`3oool200000=D0oooo00<0SejI0?ooo`3oool01`3o
ool000T0oooo00<0SejI0?ooo`3oool02`3oool00`000000oooo000000040?ooo`030000003oool0
oooo0=@0oooo00<0SejI0?ooo`3oool01`3oool000T0oooo00<0SejI0?ooo`3oool0303oool20000
00@0oooo00<000000?ooo`3oool0e03oool00`2?GYT0oooo0?ooo`070?ooo`002@3oool00`2?GYT0
oooo0?ooo`0=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0e03oool00`2?GYT0
oooo0?ooo`070?ooo`002@3oool00`2?GYT0oooo0?ooo`0B0?ooo`030000003oool0oooo0=<0oooo
00<0SejI0?ooo`3oool0203oool000T0oooo00<0SejI0?ooo`3oool04P3oool00`000000oooo0?oo
o`3C0?ooo`0308mNV@3oool0oooo00P0oooo00090?ooo`0308mNV@3oool0oooo0180oooo00<00000
0?ooo`3oool0d`3oool00`2?GYT0oooo0?ooo`080?ooo`002P3oool00`2?GYT0oooo0?ooo`0A0?oo
o`030000003oool0oooo0=80oooo00<0SejI0?ooo`3oool02@3oool000X0oooo00<0SejI0?ooo`3o
ool04@3oool00`000000oooo0?ooo`3B0?ooo`0308mNV@3oool0oooo00T0oooo000:0?ooo`0308mN
V@3oool0oooo0140oooo00<000000?ooo`3oool0dP3oool00`2?GYT0oooo0?ooo`090?ooo`002`3o
ool00`2?GYT0oooo0?ooo`0@0?ooo`030000003oool0oooo0=40oooo00<0SejI0?ooo`3oool02P3o
ool000/0oooo00<0SejI0?ooo`3oool0403oool00`000000oooo0?ooo`3A0?ooo`0308mNV@3oool0
oooo00X0oooo000;0?ooo`0308mNV@3oool0oooo0100oooo0P00003B0?ooo`0308mNV@3oool0oooo
00X0oooo000<0?ooo`0308mNV@3oool0oooo00l0oooo00<000000?ooo`3oool0d03oool00`2?GYT0
oooo0?ooo`0;0?ooo`00303oool00`2?GYT0oooo0?ooo`0?0?ooo`030000003oool0oooo0=00oooo
00<0SejI0?ooo`3oool02`3oool000`0oooo00<0SejI0?ooo`3oool03`3oool00`000000oooo0?oo
o`3@0?ooo`0308mNV@3oool0oooo00/0oooo000=0?ooo`0308mNV@3oool0oooo00h0oooo00<00000
0?ooo`3oool0c`3oool00`2?GYT0oooo0?ooo`0<0?ooo`003@3oool00`2?GYT0oooo0?ooo`0>0?oo
o`030000003oool0oooo0<l0oooo00<0SejI0?ooo`3oool0303oool000d0oooo00<0SejI0?ooo`3o
ool03P3oool00`000000oooo0?ooo`3?0?ooo`0308mNV@3oool0oooo00`0oooo000>0?ooo`0308mN
V@3oool0oooo00d0oooo00<000000?ooo`3oool0cP3oool00`2?GYT0oooo0?ooo`0=0?ooo`003P3o
ool00`2?GYT0oooo0?ooo`0=0?ooo`030000003oool0oooo0<h0oooo00<0SejI0?ooo`3oool03@3o
ool000h0oooo00<0SejI0?ooo`3oool03@3oool00`000000oooo0?ooo`3=0?ooo`0308mNV@3oool0
oooo00h0oooo000?0?ooo`0308mNV@3oool0oooo00`0oooo00<000000?ooo`3oool0c@3oool00`2?
GYT0oooo0?ooo`0>0?ooo`003`3oool00`2?GYT0oooo0?ooo`0<0?ooo`030000003oool0oooo0<d0
oooo00<0SejI0?ooo`3oool03P3oool00100oooo00<0SejI0?ooo`3oool02`3oool200000<d0oooo
00<0SejI0?ooo`3oool03`3oool00100oooo00<0SejI0?ooo`3oool02`3oool00`000000oooo0?oo
o`3<0?ooo`0308mNV@3oool0oooo00l0oooo000A0?ooo`0308mNV@3oool0oooo00X0oooo00<00000
0?ooo`3oool0c03oool00`2?GYT0oooo0?ooo`0?0?ooo`004@3oool00`2?GYT0oooo0?ooo`0:0?oo
o`030000003oool0oooo0</0oooo00<0SejI0?ooo`3oool0403oool00180oooo00<0SejI0?ooo`3o
ool02@3oool00`000000oooo0?ooo`0I0?ooo`80o`00/03oool00`2?GYT0oooo0?ooo`0@0?ooo`00
4P3oool00`2?GYT0oooo0?ooo`090?ooo`030000003oool0oooo01P0oooo103o002^0?ooo`0308mN
V@3oool0oooo0140oooo000C0?ooo`0308mNV@3oool0oooo00P0oooo00<000000?ooo`3oool0603o
ool40?l00:h0oooo00<0SejI0?ooo`3oool04@3oool001<0oooo00<0SejI0?ooo`3oool0203oool0
0`000000oooo0?ooo`0I0?ooo`80o`00[P3oool00`2?GYT0oooo0?ooo`0B0?ooo`004`3oool00`2?
GYT0oooo0?ooo`080?ooo`030000003oool0oooo0<P0oooo00<0SejI0?ooo`3oool04`3oool001@0
oooo00<0SejI0?ooo`3oool01`3oool00`000000oooo0?ooo`380?ooo`0308mNV@3oool0oooo01<0
oooo000E0?ooo`0308mNV@3oool0oooo00H0oooo00<000000?ooo`3oool0a`3oool00`2?GYT0oooo
0?ooo`0D0?ooo`005@3oool00`2?GYT0oooo0?ooo`060?ooo`030000003oool0oooo0<L0oooo00<0
SejI0?ooo`3oool0503oool001H0oooo00<0SejI0?ooo`3oool01@3oool200000<L0oooo00<0SejI
0?ooo`3oool05@3oool001H0oooo00<0SejI0?ooo`3oool01@3oool00`000000oooo0?ooo`360?oo
o`0308mNV@3oool0oooo01D0oooo000G0?ooo`0308mNV@3oool0oooo00@0oooo00<000000?ooo`3o
ool0a@3oool00`2?GYT0oooo0?ooo`0F0?ooo`00603oool00`2?GYT0oooo0?ooo`030?ooo`030000
003oool0oooo0<D0oooo00<0SejI0?ooo`3oool05P3oool001P0oooo00<0SejI0?ooo`3oool00`3o
ool00`000000oooo0?ooo`340?ooo`0308mNV@3oool0oooo01L0oooo000I0?ooo`0308mNV@3oool0
oooo0080oooo00<000000?ooo`3oool0``3oool00`2?GYT0oooo0?ooo`0H0?ooo`006P3oool01@2?
GYT0oooo0?ooo`3oool000000<D0oooo00<0SejI0?ooo`3oool0603oool001X0oooo00D0SejI0?oo
o`3oool0oooo000000340?ooo`0308mNV@3oool0oooo01T0oooo000K0?ooo`0408mNV@3oool0oooo
00000<@0oooo00<0SejI0?ooo`3oool06@3oool001/0oooo00@0SejI0?ooo`3oool00000``3oool0
0`2?GYT0oooo0?ooo`0J0?ooo`005`3oool2000000<0oooo00<0SejI0?ooo`000000`P3oool00`2?
GYT0oooo0?ooo`0K0?ooo`005`3oool00`000000oooo000000030?ooo`0308mNV@000000oooo0<00
oooo00<0SejI0?ooo`3oool0703oool001L0oooo00<000000?ooo`000000103oool00`2?GYT00000
0?ooo`2n0?ooo`0308mNV@3oool0oooo01d0oooo000G0?ooo`8000001@3oool00`000000SejI0?oo
o`2m0?ooo`0308mNV@3oool0oooo01h0oooo000G0?ooo`030000003oool0oooo00@0oooo00<00000
08mNV@3oool0_@3oool00`2?GYT0oooo0?ooo`0N0?ooo`00603oool2000000@0oooo00<000000?oo
o`2?GYT0_03oool00`2?GYT0oooo0?ooo`0O0?ooo`007P3oool010000000oooo0?ooo`2?GYVj0?oo
o`0308mNV@3oool0oooo0200oooo000N0?ooo`050000003oool0oooo0?ooo`2?GYT0^03oool00`2?
GYT0oooo0?ooo`0Q0?ooo`007P3oool00`000000oooo0?ooo`020?ooo`0308mNV@3oool0oooo0;@0
oooo00<0SejI0?ooo`3oool08P3oool001h0oooo00<000000?ooo`3oool00`3oool00`2?GYT0oooo
0?ooo`2b0?ooo`0308mNV@3oool0oooo02<0oooo000N0?ooo`030000003oool0oooo00@0oooo00<0
SejI0?ooo`3oool0/03oool00`2?GYT0oooo0?ooo`0T0?ooo`007P3oool00`000000oooo0?ooo`04
0?ooo`0308mNV@3oool0oooo02`0oooo0P3o00220?ooo`0308mNV@3oool0oooo02@0oooo000N0?oo
o`030000003oool0oooo00D0oooo00<0SejI0?ooo`3oool0:P3oool40?l00800oooo00<0SejI0?oo
o`3oool09@3oool001h0oooo00<000000?ooo`3oool01P3oool00`2?GYT0oooo0?ooo`0Y0?ooo`@0
o`00O`3oool00`2?GYT0oooo0?ooo`0V0?ooo`007P3oool2000000P0oooo00<0SejI0?ooo`3oool0
:@3oool20?l007l0oooo00<0SejI0?ooo`3oool09`3oool001h0oooo00<000000?ooo`3oool0203o
ool00`2?GYT0oooo0?ooo`2X0?ooo`0308mNV@3oool0oooo02P0oooo000N0?ooo`030000003oool0
oooo00T0oooo00<0SejI0?ooo`3oool0YP3oool00`2?GYT0oooo0?ooo`0Y0?ooo`007P3oool00`00
0000oooo0?ooo`0:0?ooo`0308mNV@3oool0oooo0:@0oooo00<0SejI0?ooo`3oool0:P3oool001h0
oooo00<000000?ooo`3oool02`3oool00`2?GYT0oooo0?ooo`2R0?ooo`0308mNV@3oool0oooo02/0
oooo000N0?ooo`030000003oool0oooo00`0oooo0P2?GYVQ0?ooo`0308mNV@3oool0oooo02`0oooo
000N0?ooo`030000003oool0oooo00h0oooo00<0SejI0?ooo`3oool0W@3oool00`2?GYT0oooo0?oo
o`0]0?ooo`007P3oool00`000000oooo0?ooo`0?0?ooo`0308mNV@3oool0oooo09X0oooo0P2?GYT`
0?ooo`007P3oool00`000000oooo0?ooo`0@0?ooo`0308mNV@3oool0oooo09P0oooo00<0SejI0?oo
o`3oool0<03oool001h0oooo00<000000?ooo`3oool04@3oool00`2?GYT0oooo0?ooo`2F0?ooo`03
08mNV@3oool0oooo0340oooo000N0?ooo`030000003oool0oooo0180oooo00<0SejI0?ooo`3oool0
U03oool00`2?GYT0oooo0?ooo`0b0?ooo`007P3oool00`000000oooo0?ooo`0C0?ooo`80SejIT`3o
ool00`2?GYT0oooo0?ooo`0c0?ooo`007P3oool2000001H0oooo00<0SejI0?ooo`3oool0S`3oool0
0`2?GYT0oooo0?ooo`0d0?ooo`007P3oool00`000000oooo0?ooo`0F0?ooo`0308mNV@3oool0oooo
08`0oooo0P2?GYTg0?ooo`007P3oool00`000000oooo0?ooo`0G0?ooo`0308mNV@3oool0oooo08X0
oooo00<0SejI0?ooo`3oool0=`3oool001h0oooo00<000000?ooo`3oool0603oool208mNVHP0oooo
0P2?GYTj0?ooo`007P3oool00`000000oooo0?ooo`0J0?ooo`80SejIQ03oool208mNVC`0oooo000N
0?ooo`030000003oool0oooo01`0oooo00<0SejI0?ooo`3oool0P03oool00`2?GYT0oooo0?ooo`0l
0?ooo`007P3oool00`000000oooo0?ooo`0M0?ooo`0308mNV@3oool0oooo07h0oooo00<0SejI0?oo
o`3oool0?@3oool001h0oooo00<000000?ooo`3oool07P3oool208mNVG`0oooo0P2?GYU00?ooo`00
7P3oool00`000000oooo0?ooo`0P0?ooo`80SejIN03oool208mNVD80oooo000N0?ooo`030000003o
ool0oooo0280oooo0P2?GYUe0?ooo`0308mNV@3oool0oooo0480oooo000N0?ooo`030000003oool0
oooo02@0oooo00<0SejI0?ooo`3oool0L03oool208mNVDD0oooo000N0?ooo`030000003oool0oooo
02D0oooo0`2?GYU/0?ooo`<0SejIA`3oool001h0oooo0P00000Y0?ooo`80SejIJ03oool208mNVDX0
oooo000N0?ooo`030000003oool0oooo02X0oooo0P2?GYUT0?ooo`80SejIC03oool001h0oooo00<0
00000?ooo`3oool0;03oool208mNVF40oooo00<0SejI0?ooo`3oool0C03oool001h0oooo00<00000
0?ooo`3oool0;P3oool208mNVE`0oooo0`2?GYU?0?ooo`007P3oool00`000000oooo0?ooo`0`0?oo
o`<0SejIEP3oool308mNVE80oooo000N0?ooo`030000003oool0oooo03<0oooo0`2?GYU@0?ooo`<0
SejIE@3oool001h0oooo00<000000?ooo`3oool0=P3oool308mNVDX0oooo0`2?GYUH0?ooo`007P3o
ool00`000000oooo0?ooo`0i0?ooo`<0SejIA03oool308mNVE/0oooo000N0?ooo`030000003oool0
oooo03`0oooo0`2?GYTn0?ooo`<0SejIGP3oool001h0oooo00<000000?ooo`3oool0?`3oool608mN
VC<0oooo1@2?GYUQ0?ooo`00603oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo04D0
oooo0`2?GYT]0?ooo`<0SejIIP3oool001L0oooo00<000000?ooo`000000103oool00`000000oooo
0?ooo`180?ooo`H0SejI8@3oool608mNVFT0oooo000G0?ooo`030000003oool0000000@0oooo0P00
001?0?ooob40SejIK`3oool001P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`3N
0?ooo`005`3oool00`000000oooo000000040?ooo`030000003oool0oooo0=h0oooo000H0?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool0gP3oool001h0oooo00<000000?ooo`3oool0
gP3oool001h0oooo00<000000?ooo`3oool0gP3oool001h0oooo00<000000?ooo`3oool0gP3oool0
0001\
\>"],
  ImageRangeCache->{{{0, 254.25}, {254.25, 0}} -> {-1.25006, -2.25006, 
  0.0412983, 0.0412983}}],

Cell[BoxData[
    \(TraditionalForm\`2.02025985501395677`\)], "Output"]
}, Open  ]],

Cell["\tFind the least-squares solution for part (a).", "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]],

Cell[CellGroupData[{

Cell["\<\
matA = Transpose[{2xs, 2ys, Table[1, {Length[xs]}]}]
vecb = xs^2 + ys^2\
\>", "Input"],

Cell[BoxData[
    FormBox[
      RowBox[{"(", GridBox[{
            {"2.39999999999999991`", "10.4000000000000003`", "1"},
            {"4.59999999999999964`", "12.8000000000000003`", "1"},
            {"6.79999999999999982`", \(-2.39999999999999991`\), "1"}
            },
          ColumnAlignments->{Decimal}], ")"}], TraditionalForm]], "Output"],

Cell[BoxData[
    \(TraditionalForm
    \`{28.4800000000000039`, 46.2500000000000088`, 12.9999999999999982`}\)], 
  "Output"]
}, Open  ]],

Cell[TextData[{
  StyleBox["(* ",
    FontWeight->"Plain"],
  StyleBox["etc",
    FontWeight->"Plain",
    FontSlant->"Italic"],
  StyleBox[". *)",
    FontWeight->"Plain"]
}], "Input"],

Cell["\<\
\tIf all computations for part (a) had been done in exact artihmetic, what \
would you expect the error (value produced by the deviation function) to be?  \
Give a geometric explanation of your answer.  Why should you always choose \
more than three sample points?\
\>", "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]],

Cell[TextData[{
  "(b)\n\t",
  Cell[BoxData[
      FormBox[GridBox[{
            {"x", ":", "1.9", \(-1.1\), "2.3", "4.9"},
            {"y", ":", "2.1", \(-1.2\), \(-3.9\), \(-0.7\)}
            }], TraditionalForm]]],
  "\n\n\tStart by taking a guess at the circle and checking on the overall \
deviation of your guess."
}], "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]],

Cell["\<\
xs = { 1.9,-1.1, 2.3, 4.9 };
ys = { 2.1,-1.2,-3.9,-0.7 };
Clear[deviation];
deviation[{a_,b_}, rad_] := 
\tModule[{e},
\t\te = Sqrt[(xs - a)^2 + (ys - b)^2] - rad;
\t\tSqrt[e.e]
\t]\
\>", "Input"],

Cell[TextData[{
  "pts = Transpose[{xs,ys}];\n\nShow[\n\tGraphics[{\t\n\t\tRed, \
AbsolutePointSize[5], Map[Point, pts],\n\t\tViolet, Circle[",
  StyleBox["{a,b},rad",
    FontColor->RGBColor[1, 0, 1]],
  "]\n\t}],\n\tAxes->Automatic, AspectRatio->Automatic\n];\n\ndeviation[",
  StyleBox["{a,b},rad",
    FontColor->RGBColor[1, 0, 1]],
  "]"
}], "Input"],

Cell["\tFind the least-squares solution for part (b).", "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]],

Cell["\tDoes sample (b) meet the required specifications?", "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]],

Cell[TextData[{
  "(c)\n\t",
  Cell[BoxData[
      FormBox[GridBox[{
            {"x", ":", "3.3", "2.0", \(-0.3\), \(-0.8\), "1.4", "3.0"},
            {"y", ":", "1.2", "3.1", "2.6", "0.2", \(-1.0\), "0.7"}
            }], TraditionalForm]]],
  "\n\n\tStart by taking a guess at the circle and checking on the overall \
deviation of your guess."
}], "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]],

Cell["\<\
xs = { 3.3, 2.0,-0.3,-0.8, 1.4, 3.0};
ys = { 1.2, 3.1, 2.6, 0.2,-1.0, 0.7};
Clear[deviation];
deviation[{a_,b_}, rad_] := 
\tModule[{e},
\t\te = Sqrt[(xs - a)^2 + (ys - b)^2] - rad;
\t\tSqrt[e.e]
\t]\
\>", "Input"],

Cell[TextData[{
  "pts = Transpose[{xs,ys}];\n\nShow[\n\tGraphics[{\t\n\t\tRed, \
AbsolutePointSize[5], Map[Point, pts],\n\t\tViolet, Circle[",
  StyleBox["{a,b},rad",
    FontColor->RGBColor[1, 0, 1]],
  "]\n\t}],\n\tAxes->Automatic, AspectRatio->Automatic\n];\n\ndeviation[",
  StyleBox["{a,b},rad",
    FontColor->RGBColor[1, 0, 1]],
  "]"
}], "Input"],

Cell["\tFind the least-squares solution for part (c).", "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]],

Cell["\tDoes sample (c) meet the required specifications?", "Text",
  FontSize->14,
  Background->GrayLevel[0.900008]]
}, Closed]]
}, Open  ]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 800}, {0, 544}},
AutoGeneratedPackage->None,
WindowSize->{597, 423},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1709, 49, 161, 4, 66, "Subsubtitle"],

Cell[CellGroupData[{
Cell[1895, 57, 56, 0, 54, "Subtitle"],
Cell[1954, 59, 104, 3, 33, "Text"],

Cell[CellGroupData[{
Cell[2083, 66, 144, 3, 74, "Section"],
Cell[2230, 71, 111, 3, 33, "Text"],

Cell[CellGroupData[{
Cell[2366, 78, 113, 3, 30, "Input"],
Cell[2482, 83, 259, 7, 62, "Output"]
}, Open  ]],
Cell[2756, 93, 111, 3, 33, "Text"],

Cell[CellGroupData[{
Cell[2892, 100, 130, 3, 30, "Input"],
Cell[3025, 105, 290, 8, 80, "Output"]
}, Open  ]],
Cell[3330, 116, 102, 2, 43, "Subsubsection"],
Cell[3435, 120, 67, 0, 43, "Subsubsection"],
Cell[3505, 122, 60, 0, 43, "Subsubsection"],
Cell[3568, 124, 133, 3, 43, "Subsubsection"],
Cell[3704, 129, 70, 0, 43, "Subsubsection"]
}, Closed]],

Cell[CellGroupData[{
Cell[3811, 134, 141, 3, 54, "Section"],
Cell[3955, 139, 111, 3, 33, "Text"],

Cell[CellGroupData[{
Cell[4091, 146, 113, 3, 30, "Input"],
Cell[4207, 151, 259, 7, 62, "Output"]
}, Open  ]],
Cell[4481, 161, 111, 3, 33, "Text"],

Cell[CellGroupData[{
Cell[4617, 168, 130, 3, 30, "Input"],
Cell[4750, 173, 290, 8, 80, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5077, 186, 67, 0, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[5169, 190, 45, 1, 30, "Input"],
Cell[5217, 193, 253, 7, 62, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5507, 205, 45, 1, 30, "Input"],
Cell[5555, 208, 289, 8, 80, "Output"]
}, Open  ]],
Cell[5859, 219, 56, 0, 33, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5952, 224, 102, 2, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[6079, 230, 45, 1, 30, "Input"],
Cell[6127, 233, 182, 5, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6346, 243, 45, 1, 30, "Input"],
Cell[6394, 246, 184, 5, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[6627, 257, 60, 0, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[6712, 261, 63, 1, 30, "Input"],
Cell[6778, 264, 54, 1, 29, "Output"]
}, Open  ]],
Cell[6847, 268, 85, 2, 33, "Text"],

Cell[CellGroupData[{
Cell[6957, 274, 63, 1, 30, "Input"],
Cell[7023, 277, 60, 1, 29, "Output"]
}, Open  ]],
Cell[7098, 281, 88, 2, 33, "Text"],
Cell[7189, 285, 22, 0, 33, "Text"],

Cell[CellGroupData[{
Cell[7236, 289, 77, 1, 30, "Input"],
Cell[7316, 292, 66, 1, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7419, 298, 77, 1, 30, "Input"],
Cell[7499, 301, 147, 3, 25, "Message"],
Cell[7649, 306, 418, 11, 80, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[8116, 323, 133, 3, 43, "Subsubsection"],
Cell[8252, 328, 54, 1, 30, "Input"],

Cell[CellGroupData[{
Cell[8331, 333, 71, 1, 30, "Input"],
Cell[8405, 336, 89, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8531, 342, 71, 1, 30, "Input"],
Cell[8605, 345, 91, 1, 29, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[8745, 352, 70, 0, 43, "Subsubsection"],

Cell[CellGroupData[{
Cell[8840, 356, 73, 1, 30, "Input"],
Cell[8916, 359, 221, 6, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[9174, 370, 45, 1, 30, "Input"],
Cell[9222, 373, 219, 6, 44, "Output"]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[9502, 386, 77, 0, 33, "Section"],
Cell[9582, 388, 53, 0, 33, "Text"],
Cell[9638, 390, 88, 2, 30, "Input",
  InitializationCell->True],
Cell[9729, 394, 954, 20, 208, "Text"],
Cell[10686, 416, 498, 16, 124, "Text"],

Cell[CellGroupData[{
Cell[11209, 436, 373, 7, 210, "Input"],
Cell[11585, 445, 24707, 452, 279, 2392, 172, "GraphicsData", 
"PostScript", "Graphics"]
}, Open  ]],
Cell[36307, 900, 624, 19, 91, "Text"],
Cell[36934, 921, 1924, 54, 434, "Text"],
Cell[38861, 977, 792, 24, 111, "Text"],

Cell[CellGroupData[{
Cell[39678, 1005, 96, 3, 48, "Input"],
Cell[39777, 1010, 609, 12, 152, "Output"],
Cell[40389, 1024, 246, 4, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[40672, 1033, 93, 2, 30, "Input"],
Cell[40768, 1037, 126, 3, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[40931, 1045, 43, 0, 30, "Input"],
Cell[40977, 1047, 71, 1, 29, "Output"]
}, Open  ]],
Cell[41063, 1051, 371, 10, 90, "Text"],

Cell[CellGroupData[{
Cell[41459, 1065, 432, 8, 246, "Input"],
Cell[41894, 1075, 24261, 452, 256, 2452, 178, "GraphicsData", 
"PostScript", "Graphics"],
Cell[66158, 1529, 465, 10, 25, "Print"]
}, Open  ]],
Cell[66638, 1542, 176, 6, 70, "Text"],

Cell[CellGroupData[{
Cell[66839, 1552, 52, 0, 30, "Input"],
Cell[66894, 1554, 244, 4, 29, "Output"]
}, Open  ]],
Cell[67153, 1561, 168, 5, 50, "Text"],

Cell[CellGroupData[{
Cell[67346, 1570, 26, 0, 30, "Input"],
Cell[67375, 1572, 282, 5, 29, "Output"]
}, Open  ]],
Cell[67672, 1580, 288, 9, 71, "Text"],

Cell[CellGroupData[{
Cell[67985, 1593, 30, 0, 30, "Input"],
Cell[68018, 1595, 72, 1, 29, "Output"]
}, Open  ]],
Cell[68105, 1599, 227, 7, 50, "Text"],
Cell[68335, 1608, 130, 6, 102, "Input"],
Cell[68468, 1616, 333, 9, 89, "Text"],

Cell[CellGroupData[{
Cell[68826, 1629, 131, 5, 48, "Input"],
Cell[68960, 1636, 72, 1, 29, "Output"],
Cell[69035, 1639, 71, 1, 29, "Output"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[69155, 1646, 89, 2, 33, "Section"],
Cell[69247, 1650, 560, 11, 131, "Text"],
Cell[69810, 1663, 362, 11, 123, "Text"],
Cell[70175, 1676, 235, 9, 156, "Input"],

Cell[CellGroupData[{
Cell[70435, 1689, 351, 9, 210, "Input"],
Cell[70789, 1700, 25456, 488, 264, 2768, 203, "GraphicsData", 
"PostScript", "Graphics"],
Cell[96248, 2190, 71, 1, 29, "Output"]
}, Open  ]],
Cell[96334, 2194, 114, 2, 50, "Text"],

Cell[CellGroupData[{
Cell[96473, 2200, 96, 3, 48, "Input"],
Cell[96572, 2205, 349, 7, 62, "Output"],
Cell[96924, 2214, 125, 3, 29, "Output"]
}, Open  ]],
Cell[97064, 2220, 185, 8, 30, "Input"],
Cell[97252, 2230, 339, 7, 90, "Text"],
Cell[97594, 2239, 385, 11, 123, "Text"],
Cell[97982, 2252, 206, 9, 156, "Input"],
Cell[98191, 2263, 355, 9, 210, "Input"],
Cell[98549, 2274, 114, 2, 50, "Text"],
Cell[98666, 2278, 118, 2, 50, "Text"],
Cell[98787, 2282, 410, 11, 123, "Text"],
Cell[99200, 2295, 224, 9, 156, "Input"],
Cell[99427, 2306, 355, 9, 210, "Input"],
Cell[99785, 2317, 114, 2, 50, "Text"],
Cell[99902, 2321, 118, 2, 50, "Text"]
}, Closed]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

